// SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause)
//
// THIS FILE IS AUTOGENERATED BY CARGO-LIBBPF-GEN!

pub use self::imp::*;

#[allow(dead_code)]
#[allow(non_snake_case)]
#[allow(non_camel_case_types)]
#[allow(clippy::absolute_paths)]
#[allow(clippy::transmute_ptr_to_ref)]
#[allow(clippy::upper_case_acronyms)]
#[warn(single_use_lifetimes)]
mod imp {
    #[allow(unused_imports)]
    use super::*;
    use libbpf_rs::libbpf_sys;
    use libbpf_rs::skel::OpenSkel;
    use libbpf_rs::skel::Skel;
    use libbpf_rs::skel::SkelBuilder;

    fn build_skel_config(
    ) -> libbpf_rs::Result<libbpf_rs::__internal_skel::ObjectSkeletonConfig<'static>> {
        let mut builder = libbpf_rs::__internal_skel::ObjectSkeletonConfigBuilder::new(DATA);
        builder
            .name("kretprobe_bpf")
            .map("kretprobe_context", false)
            .map("global_config_map", false)
            .map("counters_map", false)
            .map("events_map", false)
            .map("log_map", false)
            .map("filter_meta_map", false)
            .map("tracking_config_map", false)
            .map("tracking_map", false)
            .map("config_map", false)
            .map("stack_map", false)
            .map("kretprob.rodata", true)
            .map("kretprob.bss", false)
            .prog("probe_kretprobe_kretprobe")
            .prog("probe_kretprobe_kprobe");

        builder.build()
    }

    #[derive(Default)]
    pub struct KretprobeSkelBuilder {
        pub obj_builder: libbpf_rs::ObjectBuilder,
    }

    impl<'a> SkelBuilder<'a> for KretprobeSkelBuilder {
        type Output = OpenKretprobeSkel<'a>;
        fn open(self) -> libbpf_rs::Result<OpenKretprobeSkel<'a>> {
            let opts = *self.obj_builder.opts();
            self.open_opts(opts)
        }

        fn open_opts(
            self,
            open_opts: libbpf_sys::bpf_object_open_opts,
        ) -> libbpf_rs::Result<OpenKretprobeSkel<'a>> {
            let mut skel_config = build_skel_config()?;

            let ret =
                unsafe { libbpf_sys::bpf_object__open_skeleton(skel_config.get(), &open_opts) };
            if ret != 0 {
                return Err(libbpf_rs::Error::from_raw_os_error(-ret));
            }

            let obj = unsafe { libbpf_rs::OpenObject::from_ptr(skel_config.object_ptr())? };

            #[allow(unused_mut)]
            let mut skel = OpenKretprobeSkel {
                obj,
                // SAFETY: Our `struct_ops` type contains only pointers,
                //         which are allowed to be NULL.
                // TODO: Generate and use a `Default` representation
                //       instead, to cut down on unsafe code.
                struct_ops: unsafe { std::mem::zeroed() },
                skel_config,
            };

            Ok(skel)
        }

        fn object_builder(&self) -> &libbpf_rs::ObjectBuilder {
            &self.obj_builder
        }
        fn object_builder_mut(&mut self) -> &mut libbpf_rs::ObjectBuilder {
            &mut self.obj_builder
        }
    }

    pub struct OpenKretprobeMapsMut<'a> {
        inner: &'a mut libbpf_rs::OpenObject,
    }

    impl OpenKretprobeMapsMut<'_> {
        pub fn kretprobe_context(&mut self) -> &mut libbpf_rs::OpenMap {
            self.inner.map_mut("kretprobe_context").unwrap()
        }

        pub fn global_config_map(&mut self) -> &mut libbpf_rs::OpenMap {
            self.inner.map_mut("global_config_map").unwrap()
        }

        pub fn counters_map(&mut self) -> &mut libbpf_rs::OpenMap {
            self.inner.map_mut("counters_map").unwrap()
        }

        pub fn events_map(&mut self) -> &mut libbpf_rs::OpenMap {
            self.inner.map_mut("events_map").unwrap()
        }

        pub fn log_map(&mut self) -> &mut libbpf_rs::OpenMap {
            self.inner.map_mut("log_map").unwrap()
        }

        pub fn filter_meta_map(&mut self) -> &mut libbpf_rs::OpenMap {
            self.inner.map_mut("filter_meta_map").unwrap()
        }

        pub fn tracking_config_map(&mut self) -> &mut libbpf_rs::OpenMap {
            self.inner.map_mut("tracking_config_map").unwrap()
        }

        pub fn tracking_map(&mut self) -> &mut libbpf_rs::OpenMap {
            self.inner.map_mut("tracking_map").unwrap()
        }

        pub fn config_map(&mut self) -> &mut libbpf_rs::OpenMap {
            self.inner.map_mut("config_map").unwrap()
        }

        pub fn stack_map(&mut self) -> &mut libbpf_rs::OpenMap {
            self.inner.map_mut("stack_map").unwrap()
        }

        pub fn rodata(&mut self) -> &mut libbpf_rs::OpenMap {
            self.inner.map_mut("kretprob.rodata").unwrap()
        }

        pub fn bss(&mut self) -> &mut libbpf_rs::OpenMap {
            self.inner.map_mut("kretprob.bss").unwrap()
        }
    }

    pub struct OpenKretprobeMaps<'a> {
        inner: &'a libbpf_rs::OpenObject,
    }

    impl OpenKretprobeMaps<'_> {
        pub fn kretprobe_context(&self) -> &libbpf_rs::OpenMap {
            self.inner.map("kretprobe_context").unwrap()
        }

        pub fn global_config_map(&self) -> &libbpf_rs::OpenMap {
            self.inner.map("global_config_map").unwrap()
        }

        pub fn counters_map(&self) -> &libbpf_rs::OpenMap {
            self.inner.map("counters_map").unwrap()
        }

        pub fn events_map(&self) -> &libbpf_rs::OpenMap {
            self.inner.map("events_map").unwrap()
        }

        pub fn log_map(&self) -> &libbpf_rs::OpenMap {
            self.inner.map("log_map").unwrap()
        }

        pub fn filter_meta_map(&self) -> &libbpf_rs::OpenMap {
            self.inner.map("filter_meta_map").unwrap()
        }

        pub fn tracking_config_map(&self) -> &libbpf_rs::OpenMap {
            self.inner.map("tracking_config_map").unwrap()
        }

        pub fn tracking_map(&self) -> &libbpf_rs::OpenMap {
            self.inner.map("tracking_map").unwrap()
        }

        pub fn config_map(&self) -> &libbpf_rs::OpenMap {
            self.inner.map("config_map").unwrap()
        }

        pub fn stack_map(&self) -> &libbpf_rs::OpenMap {
            self.inner.map("stack_map").unwrap()
        }

        pub fn rodata(&self) -> &libbpf_rs::OpenMap {
            self.inner.map("kretprob.rodata").unwrap()
        }

        pub fn bss(&self) -> &libbpf_rs::OpenMap {
            self.inner.map("kretprob.bss").unwrap()
        }
    }

    pub struct OpenKretprobeProgs<'a> {
        inner: &'a libbpf_rs::OpenObject,
    }

    impl OpenKretprobeProgs<'_> {
        pub fn probe_kretprobe_kretprobe(&self) -> &libbpf_rs::OpenProgram {
            self.inner.prog("probe_kretprobe_kretprobe").unwrap()
        }

        pub fn probe_kretprobe_kprobe(&self) -> &libbpf_rs::OpenProgram {
            self.inner.prog("probe_kretprobe_kprobe").unwrap()
        }
    }

    pub struct OpenKretprobeProgsMut<'a> {
        inner: &'a mut libbpf_rs::OpenObject,
    }

    impl OpenKretprobeProgsMut<'_> {
        pub fn probe_kretprobe_kretprobe(&mut self) -> &mut libbpf_rs::OpenProgram {
            self.inner.prog_mut("probe_kretprobe_kretprobe").unwrap()
        }

        pub fn probe_kretprobe_kprobe(&mut self) -> &mut libbpf_rs::OpenProgram {
            self.inner.prog_mut("probe_kretprobe_kprobe").unwrap()
        }
    }

    pub mod kretprobe_types {
        #[allow(unused_imports)]
        use super::*;
        #[derive(Debug, Copy, Clone)]
        #[repr(C)]
        pub struct bss {}
        #[derive(Debug, Copy, Clone)]
        #[repr(C)]
        pub struct rodata {
            pub log_level: u8,
            pub nmeta: u32,
            pub nhooks: u32,
        }

        #[derive(Debug, Clone)]
        #[repr(C)]
        pub struct struct_ops {}

        impl struct_ops {}
    }

    pub struct OpenKretprobeSkel<'a> {
        pub obj: libbpf_rs::OpenObject,
        pub struct_ops: kretprobe_types::struct_ops,
        skel_config: libbpf_rs::__internal_skel::ObjectSkeletonConfig<'a>,
    }

    impl<'a> OpenSkel for OpenKretprobeSkel<'a> {
        type Output = KretprobeSkel<'a>;
        fn load(mut self) -> libbpf_rs::Result<KretprobeSkel<'a>> {
            let ret = unsafe { libbpf_sys::bpf_object__load_skeleton(self.skel_config.get()) };
            if ret != 0 {
                return Err(libbpf_rs::Error::from_raw_os_error(-ret));
            }

            let obj = unsafe { libbpf_rs::Object::from_ptr(self.obj.take_ptr())? };

            Ok(KretprobeSkel {
                obj,
                struct_ops: self.struct_ops,
                skel_config: self.skel_config,
                links: KretprobeLinks::default(),
            })
        }

        fn open_object(&self) -> &libbpf_rs::OpenObject {
            &self.obj
        }

        fn open_object_mut(&mut self) -> &mut libbpf_rs::OpenObject {
            &mut self.obj
        }
    }
    impl OpenKretprobeSkel<'_> {
        pub fn progs_mut(&mut self) -> OpenKretprobeProgsMut<'_> {
            OpenKretprobeProgsMut {
                inner: &mut self.obj,
            }
        }

        pub fn progs(&self) -> OpenKretprobeProgs<'_> {
            OpenKretprobeProgs { inner: &self.obj }
        }

        pub fn maps_mut(&mut self) -> OpenKretprobeMapsMut<'_> {
            OpenKretprobeMapsMut {
                inner: &mut self.obj,
            }
        }

        pub fn maps(&self) -> OpenKretprobeMaps<'_> {
            OpenKretprobeMaps { inner: &self.obj }
        }

        pub fn rodata_raw(&self) -> *const kretprobe_types::rodata {
            self.skel_config
                .map_mmap_ptr(10)
                .unwrap()
                .cast::<kretprobe_types::rodata>()
        }

        pub fn rodata(&self) -> &kretprobe_types::rodata {
            unsafe { &*self.rodata_raw() }
        }

        pub fn rodata_mut_raw(&mut self) -> *mut kretprobe_types::rodata {
            self.skel_config
                .map_mmap_ptr_mut(10)
                .unwrap()
                .cast::<kretprobe_types::rodata>()
        }

        pub fn rodata_mut(&mut self) -> &mut kretprobe_types::rodata {
            unsafe { &mut *self.rodata_mut_raw() }
        }
    }

    pub struct KretprobeMapsMut<'a> {
        inner: &'a mut libbpf_rs::Object,
    }

    impl KretprobeMapsMut<'_> {
        pub fn kretprobe_context(&mut self) -> &mut libbpf_rs::Map {
            self.inner.map_mut("kretprobe_context").unwrap()
        }

        pub fn global_config_map(&mut self) -> &mut libbpf_rs::Map {
            self.inner.map_mut("global_config_map").unwrap()
        }

        pub fn counters_map(&mut self) -> &mut libbpf_rs::Map {
            self.inner.map_mut("counters_map").unwrap()
        }

        pub fn events_map(&mut self) -> &mut libbpf_rs::Map {
            self.inner.map_mut("events_map").unwrap()
        }

        pub fn log_map(&mut self) -> &mut libbpf_rs::Map {
            self.inner.map_mut("log_map").unwrap()
        }

        pub fn filter_meta_map(&mut self) -> &mut libbpf_rs::Map {
            self.inner.map_mut("filter_meta_map").unwrap()
        }

        pub fn tracking_config_map(&mut self) -> &mut libbpf_rs::Map {
            self.inner.map_mut("tracking_config_map").unwrap()
        }

        pub fn tracking_map(&mut self) -> &mut libbpf_rs::Map {
            self.inner.map_mut("tracking_map").unwrap()
        }

        pub fn config_map(&mut self) -> &mut libbpf_rs::Map {
            self.inner.map_mut("config_map").unwrap()
        }

        pub fn stack_map(&mut self) -> &mut libbpf_rs::Map {
            self.inner.map_mut("stack_map").unwrap()
        }

        pub fn rodata(&mut self) -> &mut libbpf_rs::Map {
            self.inner.map_mut("kretprob.rodata").unwrap()
        }

        pub fn bss(&mut self) -> &mut libbpf_rs::Map {
            self.inner.map_mut("kretprob.bss").unwrap()
        }
    }

    pub struct KretprobeMaps<'a> {
        inner: &'a libbpf_rs::Object,
    }

    impl KretprobeMaps<'_> {
        pub fn kretprobe_context(&self) -> &libbpf_rs::Map {
            self.inner.map("kretprobe_context").unwrap()
        }

        pub fn global_config_map(&self) -> &libbpf_rs::Map {
            self.inner.map("global_config_map").unwrap()
        }

        pub fn counters_map(&self) -> &libbpf_rs::Map {
            self.inner.map("counters_map").unwrap()
        }

        pub fn events_map(&self) -> &libbpf_rs::Map {
            self.inner.map("events_map").unwrap()
        }

        pub fn log_map(&self) -> &libbpf_rs::Map {
            self.inner.map("log_map").unwrap()
        }

        pub fn filter_meta_map(&self) -> &libbpf_rs::Map {
            self.inner.map("filter_meta_map").unwrap()
        }

        pub fn tracking_config_map(&self) -> &libbpf_rs::Map {
            self.inner.map("tracking_config_map").unwrap()
        }

        pub fn tracking_map(&self) -> &libbpf_rs::Map {
            self.inner.map("tracking_map").unwrap()
        }

        pub fn config_map(&self) -> &libbpf_rs::Map {
            self.inner.map("config_map").unwrap()
        }

        pub fn stack_map(&self) -> &libbpf_rs::Map {
            self.inner.map("stack_map").unwrap()
        }

        pub fn rodata(&self) -> &libbpf_rs::Map {
            self.inner.map("kretprob.rodata").unwrap()
        }

        pub fn bss(&self) -> &libbpf_rs::Map {
            self.inner.map("kretprob.bss").unwrap()
        }
    }

    pub struct KretprobeProgs<'a> {
        inner: &'a libbpf_rs::Object,
    }

    impl KretprobeProgs<'_> {
        pub fn probe_kretprobe_kretprobe(&self) -> &libbpf_rs::Program {
            self.inner.prog("probe_kretprobe_kretprobe").unwrap()
        }

        pub fn probe_kretprobe_kprobe(&self) -> &libbpf_rs::Program {
            self.inner.prog("probe_kretprobe_kprobe").unwrap()
        }
    }

    pub struct KretprobeProgsMut<'a> {
        inner: &'a mut libbpf_rs::Object,
    }

    impl KretprobeProgsMut<'_> {
        pub fn probe_kretprobe_kretprobe(&mut self) -> &mut libbpf_rs::Program {
            self.inner.prog_mut("probe_kretprobe_kretprobe").unwrap()
        }

        pub fn probe_kretprobe_kprobe(&mut self) -> &mut libbpf_rs::Program {
            self.inner.prog_mut("probe_kretprobe_kprobe").unwrap()
        }
    }

    #[derive(Default)]
    pub struct KretprobeLinks {
        pub probe_kretprobe_kretprobe: Option<libbpf_rs::Link>,
        pub probe_kretprobe_kprobe: Option<libbpf_rs::Link>,
    }

    pub struct KretprobeSkel<'a> {
        pub obj: libbpf_rs::Object,
        struct_ops: kretprobe_types::struct_ops,
        skel_config: libbpf_rs::__internal_skel::ObjectSkeletonConfig<'a>,
        pub links: KretprobeLinks,
    }

    unsafe impl Send for KretprobeSkel<'_> {}
    unsafe impl Sync for KretprobeSkel<'_> {}

    impl Skel for KretprobeSkel<'_> {
        fn object(&self) -> &libbpf_rs::Object {
            &self.obj
        }

        fn object_mut(&mut self) -> &mut libbpf_rs::Object {
            &mut self.obj
        }

        fn attach(&mut self) -> libbpf_rs::Result<()> {
            let ret = unsafe { libbpf_sys::bpf_object__attach_skeleton(self.skel_config.get()) };
            if ret != 0 {
                return Err(libbpf_rs::Error::from_raw_os_error(-ret));
            }

            self.links = KretprobeLinks {
                probe_kretprobe_kretprobe: core::ptr::NonNull::new(
                    self.skel_config.prog_link_ptr(0)?,
                )
                .map(|ptr| unsafe { libbpf_rs::Link::from_ptr(ptr) }),
                probe_kretprobe_kprobe: core::ptr::NonNull::new(self.skel_config.prog_link_ptr(1)?)
                    .map(|ptr| unsafe { libbpf_rs::Link::from_ptr(ptr) }),
            };

            Ok(())
        }
    }
    impl KretprobeSkel<'_> {
        pub fn progs_mut(&mut self) -> KretprobeProgsMut<'_> {
            KretprobeProgsMut {
                inner: &mut self.obj,
            }
        }

        pub fn progs(&self) -> KretprobeProgs<'_> {
            KretprobeProgs { inner: &self.obj }
        }

        pub fn maps_mut(&mut self) -> KretprobeMapsMut<'_> {
            KretprobeMapsMut {
                inner: &mut self.obj,
            }
        }

        pub fn maps(&self) -> KretprobeMaps<'_> {
            KretprobeMaps { inner: &self.obj }
        }

        pub fn struct_ops_raw(&self) -> *const kretprobe_types::struct_ops {
            &self.struct_ops
        }

        pub fn struct_ops(&self) -> &kretprobe_types::struct_ops {
            &self.struct_ops
        }

        pub fn rodata_raw(&self) -> *const kretprobe_types::rodata {
            self.skel_config
                .map_mmap_ptr(10)
                .unwrap()
                .cast::<kretprobe_types::rodata>()
        }

        pub fn rodata(&self) -> &kretprobe_types::rodata {
            unsafe { &*self.rodata_raw() }
        }
    }

    const DATA: &[u8] = &[
        127, 69, 76, 70, 2, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 247, 0, 1, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 192, 196, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 0,
        0, 64, 0, 17, 0, 1, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0,
        0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0,
        0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2,
        1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0,
        0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0,
        97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10,
        252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255,
        0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0,
        0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0,
        0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0,
        0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0,
        183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1,
        0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0,
        0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97,
        160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252,
        255, 0, 0, 0, 0, 21, 1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0,
        0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 99, 10, 252, 255, 0, 0, 0, 0, 21,
        1, 2, 0, 0, 0, 0, 0, 21, 2, 1, 0, 0, 0, 0, 0, 97, 160, 252, 255, 0, 0, 0, 0, 149, 0, 0, 0,
        0, 0, 0, 0, 191, 22, 0, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 123, 26, 136, 255, 0, 0,
        0, 0, 123, 26, 128, 255, 0, 0, 0, 0, 123, 26, 120, 255, 0, 0, 0, 0, 123, 26, 112, 255, 0,
        0, 0, 0, 123, 26, 104, 255, 0, 0, 0, 0, 123, 26, 96, 255, 0, 0, 0, 0, 123, 26, 88, 255, 0,
        0, 0, 0, 123, 26, 80, 255, 0, 0, 0, 0, 123, 26, 72, 255, 0, 0, 0, 0, 123, 26, 64, 255, 0,
        0, 0, 0, 123, 26, 56, 255, 0, 0, 0, 0, 123, 26, 48, 255, 0, 0, 0, 0, 123, 26, 40, 255, 0,
        0, 0, 0, 123, 26, 32, 255, 0, 0, 0, 0, 123, 26, 24, 255, 0, 0, 0, 0, 123, 26, 16, 255, 0,
        0, 0, 0, 123, 26, 8, 255, 0, 0, 0, 0, 123, 26, 0, 255, 0, 0, 0, 0, 123, 26, 248, 254, 0, 0,
        0, 0, 123, 26, 240, 254, 0, 0, 0, 0, 133, 0, 0, 0, 14, 0, 0, 0, 123, 10, 232, 254, 0, 0, 0,
        0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 232, 254, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 7, 0, 0, 0, 0, 0, 0, 21, 7, 82, 37, 0,
        0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 232, 254, 255, 255, 24, 1, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 3, 0, 0, 0, 133, 0, 0, 0, 5, 0, 0, 0, 123, 10,
        248, 254, 0, 0, 0, 0, 121, 113, 16, 0, 0, 0, 0, 0, 123, 26, 0, 255, 0, 0, 0, 0, 183, 1, 0,
        0, 1, 0, 0, 0, 99, 26, 240, 254, 0, 0, 0, 0, 123, 106, 128, 255, 0, 0, 0, 0, 121, 113, 32,
        0, 0, 0, 0, 0, 123, 26, 16, 255, 0, 0, 0, 0, 121, 113, 40, 0, 0, 0, 0, 0, 123, 26, 24, 255,
        0, 0, 0, 0, 121, 113, 48, 0, 0, 0, 0, 0, 123, 26, 32, 255, 0, 0, 0, 0, 121, 113, 56, 0, 0,
        0, 0, 0, 123, 26, 40, 255, 0, 0, 0, 0, 121, 113, 64, 0, 0, 0, 0, 0, 123, 26, 48, 255, 0, 0,
        0, 0, 97, 113, 136, 0, 0, 0, 0, 0, 99, 26, 120, 255, 0, 0, 0, 0, 121, 97, 80, 0, 0, 0, 0,
        0, 123, 26, 112, 255, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17,
        0, 0, 0, 0, 0, 0, 85, 1, 21, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 115, 26, 160, 255, 0,
        0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 160, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 85, 0, 5, 0, 0, 0, 0, 0, 24, 1, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 115, 33, 0, 0, 0, 0, 0, 0, 5,
        0, 39, 37, 0, 0, 0, 0, 113, 1, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 85, 1, 1, 0, 0,
        0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 24, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 115,
        35, 0, 0, 0, 0, 0, 0, 21, 1, 31, 37, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 0,
        255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0,
        21, 0, 25, 37, 0, 0, 0, 0, 191, 169, 0, 0, 0, 0, 0, 0, 7, 9, 0, 0, 16, 255, 255, 255, 113,
        1, 5, 0, 0, 0, 0, 0, 103, 1, 0, 0, 8, 0, 0, 0, 113, 2, 4, 0, 0, 0, 0, 0, 79, 33, 0, 0, 0,
        0, 0, 0, 107, 26, 12, 255, 0, 0, 0, 0, 113, 1, 1, 0, 0, 0, 0, 0, 103, 1, 0, 0, 8, 0, 0, 0,
        113, 2, 0, 0, 0, 0, 0, 0, 79, 33, 0, 0, 0, 0, 0, 0, 113, 2, 2, 0, 0, 0, 0, 0, 103, 2, 0, 0,
        16, 0, 0, 0, 123, 10, 216, 254, 0, 0, 0, 0, 113, 3, 3, 0, 0, 0, 0, 0, 103, 3, 0, 0, 24, 0,
        0, 0, 79, 35, 0, 0, 0, 0, 0, 0, 79, 19, 0, 0, 0, 0, 0, 0, 99, 58, 8, 255, 0, 0, 0, 0, 183,
        1, 0, 0, 0, 0, 0, 0, 123, 26, 152, 255, 0, 0, 0, 0, 123, 26, 144, 255, 0, 0, 0, 0, 97, 161,
        120, 255, 0, 0, 0, 0, 113, 162, 8, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0,
        0, 56, 0, 0, 0, 37, 2, 9, 0, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0,
        0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 5, 0, 0, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 191,
        147, 0, 0, 0, 0, 0, 0, 15, 35, 0, 0, 0, 0, 0, 0, 121, 55, 0, 0, 0, 0, 0, 0, 85, 7, 49, 0,
        0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 85, 34, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0,
        21, 2, 83, 34, 0, 0, 0, 0, 113, 162, 13, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199,
        2, 0, 0, 56, 0, 0, 0, 37, 2, 79, 34, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0,
        32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 75, 34, 0, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0,
        0, 191, 147, 0, 0, 0, 0, 0, 0, 15, 35, 0, 0, 0, 0, 0, 0, 121, 51, 0, 0, 0, 0, 0, 0, 21, 3,
        70, 34, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 9, 0, 0, 0, 0, 0, 183, 1, 0, 0, 8, 0,
        0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255,
        183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 121, 163, 160, 255, 0, 0, 0, 0, 21,
        3, 60, 34, 0, 0, 0, 0, 5, 0, 13, 0, 0, 0, 0, 0, 113, 162, 12, 255, 0, 0, 0, 0, 103, 2, 0,
        0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 37, 2, 55, 34, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0,
        0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 51, 34, 0, 0, 0, 0,
        103, 2, 0, 0, 3, 0, 0, 0, 191, 145, 0, 0, 0, 0, 0, 0, 15, 33, 0, 0, 0, 0, 0, 0, 121, 19, 0,
        0, 0, 0, 0, 0, 21, 3, 46, 34, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0,
        0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0,
        133, 0, 0, 0, 113, 0, 0, 0, 121, 167, 160, 255, 0, 0, 0, 0, 21, 7, 38, 34, 0, 0, 0, 0, 123,
        122, 160, 255, 0, 0, 0, 0, 183, 1, 0, 0, 200, 0, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 15, 19,
        0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 232, 255, 255, 255, 183, 2, 0, 0,
        8, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 121, 161, 232, 255, 0, 0, 0, 0, 123, 26, 240, 255,
        0, 0, 0, 0, 85, 1, 17, 34, 0, 0, 0, 0, 123, 154, 224, 254, 0, 0, 0, 0, 183, 1, 0, 0, 200,
        0, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0,
        7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 183,
        1, 0, 0, 112, 0, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 121, 168, 160,
        255, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0,
        4, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 97, 161, 160, 255, 0, 0, 0, 0, 99, 26, 152, 255, 0,
        0, 0, 0, 183, 1, 0, 0, 186, 0, 0, 0, 191, 118, 0, 0, 0, 0, 0, 0, 15, 22, 0, 0, 0, 0, 0, 0,
        191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 2, 0, 0, 0, 191,
        99, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 183, 1, 0, 0, 184, 0, 0, 0, 123, 122,
        208, 254, 0, 0, 0, 0, 15, 23, 0, 0, 0, 0, 0, 0, 105, 169, 160, 255, 0, 0, 0, 0, 191, 161,
        0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 2, 0, 0, 0, 191, 115, 0, 0,
        0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 21, 9, 31, 16, 255, 255, 0, 0, 105, 161, 160, 255,
        0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 255, 255, 255, 255, 87, 2, 0, 0, 255,
        255, 0, 0, 37, 2, 10, 0, 253, 255, 0, 0, 93, 145, 9, 0, 0, 0, 0, 0, 183, 1, 0, 0, 120, 0,
        0, 0, 121, 163, 208, 254, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0,
        7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 105,
        161, 160, 255, 0, 0, 0, 0, 21, 1, 16, 16, 0, 0, 0, 0, 183, 1, 0, 0, 186, 0, 0, 0, 121, 163,
        208, 254, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0,
        160, 255, 255, 255, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 105, 161, 160,
        255, 0, 0, 0, 0, 15, 24, 0, 0, 0, 0, 0, 0, 123, 138, 144, 255, 0, 0, 0, 0, 191, 161, 0, 0,
        0, 0, 0, 0, 7, 1, 0, 0, 144, 255, 255, 255, 191, 169, 0, 0, 0, 0, 0, 0, 7, 9, 0, 0, 232,
        255, 255, 255, 133, 0, 0, 0, 239, 190, 173, 222, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0,
        0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0,
        0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 99, 10, 156, 255, 0, 0, 0, 0, 5, 0, 44, 16,
        0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 2, 0,
        0, 0, 191, 99, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 105, 166, 160, 255, 0, 0, 0,
        0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 2, 0, 0, 0,
        191, 115, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 105, 161, 160, 255, 0, 0, 0, 0,
        191, 18, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 255, 255, 255, 255, 87, 2, 0, 0, 255, 255, 0, 0,
        121, 169, 224, 254, 0, 0, 0, 0, 121, 167, 208, 254, 0, 0, 0, 0, 37, 2, 198, 17, 253, 255,
        0, 0, 21, 6, 10, 0, 255, 255, 0, 0, 93, 22, 9, 0, 0, 0, 0, 0, 183, 1, 0, 0, 120, 0, 0, 0,
        191, 115, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0,
        0, 160, 255, 255, 255, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 105, 161, 160,
        255, 0, 0, 0, 0, 85, 1, 187, 17, 0, 0, 0, 0, 183, 1, 0, 0, 184, 0, 0, 0, 191, 115, 0, 0, 0,
        0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255,
        255, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 105, 161, 160, 255, 0, 0, 0, 0,
        15, 24, 0, 0, 0, 0, 0, 0, 123, 138, 144, 255, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1,
        0, 0, 144, 255, 255, 255, 191, 169, 0, 0, 0, 0, 0, 0, 7, 9, 0, 0, 232, 255, 255, 255, 133,
        0, 0, 0, 222, 192, 173, 222, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0,
        0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5,
        0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0,
        0, 5, 0, 0, 0, 0, 0, 0, 0, 99, 10, 156, 255, 0, 0, 0, 0, 183, 8, 0, 0, 1, 0, 0, 0, 97, 162,
        156, 255, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 85, 2, 1, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0,
        0, 0, 0, 97, 162, 136, 255, 0, 0, 0, 0, 79, 18, 0, 0, 0, 0, 0, 0, 99, 42, 136, 255, 0, 0,
        0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 18, 0, 0, 0, 0, 0, 0, 121, 169,
        224, 254, 0, 0, 0, 0, 21, 2, 244, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 37, 1, 242, 0,
        32, 0, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 99, 154, 232, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0,
        0, 0, 7, 2, 0, 0, 232, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133,
        0, 0, 0, 1, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 85, 6, 22, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 21, 1, 227, 0, 0, 0, 0, 0, 24, 1,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 128, 0, 0, 0, 183, 3, 0, 0, 0, 0,
        0, 0, 133, 0, 0, 0, 131, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 21, 6, 220, 0, 0, 0, 0, 0, 183,
        1, 0, 0, 1, 0, 0, 0, 115, 22, 0, 0, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1,
        0, 0, 0, 191, 164, 0, 0, 0, 0, 0, 0, 7, 4, 0, 0, 248, 255, 255, 255, 183, 2, 0, 0, 127, 0,
        0, 0, 24, 3, 0, 0, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 0, 0, 0, 0, 5, 0,
        205, 0, 0, 0, 0, 0, 113, 97, 32, 0, 0, 0, 0, 0, 123, 26, 184, 254, 0, 0, 0, 0, 113, 97, 33,
        0, 0, 0, 0, 0, 123, 26, 176, 254, 0, 0, 0, 0, 183, 7, 0, 0, 1, 0, 0, 0, 99, 122, 232, 255,
        0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 183,
        2, 0, 0, 2, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 123, 58, 200, 254, 0, 0, 0, 0, 183, 8, 0, 0,
        0, 0, 0, 0, 123, 58, 192, 254, 0, 0, 0, 0, 45, 18, 20, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0,
        0, 0, 123, 26, 192, 254, 0, 0, 0, 0, 123, 26, 200, 254, 0, 0, 0, 0, 5, 0, 28, 0, 0, 0, 0,
        0, 113, 3, 4, 0, 0, 0, 0, 0, 123, 58, 192, 254, 0, 0, 0, 0, 113, 8, 1, 0, 0, 0, 0, 0, 191,
        25, 0, 0, 0, 0, 0, 0, 123, 42, 200, 254, 0, 0, 0, 0, 97, 161, 232, 255, 0, 0, 0, 0, 7, 1,
        0, 0, 1, 0, 0, 0, 99, 26, 232, 255, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 97, 17, 0, 0, 0, 0, 0, 0, 7, 7, 0, 0, 1, 0, 0, 0, 191, 114, 0, 0, 0, 0, 0, 0, 103, 2,
        0, 0, 32, 0, 0, 0, 119, 2, 0, 0, 32, 0, 0, 0, 45, 33, 12, 0, 0, 0, 0, 0, 121, 161, 200,
        254, 0, 0, 0, 0, 87, 1, 0, 0, 64, 0, 0, 0, 79, 129, 0, 0, 0, 0, 0, 0, 87, 1, 0, 0, 255, 0,
        0, 0, 21, 1, 27, 0, 0, 0, 0, 0, 191, 129, 0, 0, 0, 0, 0, 0, 87, 1, 0, 0, 255, 0, 0, 0, 121,
        163, 208, 254, 0, 0, 0, 0, 121, 162, 184, 254, 0, 0, 0, 0, 21, 1, 97, 0, 0, 0, 0, 0, 191,
        130, 0, 0, 0, 0, 0, 0, 5, 0, 95, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0,
        232, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0,
        0, 85, 0, 1, 0, 0, 0, 0, 0, 5, 0, 129, 0, 0, 0, 0, 0, 105, 1, 2, 0, 0, 0, 0, 0, 113, 2, 0,
        0, 0, 0, 0, 0, 85, 2, 218, 255, 64, 0, 0, 0, 121, 163, 208, 254, 0, 0, 0, 0, 15, 19, 0, 0,
        0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8, 0,
        0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 85, 0, 145, 0, 0, 0, 0, 0, 121, 161, 160, 255, 0, 0, 0,
        0, 123, 26, 208, 254, 0, 0, 0, 0, 5, 0, 213, 255, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0,
        123, 26, 240, 255, 0, 0, 0, 0, 121, 162, 192, 254, 0, 0, 0, 0, 87, 2, 0, 0, 255, 0, 0, 0,
        21, 2, 141, 0, 0, 0, 0, 0, 191, 151, 0, 0, 0, 0, 0, 0, 167, 7, 0, 0, 255, 255, 255, 255,
        24, 1, 0, 0, 7, 0, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 79, 23, 0, 0, 0, 0, 0, 0, 191, 145, 0,
        0, 0, 0, 0, 0, 87, 1, 0, 0, 255, 255, 0, 0, 15, 23, 0, 0, 0, 0, 0, 0, 15, 39, 0, 0, 0, 0,
        0, 0, 24, 2, 0, 0, 248, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 95, 39, 0, 0, 0, 0, 0, 0,
        119, 7, 0, 0, 3, 0, 0, 0, 183, 2, 0, 0, 7, 0, 0, 0, 45, 114, 1, 0, 0, 0, 0, 0, 183, 7, 0,
        0, 7, 0, 0, 0, 119, 1, 0, 0, 3, 0, 0, 0, 7, 7, 0, 0, 1, 0, 0, 0, 87, 1, 0, 0, 255, 255, 0,
        0, 121, 163, 208, 254, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7,
        1, 0, 0, 240, 255, 255, 255, 191, 114, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 183,
        8, 0, 0, 0, 0, 0, 0, 85, 0, 111, 0, 0, 0, 0, 0, 121, 162, 240, 255, 0, 0, 0, 0, 121, 161,
        192, 254, 0, 0, 0, 0, 87, 1, 0, 0, 255, 0, 0, 0, 21, 1, 180, 0, 0, 0, 0, 0, 183, 3, 0, 0,
        64, 0, 0, 0, 31, 19, 0, 0, 0, 0, 0, 0, 87, 9, 0, 0, 7, 0, 0, 0, 191, 49, 0, 0, 0, 0, 0, 0,
        31, 145, 0, 0, 0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 119, 1, 0, 0, 32, 0, 0, 0, 111, 18,
        0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 191, 33, 0, 0, 0,
        0, 0, 0, 207, 49, 0, 0, 0, 0, 0, 0, 121, 164, 200, 254, 0, 0, 0, 0, 103, 4, 0, 0, 56, 0, 0,
        0, 199, 4, 0, 0, 56, 0, 0, 0, 183, 5, 0, 0, 0, 0, 0, 0, 109, 69, 2, 0, 0, 0, 0, 0, 127, 50,
        0, 0, 0, 0, 0, 0, 191, 33, 0, 0, 0, 0, 0, 0, 123, 26, 240, 255, 0, 0, 0, 0, 121, 98, 0, 0,
        0, 0, 0, 0, 121, 166, 176, 254, 0, 0, 0, 0, 101, 6, 150, 0, 2, 0, 0, 0, 21, 6, 182, 0, 0,
        0, 0, 0, 21, 6, 212, 0, 1, 0, 0, 0, 21, 6, 1, 0, 2, 0, 0, 0, 5, 0, 183, 0, 0, 0, 0, 0, 183,
        3, 0, 0, 0, 0, 0, 0, 183, 8, 0, 0, 1, 0, 0, 0, 183, 4, 0, 0, 1, 0, 0, 0, 45, 18, 1, 0, 0,
        0, 0, 0, 183, 4, 0, 0, 0, 0, 0, 0, 109, 18, 1, 0, 0, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0,
        121, 161, 200, 254, 0, 0, 0, 0, 103, 1, 0, 0, 56, 0, 0, 0, 199, 1, 0, 0, 56, 0, 0, 0, 109,
        19, 223, 0, 0, 0, 0, 0, 5, 0, 221, 0, 0, 0, 0, 0, 87, 9, 0, 0, 255, 255, 0, 0, 15, 147, 0,
        0, 0, 0, 0, 0, 87, 2, 0, 0, 255, 0, 0, 0, 183, 1, 0, 0, 32, 0, 0, 0, 191, 39, 0, 0, 0, 0,
        0, 0, 123, 42, 184, 254, 0, 0, 0, 0, 45, 33, 1, 0, 0, 0, 0, 0, 183, 7, 0, 0, 32, 0, 0, 0,
        191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 191, 114, 0, 0, 0, 0, 0, 0,
        133, 0, 0, 0, 115, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 121, 169, 224, 254, 0, 0, 0, 0, 121,
        161, 184, 254, 0, 0, 0, 0, 21, 1, 19, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 109, 1, 17,
        0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 87, 7, 0, 0,
        255, 0, 0, 0, 7, 7, 0, 0, 1, 0, 0, 0, 113, 98, 0, 0, 0, 0, 0, 0, 21, 2, 6, 0, 0, 0, 0, 0,
        113, 19, 0, 0, 0, 0, 0, 0, 93, 50, 4, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 7, 6, 0, 0, 1,
        0, 0, 0, 7, 7, 0, 0, 255, 255, 255, 255, 37, 7, 248, 255, 1, 0, 0, 0, 113, 17, 0, 0, 0, 0,
        0, 0, 113, 98, 0, 0, 0, 0, 0, 0, 183, 8, 0, 0, 1, 0, 0, 0, 29, 18, 1, 0, 0, 0, 0, 0, 183,
        8, 0, 0, 0, 0, 0, 0, 121, 166, 176, 254, 0, 0, 0, 0, 21, 6, 95, 0, 0, 0, 0, 0, 85, 6, 67,
        0, 5, 0, 0, 0, 167, 8, 0, 0, 1, 0, 0, 0, 87, 8, 0, 0, 1, 0, 0, 0, 5, 0, 28, 0, 0, 0, 0, 0,
        24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 21, 1, 22, 0,
        0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 128, 0, 0, 0,
        183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 21, 6, 15,
        0, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 115, 22, 0, 0, 0, 0, 0, 0, 123, 122, 240, 255, 0,
        0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 191, 164, 0, 0, 0, 0, 0, 0, 7,
        4, 0, 0, 240, 255, 255, 255, 183, 2, 0, 0, 127, 0, 0, 0, 24, 3, 0, 0, 48, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 183, 5, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 165, 0, 0, 0, 191, 97, 0, 0, 0, 0,
        0, 0, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 132, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 121,
        169, 224, 254, 0, 0, 0, 0, 103, 8, 0, 0, 1, 0, 0, 0, 5, 0, 166, 0, 0, 0, 0, 0, 183, 1, 0,
        0, 8, 0, 0, 0, 121, 162, 184, 254, 0, 0, 0, 0, 191, 39, 0, 0, 0, 0, 0, 0, 45, 33, 1, 0, 0,
        0, 0, 0, 183, 7, 0, 0, 8, 0, 0, 0, 191, 145, 0, 0, 0, 0, 0, 0, 85, 2, 126, 255, 0, 0, 0, 0,
        183, 8, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0,
        0, 0, 0, 0, 21, 1, 241, 255, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        183, 2, 0, 0, 128, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0, 0, 0, 21, 0,
        235, 255, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 115, 16, 0, 0, 0, 0, 0, 0, 191, 1, 0, 0, 0,
        0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 191, 164, 0, 0, 0, 0, 0, 0, 7, 4, 0, 0, 248, 255, 255,
        255, 183, 2, 0, 0, 127, 0, 0, 0, 24, 3, 0, 0, 125, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 5,
        0, 0, 0, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 165, 0, 0, 0, 191, 97, 0, 0, 0,
        0, 0, 0, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 132, 0, 0, 0, 5, 0, 219, 255, 0, 0, 0, 0,
        183, 8, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0,
        0, 0, 0, 0, 21, 1, 22, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183,
        2, 0, 0, 128, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0, 0, 0, 21, 0, 16, 0,
        0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 115, 16, 0, 0, 0, 0, 0, 0, 123, 106, 160, 255, 0, 0,
        0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 191, 164, 0, 0, 0, 0, 0, 0, 7, 4,
        0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 127, 0, 0, 0, 24, 3, 0, 0, 96, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 183, 5, 0, 0, 8, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 165, 0, 0, 0,
        191, 97, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 132, 0, 0, 0, 87, 8, 0,
        0, 1, 0, 0, 0, 5, 0, 191, 255, 0, 0, 0, 0, 21, 6, 20, 0, 3, 0, 0, 0, 21, 6, 74, 0, 4, 0, 0,
        0, 21, 6, 1, 0, 5, 0, 0, 0, 5, 0, 33, 0, 0, 0, 0, 0, 183, 8, 0, 0, 1, 0, 0, 0, 93, 33, 82,
        0, 0, 0, 0, 0, 5, 0, 28, 0, 0, 0, 0, 0, 121, 163, 200, 254, 0, 0, 0, 0, 103, 3, 0, 0, 56,
        0, 0, 0, 199, 3, 0, 0, 56, 0, 0, 0, 191, 33, 0, 0, 0, 0, 0, 0, 101, 3, 91, 255, 255, 255,
        255, 255, 103, 7, 0, 0, 32, 0, 0, 0, 119, 7, 0, 0, 32, 0, 0, 0, 21, 7, 78, 0, 1, 0, 0, 0,
        21, 7, 74, 0, 2, 0, 0, 0, 191, 33, 0, 0, 0, 0, 0, 0, 85, 7, 84, 255, 4, 0, 0, 0, 103, 2, 0,
        0, 32, 0, 0, 0, 199, 2, 0, 0, 32, 0, 0, 0, 5, 0, 80, 255, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0,
        0, 0, 183, 8, 0, 0, 1, 0, 0, 0, 183, 4, 0, 0, 1, 0, 0, 0, 61, 33, 1, 0, 0, 0, 0, 0, 183, 4,
        0, 0, 0, 0, 0, 0, 125, 33, 1, 0, 0, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 121, 161, 200, 254,
        0, 0, 0, 0, 103, 1, 0, 0, 56, 0, 0, 0, 199, 1, 0, 0, 56, 0, 0, 0, 109, 19, 56, 0, 0, 0, 0,
        0, 5, 0, 54, 0, 0, 0, 0, 0, 183, 8, 0, 0, 1, 0, 0, 0, 29, 33, 53, 0, 0, 0, 0, 0, 183, 8, 0,
        0, 0, 0, 0, 0, 5, 0, 51, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        113, 17, 0, 0, 0, 0, 0, 0, 21, 1, 47, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 183, 2, 0, 0, 128, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0, 0,
        0, 21, 0, 41, 0, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 115, 16, 0, 0, 0, 0, 0, 0, 123, 106,
        160, 255, 0, 0, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 191, 164, 0, 0, 0,
        0, 0, 0, 7, 4, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 127, 0, 0, 0, 24, 3, 0, 0, 182, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 8, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 133, 0,
        0, 0, 165, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 2, 0, 0, 0, 133, 0, 0, 0, 132,
        0, 0, 0, 5, 0, 24, 0, 0, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 183, 8, 0, 0, 1, 0, 0, 0, 183,
        4, 0, 0, 1, 0, 0, 0, 45, 33, 1, 0, 0, 0, 0, 0, 183, 4, 0, 0, 0, 0, 0, 0, 109, 33, 1, 0, 0,
        0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 121, 161, 200, 254, 0, 0, 0, 0, 103, 1, 0, 0, 56, 0, 0,
        0, 199, 1, 0, 0, 56, 0, 0, 0, 109, 19, 13, 0, 0, 0, 0, 0, 5, 0, 11, 0, 0, 0, 0, 0, 183, 3,
        0, 0, 0, 0, 0, 0, 183, 8, 0, 0, 1, 0, 0, 0, 183, 4, 0, 0, 1, 0, 0, 0, 61, 18, 1, 0, 0, 0,
        0, 0, 183, 4, 0, 0, 0, 0, 0, 0, 125, 18, 1, 0, 0, 0, 0, 0, 183, 8, 0, 0, 0, 0, 0, 0, 121,
        161, 200, 254, 0, 0, 0, 0, 103, 1, 0, 0, 56, 0, 0, 0, 199, 1, 0, 0, 56, 0, 0, 0, 109, 19,
        1, 0, 0, 0, 0, 0, 191, 72, 0, 0, 0, 0, 0, 0, 87, 8, 0, 0, 1, 0, 0, 0, 5, 0, 100, 255, 0, 0,
        0, 0, 103, 2, 0, 0, 48, 0, 0, 0, 199, 2, 0, 0, 48, 0, 0, 0, 5, 0, 8, 255, 0, 0, 0, 0, 103,
        2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 5, 0, 5, 255, 0, 0, 0, 0, 191, 162, 0, 0,
        0, 0, 0, 0, 7, 2, 0, 0, 240, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 133, 0, 0, 0, 1, 0, 0, 0, 21, 0, 52, 0, 0, 0, 0, 0, 183, 8, 0, 0, 3, 0, 0, 0, 97, 161,
        136, 255, 0, 0, 0, 0, 79, 129, 0, 0, 0, 0, 0, 0, 99, 26, 136, 255, 0, 0, 0, 0, 97, 161,
        136, 255, 0, 0, 0, 0, 85, 1, 148, 0, 3, 0, 0, 0, 121, 161, 0, 255, 0, 0, 0, 0, 123, 26,
        240, 255, 0, 0, 0, 0, 97, 161, 120, 255, 0, 0, 0, 0, 113, 162, 8, 255, 0, 0, 0, 0, 103, 2,
        0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 37, 2, 11, 0, 11, 0, 0, 0, 191, 35, 0, 0, 0,
        0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 7, 0, 0, 0, 0, 0,
        103, 2, 0, 0, 3, 0, 0, 0, 191, 147, 0, 0, 0, 0, 0, 0, 15, 35, 0, 0, 0, 0, 0, 0, 121, 50, 0,
        0, 0, 0, 0, 0, 21, 2, 2, 0, 0, 0, 0, 0, 123, 42, 232, 255, 0, 0, 0, 0, 5, 0, 57, 0, 0, 0,
        0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 128, 0, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2,
        126, 0, 0, 0, 0, 0, 113, 162, 13, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0,
        56, 0, 0, 0, 37, 2, 122, 0, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0,
        0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 118, 0, 0, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 191,
        147, 0, 0, 0, 0, 0, 0, 15, 35, 0, 0, 0, 0, 0, 0, 121, 51, 0, 0, 0, 0, 0, 0, 21, 3, 113, 0,
        0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 16, 0, 0, 0, 0, 0, 183, 1, 0, 0, 8, 0, 0, 0,
        15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183,
        2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 121, 163, 160, 255, 0, 0, 0, 0, 21, 3,
        103, 0, 0, 0, 0, 0, 5, 0, 20, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 160,
        255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0,
        21, 0, 175, 221, 0, 0, 0, 0, 5, 0, 197, 255, 0, 0, 0, 0, 113, 162, 12, 255, 0, 0, 0, 0,
        103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0, 0, 56, 0, 0, 0, 37, 2, 91, 0, 11, 0, 0, 0, 191, 35,
        0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 87, 0, 0,
        0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 191, 145, 0, 0, 0, 0, 0, 0, 15, 33, 0, 0, 0, 0, 0, 0,
        121, 19, 0, 0, 0, 0, 0, 0, 21, 3, 82, 0, 0, 0, 0, 0, 183, 1, 0, 0, 0, 0, 0, 0, 15, 19, 0,
        0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8,
        0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 121, 161, 160, 255, 0, 0, 0, 0, 123, 26, 232, 255, 0,
        0, 0, 0, 21, 1, 73, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 240, 255, 255,
        255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 183, 8, 0,
        0, 0, 0, 0, 0, 183, 7, 0, 0, 0, 0, 0, 0, 21, 0, 8, 0, 0, 0, 0, 0, 113, 1, 3, 0, 0, 0, 0, 0,
        183, 7, 0, 0, 1, 0, 0, 0, 183, 8, 0, 0, 1, 0, 0, 0, 85, 1, 1, 0, 0, 0, 0, 0, 183, 8, 0, 0,
        0, 0, 0, 0, 113, 1, 2, 0, 0, 0, 0, 0, 85, 1, 1, 0, 0, 0, 0, 0, 183, 7, 0, 0, 0, 0, 0, 0,
        183, 1, 0, 0, 200, 0, 0, 0, 121, 163, 232, 255, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191,
        161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0,
        0, 113, 0, 0, 0, 121, 161, 160, 255, 0, 0, 0, 0, 123, 26, 144, 255, 0, 0, 0, 0, 21, 1, 47,
        0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 144, 255, 255, 255, 24, 1, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 85, 6,
        29, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 232, 255, 255, 255, 24, 1, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 21,
        6, 6, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 232, 255, 255, 255, 24, 1, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 3, 0, 0, 0, 5, 0, 9, 0, 0, 0, 0, 0,
        87, 8, 0, 0, 1, 0, 0, 0, 85, 8, 25, 0, 0, 0, 0, 0, 121, 161, 248, 254, 0, 0, 0, 0, 123, 26,
        168, 255, 0, 0, 0, 0, 123, 26, 160, 255, 0, 0, 0, 0, 121, 161, 144, 255, 0, 0, 0, 0, 123,
        26, 176, 255, 0, 0, 0, 0, 191, 166, 0, 0, 0, 0, 0, 0, 7, 6, 0, 0, 160, 255, 255, 255, 191,
        162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 144, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 191, 99, 0, 0, 0, 0, 0, 0, 183, 4, 0, 0, 1, 0, 0, 0, 133, 0, 0, 0, 2, 0, 0, 0,
        121, 161, 248, 254, 0, 0, 0, 0, 123, 22, 8, 0, 0, 0, 0, 0, 87, 7, 0, 0, 1, 0, 0, 0, 21, 7,
        7, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 232, 255, 255, 255, 24, 1, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 191, 99, 0, 0, 0, 0, 0, 0, 183, 4, 0, 0, 1, 0, 0, 0,
        133, 0, 0, 0, 2, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 17, 0, 0, 0,
        0, 0, 0, 21, 1, 97, 0, 0, 0, 0, 0, 183, 7, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 4, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0,
        0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 85, 6, 12, 0, 0, 0, 0, 0, 121, 161, 0, 255, 0, 0, 0, 0,
        123, 26, 160, 255, 0, 0, 0, 0, 123, 122, 168, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0,
        7, 2, 0, 0, 160, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0,
        0, 1, 0, 0, 0, 21, 0, 80, 0, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 219, 16, 0, 0, 0, 0, 0,
        0, 5, 0, 77, 0, 0, 0, 0, 0, 123, 154, 224, 254, 0, 0, 0, 0, 183, 1, 0, 0, 12, 0, 0, 0, 115,
        22, 4, 0, 0, 0, 0, 0, 183, 9, 0, 0, 1, 0, 0, 0, 115, 150, 2, 0, 0, 0, 0, 0, 115, 118, 5, 0,
        0, 0, 0, 0, 115, 118, 3, 0, 0, 0, 0, 0, 115, 118, 1, 0, 0, 0, 0, 0, 183, 1, 0, 0, 16, 0, 0,
        0, 115, 22, 0, 0, 0, 0, 0, 0, 121, 161, 248, 254, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0,
        119, 2, 0, 0, 16, 0, 0, 0, 115, 38, 8, 0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 119, 2, 0,
        0, 24, 0, 0, 0, 115, 38, 9, 0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 8, 0,
        0, 0, 115, 38, 7, 0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 48, 0, 0, 0, 115,
        38, 12, 0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 56, 0, 0, 0, 115, 38, 13,
        0, 0, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 32, 0, 0, 0, 115, 38, 10, 0, 0, 0,
        0, 0, 115, 22, 6, 0, 0, 0, 0, 0, 119, 1, 0, 0, 40, 0, 0, 0, 115, 22, 11, 0, 0, 0, 0, 0,
        133, 0, 0, 0, 8, 0, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 119, 1, 0, 0, 24, 0, 0, 0, 115, 22, 17,
        0, 0, 0, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 119, 1, 0, 0, 16, 0, 0, 0, 115, 22, 16, 0, 0, 0,
        0, 0, 115, 6, 14, 0, 0, 0, 0, 0, 119, 0, 0, 0, 8, 0, 0, 0, 115, 6, 15, 0, 0, 0, 0, 0, 113,
        97, 1, 0, 0, 0, 0, 0, 103, 1, 0, 0, 8, 0, 0, 0, 113, 98, 0, 0, 0, 0, 0, 0, 79, 33, 0, 0, 0,
        0, 0, 0, 183, 2, 0, 0, 179, 3, 0, 0, 45, 18, 85, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 121, 169, 224, 254, 0, 0, 0, 0, 21, 1, 21,
        0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 128, 0, 0, 0,
        183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0, 0, 0, 191, 7, 0, 0, 0, 0, 0, 0, 21, 7, 14,
        0, 0, 0, 0, 0, 183, 1, 0, 0, 1, 0, 0, 0, 115, 23, 0, 0, 0, 0, 0, 0, 191, 113, 0, 0, 0, 0,
        0, 0, 7, 1, 0, 0, 1, 0, 0, 0, 191, 164, 0, 0, 0, 0, 0, 0, 7, 4, 0, 0, 248, 255, 255, 255,
        183, 2, 0, 0, 127, 0, 0, 0, 24, 3, 0, 0, 211, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 5, 0,
        0, 0, 0, 0, 0, 133, 0, 0, 0, 165, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 2, 0,
        0, 0, 133, 0, 0, 0, 132, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 133,
        0, 0, 0, 133, 0, 0, 0, 97, 161, 136, 255, 0, 0, 0, 0, 85, 1, 161, 1, 3, 0, 0, 0, 121, 161,
        0, 255, 0, 0, 0, 0, 123, 26, 144, 255, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0,
        144, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0,
        0, 21, 0, 153, 1, 0, 0, 0, 0, 113, 1, 0, 0, 0, 0, 0, 0, 21, 1, 151, 1, 0, 0, 0, 0, 97, 161,
        120, 255, 0, 0, 0, 0, 113, 162, 8, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199, 2, 0,
        0, 56, 0, 0, 0, 37, 2, 9, 0, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0, 32, 0,
        0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 5, 0, 0, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0, 0, 191,
        147, 0, 0, 0, 0, 0, 0, 15, 35, 0, 0, 0, 0, 0, 0, 121, 51, 0, 0, 0, 0, 0, 0, 85, 3, 114, 1,
        0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 135, 1, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0,
        21, 2, 133, 1, 0, 0, 0, 0, 113, 162, 13, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0, 199,
        2, 0, 0, 56, 0, 0, 0, 37, 2, 129, 1, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0, 0,
        32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 125, 1, 0, 0, 0, 0, 103, 2, 0, 0, 3, 0, 0,
        0, 191, 147, 0, 0, 0, 0, 0, 0, 15, 35, 0, 0, 0, 0, 0, 0, 121, 51, 0, 0, 0, 0, 0, 0, 21, 3,
        120, 1, 0, 0, 0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 21, 2, 73, 1, 0, 0, 0, 0, 183, 1, 0, 0, 8, 0,
        0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160, 255, 255, 255,
        183, 2, 0, 0, 8, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0, 0, 191, 96, 0,
        0, 0, 0, 0, 0, 121, 163, 160, 255, 0, 0, 0, 0, 21, 3, 108, 1, 0, 0, 0, 0, 5, 0, 74, 1, 0,
        0, 0, 0, 191, 104, 0, 0, 0, 0, 0, 0, 7, 8, 0, 0, 2, 0, 0, 0, 191, 135, 0, 0, 0, 0, 0, 0,
        15, 23, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 72, 0, 0, 0, 115, 39, 2, 0, 0, 0, 0, 0, 115, 151,
        1, 0, 0, 0, 0, 0, 115, 151, 0, 0, 0, 0, 0, 0, 183, 9, 0, 0, 0, 0, 0, 0, 115, 151, 3, 0, 0,
        0, 0, 0, 7, 1, 0, 0, 76, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 8, 0, 0, 0, 115,
        38, 1, 0, 0, 0, 0, 0, 115, 22, 0, 0, 0, 0, 0, 0, 115, 151, 75, 0, 0, 0, 0, 0, 115, 151, 74,
        0, 0, 0, 0, 0, 115, 151, 73, 0, 0, 0, 0, 0, 115, 151, 72, 0, 0, 0, 0, 0, 115, 151, 71, 0,
        0, 0, 0, 0, 115, 151, 70, 0, 0, 0, 0, 0, 115, 151, 69, 0, 0, 0, 0, 0, 115, 151, 68, 0, 0,
        0, 0, 0, 115, 151, 67, 0, 0, 0, 0, 0, 115, 151, 66, 0, 0, 0, 0, 0, 115, 151, 65, 0, 0, 0,
        0, 0, 115, 151, 64, 0, 0, 0, 0, 0, 115, 151, 63, 0, 0, 0, 0, 0, 115, 151, 62, 0, 0, 0, 0,
        0, 115, 151, 61, 0, 0, 0, 0, 0, 115, 151, 60, 0, 0, 0, 0, 0, 115, 151, 59, 0, 0, 0, 0, 0,
        115, 151, 58, 0, 0, 0, 0, 0, 115, 151, 57, 0, 0, 0, 0, 0, 115, 151, 56, 0, 0, 0, 0, 0, 115,
        151, 55, 0, 0, 0, 0, 0, 115, 151, 54, 0, 0, 0, 0, 0, 115, 151, 53, 0, 0, 0, 0, 0, 115, 151,
        52, 0, 0, 0, 0, 0, 115, 151, 51, 0, 0, 0, 0, 0, 115, 151, 50, 0, 0, 0, 0, 0, 115, 151, 49,
        0, 0, 0, 0, 0, 115, 151, 48, 0, 0, 0, 0, 0, 115, 151, 47, 0, 0, 0, 0, 0, 115, 151, 46, 0,
        0, 0, 0, 0, 115, 151, 45, 0, 0, 0, 0, 0, 115, 151, 44, 0, 0, 0, 0, 0, 115, 151, 43, 0, 0,
        0, 0, 0, 115, 151, 42, 0, 0, 0, 0, 0, 115, 151, 41, 0, 0, 0, 0, 0, 115, 151, 40, 0, 0, 0,
        0, 0, 115, 151, 39, 0, 0, 0, 0, 0, 115, 151, 38, 0, 0, 0, 0, 0, 115, 151, 37, 0, 0, 0, 0,
        0, 115, 151, 36, 0, 0, 0, 0, 0, 115, 151, 35, 0, 0, 0, 0, 0, 115, 151, 34, 0, 0, 0, 0, 0,
        115, 151, 33, 0, 0, 0, 0, 0, 115, 151, 32, 0, 0, 0, 0, 0, 115, 151, 31, 0, 0, 0, 0, 0, 115,
        151, 30, 0, 0, 0, 0, 0, 115, 151, 29, 0, 0, 0, 0, 0, 115, 151, 28, 0, 0, 0, 0, 0, 115, 151,
        27, 0, 0, 0, 0, 0, 115, 151, 26, 0, 0, 0, 0, 0, 115, 151, 25, 0, 0, 0, 0, 0, 115, 151, 24,
        0, 0, 0, 0, 0, 115, 151, 23, 0, 0, 0, 0, 0, 115, 151, 22, 0, 0, 0, 0, 0, 115, 151, 21, 0,
        0, 0, 0, 0, 115, 151, 20, 0, 0, 0, 0, 0, 115, 151, 19, 0, 0, 0, 0, 0, 115, 151, 18, 0, 0,
        0, 0, 0, 115, 151, 17, 0, 0, 0, 0, 0, 115, 151, 16, 0, 0, 0, 0, 0, 115, 151, 15, 0, 0, 0,
        0, 0, 115, 151, 14, 0, 0, 0, 0, 0, 115, 151, 13, 0, 0, 0, 0, 0, 115, 151, 12, 0, 0, 0, 0,
        0, 115, 151, 11, 0, 0, 0, 0, 0, 115, 151, 10, 0, 0, 0, 0, 0, 115, 151, 9, 0, 0, 0, 0, 0,
        115, 151, 8, 0, 0, 0, 0, 0, 115, 151, 7, 0, 0, 0, 0, 0, 115, 151, 6, 0, 0, 0, 0, 0, 115,
        151, 5, 0, 0, 0, 0, 0, 115, 151, 4, 0, 0, 0, 0, 0, 133, 0, 0, 0, 14, 0, 0, 0, 123, 7, 4, 0,
        0, 0, 0, 0, 7, 7, 0, 0, 12, 0, 0, 0, 191, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 64, 0, 0, 0,
        133, 0, 0, 0, 16, 0, 0, 0, 113, 98, 0, 0, 0, 0, 0, 0, 113, 97, 1, 0, 0, 0, 0, 0, 103, 1, 0,
        0, 8, 0, 0, 0, 79, 33, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 234, 3, 0, 0, 45, 18, 13, 0, 0, 0,
        0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 121, 169,
        224, 254, 0, 0, 0, 0, 21, 1, 93, 255, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 183, 2, 0, 0, 128, 0, 0, 0, 183, 3, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 131, 0, 0, 0,
        191, 7, 0, 0, 0, 0, 0, 0, 21, 7, 86, 255, 0, 0, 0, 0, 5, 0, 71, 255, 0, 0, 0, 0, 15, 24, 0,
        0, 0, 0, 0, 0, 115, 152, 3, 0, 0, 0, 0, 0, 183, 2, 0, 0, 17, 0, 0, 0, 115, 40, 2, 0, 0, 0,
        0, 0, 183, 2, 0, 0, 1, 0, 0, 0, 115, 40, 1, 0, 0, 0, 0, 0, 183, 2, 0, 0, 2, 0, 0, 0, 115,
        40, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 21, 0, 0, 0, 191, 18, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 8,
        0, 0, 0, 115, 38, 1, 0, 0, 0, 0, 0, 115, 22, 0, 0, 0, 0, 0, 0, 121, 162, 0, 255, 0, 0, 0,
        0, 191, 35, 0, 0, 0, 0, 0, 0, 119, 3, 0, 0, 56, 0, 0, 0, 115, 56, 11, 0, 0, 0, 0, 0, 191,
        35, 0, 0, 0, 0, 0, 0, 119, 3, 0, 0, 48, 0, 0, 0, 115, 56, 10, 0, 0, 0, 0, 0, 191, 35, 0, 0,
        0, 0, 0, 0, 119, 3, 0, 0, 40, 0, 0, 0, 115, 56, 9, 0, 0, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0,
        0, 119, 3, 0, 0, 32, 0, 0, 0, 115, 56, 8, 0, 0, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 119, 3,
        0, 0, 24, 0, 0, 0, 115, 56, 7, 0, 0, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 119, 3, 0, 0, 16,
        0, 0, 0, 115, 56, 6, 0, 0, 0, 0, 0, 115, 40, 4, 0, 0, 0, 0, 0, 119, 2, 0, 0, 8, 0, 0, 0,
        115, 40, 5, 0, 0, 0, 0, 0, 97, 162, 240, 254, 0, 0, 0, 0, 115, 40, 12, 0, 0, 0, 0, 0, 183,
        0, 0, 0, 255, 255, 255, 255, 121, 162, 216, 254, 0, 0, 0, 0, 113, 34, 6, 0, 0, 0, 0, 0, 21,
        2, 9, 0, 0, 0, 0, 0, 121, 161, 128, 255, 0, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 183, 3, 0, 0, 0, 2, 0, 0, 133, 0, 0, 0, 27, 0, 0, 0, 113, 98, 0, 0, 0, 0, 0, 0,
        113, 97, 1, 0, 0, 0, 0, 0, 103, 1, 0, 0, 8, 0, 0, 0, 79, 33, 0, 0, 0, 0, 0, 0, 191, 2, 0,
        0, 0, 0, 0, 0, 119, 2, 0, 0, 56, 0, 0, 0, 115, 40, 20, 0, 0, 0, 0, 0, 191, 2, 0, 0, 0, 0,
        0, 0, 119, 2, 0, 0, 48, 0, 0, 0, 115, 40, 19, 0, 0, 0, 0, 0, 191, 2, 0, 0, 0, 0, 0, 0, 119,
        2, 0, 0, 40, 0, 0, 0, 115, 40, 18, 0, 0, 0, 0, 0, 191, 2, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0,
        32, 0, 0, 0, 115, 40, 17, 0, 0, 0, 0, 0, 191, 2, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 24, 0, 0,
        0, 115, 40, 16, 0, 0, 0, 0, 0, 191, 2, 0, 0, 0, 0, 0, 0, 119, 2, 0, 0, 16, 0, 0, 0, 115,
        40, 15, 0, 0, 0, 0, 0, 115, 8, 13, 0, 0, 0, 0, 0, 119, 0, 0, 0, 8, 0, 0, 0, 115, 8, 14, 0,
        0, 0, 0, 0, 107, 26, 232, 255, 0, 0, 0, 0, 105, 161, 232, 255, 0, 0, 0, 0, 107, 26, 232,
        255, 0, 0, 0, 0, 24, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0,
        0, 121, 169, 224, 254, 0, 0, 0, 0, 21, 1, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7,
        1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255,
        103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0,
        0, 0, 0, 0, 0, 0, 0, 29, 16, 253, 254, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0,
        2, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254,
        255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32,
        0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0,
        0, 29, 16, 241, 254, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 3, 0, 0, 0, 45,
        18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98,
        0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0,
        0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 229, 254,
        0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 4, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0,
        191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133,
        16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1,
        0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 217, 254, 0, 0, 0, 0, 97, 113, 0,
        0, 0, 0, 0, 0, 183, 2, 0, 0, 5, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0,
        0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255,
        255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255,
        0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 205, 254, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0,
        0, 6, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254,
        255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32,
        0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0,
        0, 29, 16, 193, 254, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 7, 0, 0, 0, 45,
        18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98,
        0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0,
        0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 181, 254,
        0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 8, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0,
        191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133,
        16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1,
        0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 169, 254, 0, 0, 0, 0, 97, 113, 0,
        0, 0, 0, 0, 0, 183, 2, 0, 0, 9, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0,
        0, 7, 1, 0, 0, 240, 254, 255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255,
        255, 103, 0, 0, 0, 32, 0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255,
        0, 0, 0, 0, 0, 0, 0, 0, 29, 16, 157, 254, 0, 0, 0, 0, 97, 113, 0, 0, 0, 0, 0, 0, 183, 2, 0,
        0, 10, 0, 0, 0, 45, 18, 9, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 240, 254,
        255, 255, 191, 98, 0, 0, 0, 0, 0, 0, 133, 16, 0, 0, 255, 255, 255, 255, 103, 0, 0, 0, 32,
        0, 0, 0, 119, 0, 0, 0, 32, 0, 0, 0, 24, 1, 0, 0, 214, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0,
        0, 29, 16, 145, 254, 0, 0, 0, 0, 113, 97, 0, 0, 0, 0, 0, 0, 113, 98, 1, 0, 0, 0, 0, 0, 103,
        2, 0, 0, 8, 0, 0, 0, 79, 18, 0, 0, 0, 0, 0, 0, 105, 161, 232, 255, 0, 0, 0, 0, 61, 33, 139,
        254, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 183, 2, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 132, 0,
        0, 0, 5, 0, 138, 254, 0, 0, 0, 0, 113, 162, 12, 255, 0, 0, 0, 0, 103, 2, 0, 0, 56, 0, 0, 0,
        199, 2, 0, 0, 56, 0, 0, 0, 37, 2, 41, 0, 11, 0, 0, 0, 191, 35, 0, 0, 0, 0, 0, 0, 103, 3, 0,
        0, 32, 0, 0, 0, 119, 3, 0, 0, 32, 0, 0, 0, 61, 19, 37, 0, 0, 0, 0, 0, 103, 2, 0, 0, 3, 0,
        0, 0, 15, 41, 0, 0, 0, 0, 0, 0, 121, 147, 0, 0, 0, 0, 0, 0, 21, 3, 33, 0, 0, 0, 0, 0, 183,
        1, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 160,
        255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 113, 0, 0,
        0, 191, 96, 0, 0, 0, 0, 0, 0, 121, 163, 160, 255, 0, 0, 0, 0, 21, 3, 23, 0, 0, 0, 0, 0,
        183, 1, 0, 0, 200, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0,
        0, 240, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0,
        113, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 121, 162, 240, 255, 0, 0, 0, 0, 123, 42, 160, 255,
        0, 0, 0, 0, 21, 2, 12, 0, 0, 0, 0, 0, 113, 17, 1, 0, 0, 0, 0, 0, 21, 1, 5, 0, 0, 0, 0, 0,
        97, 161, 120, 255, 0, 0, 0, 0, 183, 2, 0, 0, 2, 0, 0, 0, 45, 18, 7, 0, 0, 0, 0, 0, 121,
        161, 24, 255, 0, 0, 0, 0, 21, 1, 5, 0, 0, 0, 0, 0, 191, 162, 0, 0, 0, 0, 0, 0, 7, 2, 0, 0,
        160, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 3, 0, 0,
        0, 183, 0, 0, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 191, 22, 0, 0, 0, 0, 0, 0, 183, 1,
        0, 0, 0, 0, 0, 0, 123, 26, 248, 255, 0, 0, 0, 0, 123, 26, 240, 255, 0, 0, 0, 0, 123, 26,
        232, 255, 0, 0, 0, 0, 123, 26, 224, 255, 0, 0, 0, 0, 123, 26, 216, 255, 0, 0, 0, 0, 123,
        26, 208, 255, 0, 0, 0, 0, 123, 26, 200, 255, 0, 0, 0, 0, 123, 26, 192, 255, 0, 0, 0, 0,
        123, 26, 184, 255, 0, 0, 0, 0, 123, 26, 176, 255, 0, 0, 0, 0, 123, 26, 168, 255, 0, 0, 0,
        0, 123, 26, 160, 255, 0, 0, 0, 0, 123, 26, 152, 255, 0, 0, 0, 0, 123, 26, 144, 255, 0, 0,
        0, 0, 123, 26, 136, 255, 0, 0, 0, 0, 123, 26, 128, 255, 0, 0, 0, 0, 123, 26, 120, 255, 0,
        0, 0, 0, 123, 26, 112, 255, 0, 0, 0, 0, 123, 26, 104, 255, 0, 0, 0, 0, 123, 26, 96, 255, 0,
        0, 0, 0, 133, 0, 0, 0, 14, 0, 0, 0, 123, 10, 88, 255, 0, 0, 0, 0, 133, 0, 0, 0, 5, 0, 0, 0,
        123, 10, 104, 255, 0, 0, 0, 0, 24, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 21, 1, 3,
        0, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 173, 0, 0, 0, 5, 0, 2, 0, 0, 0, 0,
        0, 121, 96, 128, 0, 0, 0, 0, 0, 7, 0, 0, 0, 255, 255, 255, 255, 123, 10, 112, 255, 0, 0, 0,
        0, 121, 97, 112, 0, 0, 0, 0, 0, 123, 26, 128, 255, 0, 0, 0, 0, 121, 97, 104, 0, 0, 0, 0, 0,
        123, 26, 136, 255, 0, 0, 0, 0, 121, 97, 96, 0, 0, 0, 0, 0, 123, 26, 144, 255, 0, 0, 0, 0,
        121, 97, 88, 0, 0, 0, 0, 0, 123, 26, 152, 255, 0, 0, 0, 0, 121, 97, 72, 0, 0, 0, 0, 0, 123,
        26, 160, 255, 0, 0, 0, 0, 183, 1, 0, 0, 5, 0, 0, 0, 99, 26, 232, 255, 0, 0, 0, 0, 191, 162,
        0, 0, 0, 0, 0, 0, 7, 2, 0, 0, 88, 255, 255, 255, 191, 163, 0, 0, 0, 0, 0, 0, 7, 3, 0, 0,
        96, 255, 255, 255, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 4, 0, 0, 1, 0, 0,
        0, 133, 0, 0, 0, 2, 0, 0, 0, 191, 1, 0, 0, 0, 0, 0, 0, 183, 0, 0, 0, 255, 255, 255, 255,
        21, 1, 1, 0, 0, 0, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117,
        112, 32, 109, 101, 116, 97, 45, 102, 105, 108, 116, 101, 114, 32, 116, 97, 114, 103, 101,
        116, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32,
        109, 101, 116, 97, 45, 102, 105, 108, 116, 101, 114, 32, 109, 101, 109, 98, 101, 114, 32,
        97, 116, 32, 105, 110, 100, 101, 120, 32, 37, 117, 0, 87, 114, 111, 110, 103, 32, 99, 111,
        109, 112, 97, 114, 105, 115, 111, 110, 32, 111, 112, 101, 114, 97, 116, 111, 114, 32, 37,
        100, 0, 101, 114, 114, 111, 114, 32, 119, 104, 105, 108, 101, 32, 99, 97, 108, 99, 117,
        108, 97, 116, 105, 110, 103, 32, 98, 121, 116, 101, 115, 32, 116, 111, 32, 114, 101, 97,
        100, 32, 40, 122, 101, 114, 111, 32, 110, 111, 116, 32, 97, 108, 108, 111, 119, 101, 100,
        41, 0, 87, 114, 111, 110, 103, 32, 99, 111, 109, 112, 97, 114, 105, 115, 111, 110, 32, 111,
        112, 101, 114, 97, 116, 111, 114, 32, 37, 100, 0, 70, 97, 105, 108, 101, 100, 32, 116, 111,
        32, 103, 101, 116, 32, 101, 118, 101, 110, 116, 32, 115, 101, 99, 116, 105, 111, 110, 58,
        32, 110, 111, 32, 115, 112, 97, 99, 101, 32, 108, 101, 102, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 80, 76, 0, 159, 235, 1, 0, 24, 0, 0, 0, 0, 0, 0, 0,
        56, 28, 0, 0, 56, 28, 0, 0, 4, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 0, 0, 0, 1, 0, 0, 0, 0,
        0, 0, 1, 4, 0, 0, 0, 32, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0,
        0, 1, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 1, 4, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 6,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 20, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 2, 8, 0, 0, 0, 25, 0, 0, 0, 0, 0, 0, 8, 9, 0, 0, 0, 29, 0, 0, 0, 0, 0, 0, 8,
        10, 0, 0, 0, 35, 0, 0, 0, 0, 0, 0, 1, 8, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 12,
        0, 0, 0, 54, 0, 0, 0, 7, 0, 0, 4, 160, 0, 0, 0, 68, 0, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 79,
        0, 0, 0, 8, 0, 0, 0, 64, 0, 0, 0, 89, 0, 0, 0, 8, 0, 0, 0, 128, 0, 0, 0, 94, 0, 0, 0, 14,
        0, 0, 0, 192, 0, 0, 0, 102, 0, 0, 0, 18, 0, 0, 0, 0, 1, 0, 0, 107, 0, 0, 0, 23, 0, 0, 0,
        128, 4, 0, 0, 116, 0, 0, 0, 20, 0, 0, 0, 192, 4, 0, 0, 128, 0, 0, 0, 3, 0, 0, 6, 4, 0, 0,
        0, 146, 0, 0, 0, 0, 0, 0, 0, 166, 0, 0, 0, 1, 0, 0, 0, 189, 0, 0, 0, 2, 0, 0, 0, 213, 0, 0,
        0, 6, 0, 0, 4, 6, 0, 0, 0, 233, 0, 0, 0, 15, 0, 0, 0, 0, 0, 0, 0, 241, 0, 0, 0, 15, 0, 0,
        0, 8, 0, 0, 0, 1, 1, 0, 0, 15, 0, 0, 0, 16, 0, 0, 0, 12, 1, 0, 0, 15, 0, 0, 0, 24, 0, 0, 0,
        16, 1, 0, 0, 15, 0, 0, 0, 32, 0, 0, 0, 28, 1, 0, 0, 15, 0, 0, 0, 40, 0, 0, 0, 42, 1, 0, 0,
        0, 0, 0, 8, 16, 0, 0, 0, 45, 1, 0, 0, 0, 0, 0, 8, 17, 0, 0, 0, 50, 1, 0, 0, 0, 0, 0, 1, 1,
        0, 0, 0, 8, 0, 0, 1, 62, 1, 0, 0, 3, 0, 0, 4, 112, 0, 0, 0, 73, 1, 0, 0, 19, 0, 0, 0, 0, 0,
        0, 0, 77, 1, 0, 0, 8, 0, 0, 0, 0, 3, 0, 0, 81, 1, 0, 0, 20, 0, 0, 0, 64, 3, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 3, 0, 0, 0, 0, 8, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 85, 1, 0, 0, 0, 0, 0, 8,
        21, 0, 0, 0, 89, 1, 0, 0, 0, 0, 0, 8, 22, 0, 0, 0, 95, 1, 0, 0, 0, 0, 0, 1, 4, 0, 0, 0, 32,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 108, 1,
        0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 113, 1, 0, 0, 5, 0, 0, 0, 64, 0, 0, 0, 125, 1, 0, 0, 7, 0, 0,
        0, 128, 0, 0, 0, 129, 1, 0, 0, 11, 0, 0, 0, 192, 0, 0, 0, 135, 1, 0, 0, 0, 0, 0, 14, 24, 0,
        0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 27, 0, 0, 0, 153, 1, 0, 0, 0, 0, 0, 8, 28, 0, 0,
        0, 156, 1, 0, 0, 0, 0, 0, 8, 29, 0, 0, 0, 161, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 8, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 2, 31, 0, 0, 0, 175, 1, 0, 0, 1, 0, 0, 4, 1, 0, 0, 0, 195, 1, 0, 0,
        27, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 108, 1, 0, 0, 1, 0, 0, 0, 0,
        0, 0, 0, 113, 1, 0, 0, 1, 0, 0, 0, 64, 0, 0, 0, 125, 1, 0, 0, 26, 0, 0, 0, 128, 0, 0, 0,
        129, 1, 0, 0, 30, 0, 0, 0, 192, 0, 0, 0, 203, 1, 0, 0, 0, 0, 0, 14, 32, 0, 0, 0, 1, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 2, 35, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4,
        0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 37, 0, 0, 0, 221, 1, 0, 0, 2, 0, 0, 4, 16, 0,
        0, 0, 240, 1, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 249, 1, 0, 0, 8, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 2, 39, 0, 0, 0, 253, 1, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 12, 2, 0, 0, 8, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 108, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 113,
        1, 0, 0, 34, 0, 0, 0, 64, 0, 0, 0, 125, 1, 0, 0, 36, 0, 0, 0, 128, 0, 0, 0, 129, 1, 0, 0,
        38, 0, 0, 0, 192, 0, 0, 0, 27, 2, 0, 0, 0, 0, 0, 14, 40, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 2, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 27, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0,
        4, 0, 0, 0, 0, 0, 128, 0, 0, 0, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 108, 1, 0, 0, 42, 0, 0, 0,
        0, 0, 0, 0, 113, 1, 0, 0, 44, 0, 0, 0, 64, 0, 0, 0, 40, 2, 0, 0, 0, 0, 0, 14, 46, 0, 0, 0,
        1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0,
        0, 0, 4, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 108, 1, 0, 0, 42, 0, 0,
        0, 0, 0, 0, 0, 113, 1, 0, 0, 48, 0, 0, 0, 64, 0, 0, 0, 51, 2, 0, 0, 0, 0, 0, 14, 50, 0, 0,
        0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2,
        0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 20, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 2, 58, 0, 0, 0, 59, 2, 0, 0, 2, 0, 0, 5, 40, 0, 0, 0, 73, 2, 0, 0, 59, 0,
        0, 0, 0, 0, 0, 0, 75, 2, 0, 0, 63, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 6, 0, 0, 0,
        108, 1, 0, 0, 27, 0, 0, 0, 0, 0, 0, 0, 77, 2, 0, 0, 27, 0, 0, 0, 8, 0, 0, 0, 83, 2, 0, 0,
        60, 0, 0, 0, 16, 0, 0, 0, 88, 2, 0, 0, 27, 0, 0, 0, 32, 0, 0, 0, 96, 2, 0, 0, 0, 0, 0, 8,
        61, 0, 0, 0, 100, 2, 0, 0, 0, 0, 0, 8, 62, 0, 0, 0, 106, 2, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0,
        16, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 4, 34, 0, 0, 0, 121, 2, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0,
        124, 2, 0, 0, 27, 0, 0, 0, 0, 1, 0, 0, 127, 2, 0, 0, 27, 0, 0, 0, 8, 1, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 3, 0, 0, 0, 0, 27, 0, 0, 0, 4, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 32,
        0, 0, 0, 108, 1, 0, 0, 52, 0, 0, 0, 0, 0, 0, 0, 113, 1, 0, 0, 54, 0, 0, 0, 64, 0, 0, 0,
        125, 1, 0, 0, 56, 0, 0, 0, 128, 0, 0, 0, 129, 1, 0, 0, 57, 0, 0, 0, 192, 0, 0, 0, 131, 2,
        0, 0, 0, 0, 0, 14, 65, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 68, 0, 0, 0, 147, 2, 0,
        0, 4, 0, 0, 4, 4, 0, 0, 0, 163, 2, 0, 0, 27, 0, 0, 0, 0, 0, 0, 0, 168, 2, 0, 0, 27, 0, 0,
        0, 8, 0, 0, 0, 181, 2, 0, 0, 27, 0, 0, 0, 16, 0, 0, 0, 190, 2, 0, 0, 27, 0, 0, 0, 24, 0, 0,
        0, 0, 0, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 108, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 113, 1, 0, 0,
        34, 0, 0, 0, 64, 0, 0, 0, 125, 1, 0, 0, 7, 0, 0, 0, 128, 0, 0, 0, 129, 1, 0, 0, 67, 0, 0,
        0, 192, 0, 0, 0, 202, 2, 0, 0, 0, 0, 0, 14, 69, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        2, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 0, 32, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 2, 74, 0, 0, 0, 222, 2, 0, 0, 3, 0, 0, 4, 24, 0, 0, 0, 79, 0, 0, 0, 8, 0,
        0, 0, 0, 0, 0, 0, 236, 2, 0, 0, 8, 0, 0, 0, 64, 0, 0, 0, 246, 2, 0, 0, 8, 0, 0, 0, 128, 0,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 108, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 113, 1, 0,
        0, 71, 0, 0, 0, 64, 0, 0, 0, 125, 1, 0, 0, 7, 0, 0, 0, 128, 0, 0, 0, 129, 1, 0, 0, 73, 0,
        0, 0, 192, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 14, 75, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        2, 78, 0, 0, 0, 13, 3, 0, 0, 2, 0, 0, 4, 7, 0, 0, 0, 94, 0, 0, 0, 14, 0, 0, 0, 0, 0, 0, 0,
        32, 3, 0, 0, 27, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 108, 1, 0, 0,
        1, 0, 0, 0, 0, 0, 0, 0, 113, 1, 0, 0, 34, 0, 0, 0, 64, 0, 0, 0, 125, 1, 0, 0, 7, 0, 0, 0,
        128, 0, 0, 0, 129, 1, 0, 0, 77, 0, 0, 0, 192, 0, 0, 0, 44, 3, 0, 0, 0, 0, 0, 14, 79, 0, 0,
        0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 82, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2,
        0, 0, 0, 4, 0, 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 84, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 86, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 248, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0,
        4, 32, 0, 0, 0, 108, 1, 0, 0, 81, 0, 0, 0, 0, 0, 0, 0, 113, 1, 0, 0, 48, 0, 0, 0, 64, 0, 0,
        0, 55, 3, 0, 0, 83, 0, 0, 0, 128, 0, 0, 0, 64, 3, 0, 0, 85, 0, 0, 0, 192, 0, 0, 0, 75, 3,
        0, 0, 0, 0, 0, 14, 87, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 90, 0, 0, 0, 85, 3, 0,
        0, 2, 0, 0, 4, 0, 4, 0, 0, 101, 3, 0, 0, 60, 0, 0, 0, 0, 0, 0, 0, 106, 3, 0, 0, 91, 0, 0,
        0, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 27, 0, 0, 0, 4, 0, 0, 0, 254, 3, 0, 0,
        0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 111, 3, 0, 0, 11, 0, 0, 0, 115, 3, 0, 0, 89, 0, 0, 0,
        121, 3, 0, 0, 1, 0, 0, 12, 92, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 111, 3, 0, 0,
        11, 0, 0, 0, 115, 3, 0, 0, 89, 0, 0, 0, 21, 4, 0, 0, 1, 0, 0, 12, 94, 0, 0, 0, 0, 0, 0, 0,
        2, 0, 0, 13, 2, 0, 0, 0, 111, 3, 0, 0, 11, 0, 0, 0, 115, 3, 0, 0, 89, 0, 0, 0, 35, 4, 0, 0,
        1, 0, 0, 12, 96, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 111, 3, 0, 0, 11, 0, 0, 0,
        115, 3, 0, 0, 89, 0, 0, 0, 49, 4, 0, 0, 1, 0, 0, 12, 98, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13,
        2, 0, 0, 0, 111, 3, 0, 0, 11, 0, 0, 0, 115, 3, 0, 0, 89, 0, 0, 0, 63, 4, 0, 0, 1, 0, 0, 12,
        100, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 111, 3, 0, 0, 11, 0, 0, 0, 115, 3, 0, 0,
        89, 0, 0, 0, 77, 4, 0, 0, 1, 0, 0, 12, 102, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0,
        111, 3, 0, 0, 11, 0, 0, 0, 115, 3, 0, 0, 89, 0, 0, 0, 91, 4, 0, 0, 1, 0, 0, 12, 104, 0, 0,
        0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 111, 3, 0, 0, 11, 0, 0, 0, 115, 3, 0, 0, 89, 0, 0,
        0, 105, 4, 0, 0, 1, 0, 0, 12, 106, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 111, 3, 0,
        0, 11, 0, 0, 0, 115, 3, 0, 0, 89, 0, 0, 0, 119, 4, 0, 0, 1, 0, 0, 12, 108, 0, 0, 0, 0, 0,
        0, 0, 2, 0, 0, 13, 2, 0, 0, 0, 111, 3, 0, 0, 11, 0, 0, 0, 115, 3, 0, 0, 89, 0, 0, 0, 133,
        4, 0, 0, 1, 0, 0, 12, 110, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 113, 0, 0, 0, 147, 4, 0, 0, 21,
        0, 0, 4, 168, 0, 0, 0, 155, 4, 0, 0, 114, 0, 0, 0, 0, 0, 0, 0, 159, 4, 0, 0, 114, 0, 0, 0,
        64, 0, 0, 0, 163, 4, 0, 0, 114, 0, 0, 0, 128, 0, 0, 0, 167, 4, 0, 0, 114, 0, 0, 0, 192, 0,
        0, 0, 171, 4, 0, 0, 114, 0, 0, 0, 0, 1, 0, 0, 174, 4, 0, 0, 114, 0, 0, 0, 64, 1, 0, 0, 177,
        4, 0, 0, 114, 0, 0, 0, 128, 1, 0, 0, 181, 4, 0, 0, 114, 0, 0, 0, 192, 1, 0, 0, 185, 4, 0,
        0, 114, 0, 0, 0, 0, 2, 0, 0, 188, 4, 0, 0, 114, 0, 0, 0, 64, 2, 0, 0, 191, 4, 0, 0, 114, 0,
        0, 0, 128, 2, 0, 0, 194, 4, 0, 0, 114, 0, 0, 0, 192, 2, 0, 0, 197, 4, 0, 0, 114, 0, 0, 0,
        0, 3, 0, 0, 200, 4, 0, 0, 114, 0, 0, 0, 64, 3, 0, 0, 203, 4, 0, 0, 114, 0, 0, 0, 128, 3, 0,
        0, 206, 4, 0, 0, 114, 0, 0, 0, 192, 3, 0, 0, 214, 4, 0, 0, 114, 0, 0, 0, 0, 4, 0, 0, 217,
        4, 0, 0, 114, 0, 0, 0, 64, 4, 0, 0, 220, 4, 0, 0, 114, 0, 0, 0, 128, 4, 0, 0, 226, 4, 0, 0,
        114, 0, 0, 0, 192, 4, 0, 0, 229, 4, 0, 0, 114, 0, 0, 0, 0, 5, 0, 0, 232, 4, 0, 0, 0, 0, 0,
        1, 8, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 2, 0, 0, 0, 111, 3, 0, 0, 112, 0, 0,
        0, 246, 4, 0, 0, 1, 0, 0, 12, 115, 0, 0, 0, 28, 1, 0, 0, 10, 0, 0, 132, 48, 0, 0, 0, 174,
        10, 0, 0, 118, 0, 0, 0, 0, 0, 0, 0, 180, 10, 0, 0, 118, 0, 0, 0, 8, 0, 0, 0, 189, 10, 0, 0,
        118, 0, 0, 0, 16, 0, 0, 0, 108, 1, 0, 0, 120, 0, 0, 0, 24, 0, 0, 8, 203, 10, 0, 0, 20, 0,
        0, 0, 32, 0, 0, 0, 209, 10, 0, 0, 121, 0, 0, 0, 64, 0, 0, 0, 213, 10, 0, 0, 123, 0, 0, 0,
        128, 0, 0, 0, 223, 10, 0, 0, 125, 0, 0, 0, 192, 0, 0, 0, 229, 10, 0, 0, 127, 0, 0, 0, 0, 1,
        0, 0, 234, 10, 0, 0, 129, 0, 0, 0, 64, 1, 0, 0, 242, 10, 0, 0, 0, 0, 0, 8, 119, 0, 0, 0,
        247, 10, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 8, 0, 0, 4, 253, 10, 0, 0, 5, 0, 0, 6, 4, 0, 0, 0,
        13, 11, 0, 0, 0, 0, 0, 0, 34, 11, 0, 0, 1, 0, 0, 0, 55, 11, 0, 0, 2, 0, 0, 0, 76, 11, 0, 0,
        3, 0, 0, 0, 95, 11, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 122, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 10, 131, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 124, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 221,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 126, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 222, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 2, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 223, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        2, 130, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 224, 0, 0, 0, 16, 1, 0, 0, 7, 0, 0, 4, 24, 0, 0,
        0, 170, 11, 0, 0, 132, 0, 0, 0, 0, 0, 0, 0, 174, 11, 0, 0, 133, 0, 0, 0, 64, 0, 0, 0, 220,
        4, 0, 0, 27, 0, 0, 0, 128, 0, 0, 0, 180, 11, 0, 0, 27, 0, 0, 0, 136, 0, 0, 0, 186, 11, 0,
        0, 60, 0, 0, 0, 144, 0, 0, 0, 194, 11, 0, 0, 60, 0, 0, 0, 160, 0, 0, 0, 200, 11, 0, 0, 60,
        0, 0, 0, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 217, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 134,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 219, 0, 0, 0, 233, 0, 0, 0, 28, 0, 0, 132, 232, 0, 0, 0,
        0, 0, 0, 0, 136, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 147, 0, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0,
        149, 0, 0, 0, 0, 1, 0, 0, 199, 12, 0, 0, 155, 0, 0, 0, 64, 1, 0, 0, 0, 0, 0, 0, 156, 0, 0,
        0, 192, 2, 0, 0, 202, 12, 0, 0, 114, 0, 0, 0, 64, 3, 0, 0, 208, 12, 0, 0, 22, 0, 0, 0, 128,
        3, 0, 0, 212, 12, 0, 0, 22, 0, 0, 0, 160, 3, 0, 0, 221, 12, 0, 0, 61, 0, 0, 0, 192, 3, 0,
        0, 229, 12, 0, 0, 61, 0, 0, 0, 208, 3, 0, 0, 237, 12, 0, 0, 61, 0, 0, 0, 224, 3, 0, 0, 251,
        12, 0, 0, 160, 0, 0, 0, 240, 3, 0, 0, 11, 13, 0, 0, 28, 0, 0, 0, 240, 3, 0, 1, 18, 13, 0,
        0, 28, 0, 0, 0, 241, 3, 0, 1, 24, 13, 0, 0, 28, 0, 0, 0, 242, 3, 0, 2, 31, 13, 0, 0, 28, 0,
        0, 0, 244, 3, 0, 1, 38, 13, 0, 0, 28, 0, 0, 0, 245, 3, 0, 1, 48, 13, 0, 0, 28, 0, 0, 0,
        246, 3, 0, 1, 59, 13, 0, 0, 28, 0, 0, 0, 247, 3, 0, 1, 70, 13, 0, 0, 28, 0, 0, 0, 248, 3,
        0, 0, 0, 0, 0, 0, 161, 0, 0, 0, 0, 4, 0, 0, 88, 13, 0, 0, 180, 0, 0, 0, 224, 5, 0, 0, 93,
        13, 0, 0, 180, 0, 0, 0, 0, 6, 0, 0, 97, 13, 0, 0, 181, 0, 0, 0, 64, 6, 0, 0, 106, 3, 0, 0,
        181, 0, 0, 0, 128, 6, 0, 0, 102, 13, 0, 0, 22, 0, 0, 0, 192, 6, 0, 0, 111, 13, 0, 0, 182,
        0, 0, 0, 224, 6, 0, 0, 117, 13, 0, 0, 186, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 5, 24,
        0, 0, 0, 0, 0, 0, 0, 137, 0, 0, 0, 0, 0, 0, 0, 128, 13, 0, 0, 141, 0, 0, 0, 0, 0, 0, 0,
        135, 13, 0, 0, 143, 0, 0, 0, 0, 0, 0, 0, 140, 13, 0, 0, 145, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 3, 0, 0, 4, 24, 0, 0, 0, 148, 13, 0, 0, 138, 0, 0, 0, 0, 0, 0, 0, 153, 13, 0, 0, 138, 0,
        0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 139, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 135, 0,
        0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 8, 0, 0, 0, 158, 13, 0, 0, 140, 0, 0, 0, 0, 0, 0, 0, 162, 13,
        0, 0, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 216, 0, 0, 0, 174, 13, 0, 0, 3, 0,
        0, 4, 24, 0, 0, 0, 182, 13, 0, 0, 114, 0, 0, 0, 0, 0, 0, 0, 200, 13, 0, 0, 142, 0, 0, 0,
        64, 0, 0, 0, 209, 13, 0, 0, 142, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 141, 0, 0,
        0, 217, 13, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 148, 13, 0, 0, 144, 0, 0, 0, 0, 0, 0, 0, 153,
        13, 0, 0, 144, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 143, 0, 0, 0, 227, 13, 0, 0,
        1, 0, 0, 4, 8, 0, 0, 0, 148, 13, 0, 0, 146, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2,
        145, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 8, 0, 0, 0, 238, 13, 0, 0, 148, 0, 0, 0, 0, 0, 0, 0,
        241, 13, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 218, 0, 0, 0, 0, 0, 0, 0, 2,
        0, 0, 5, 8, 0, 0, 0, 2, 14, 0, 0, 150, 0, 0, 0, 0, 0, 0, 0, 9, 14, 0, 0, 8, 0, 0, 0, 0, 0,
        0, 0, 23, 14, 0, 0, 0, 0, 0, 8, 151, 0, 0, 0, 31, 14, 0, 0, 0, 0, 0, 8, 152, 0, 0, 0, 35,
        14, 0, 0, 0, 0, 0, 8, 153, 0, 0, 0, 41, 14, 0, 0, 0, 0, 0, 1, 8, 0, 0, 0, 64, 0, 0, 1, 51,
        14, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 8, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 154, 0,
        0, 0, 4, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 5, 16, 0, 0, 0, 0, 0, 0, 0, 157, 0, 0,
        0, 0, 0, 0, 0, 56, 14, 0, 0, 143, 0, 0, 0, 0, 0, 0, 0, 75, 14, 0, 0, 114, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 85, 14, 0, 0, 114, 0, 0, 0, 0, 0, 0, 0, 97, 14, 0,
        0, 158, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 159, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0,
        13, 0, 0, 0, 0, 0, 0, 0, 0, 138, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 28, 0, 0, 0,
        4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 60, 0, 0, 0, 0, 0, 0, 0, 162, 0, 0, 0, 0,
        0, 0, 0, 108, 14, 0, 0, 172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 52, 0, 0, 132, 60, 0, 0, 0,
        116, 14, 0, 0, 160, 0, 0, 0, 0, 0, 0, 0, 134, 14, 0, 0, 28, 0, 0, 0, 0, 0, 0, 3, 143, 14,
        0, 0, 28, 0, 0, 0, 3, 0, 0, 1, 180, 10, 0, 0, 28, 0, 0, 0, 4, 0, 0, 1, 153, 14, 0, 0, 28,
        0, 0, 0, 5, 0, 0, 2, 163, 14, 0, 0, 28, 0, 0, 0, 7, 0, 0, 1, 172, 14, 0, 0, 28, 0, 0, 0, 8,
        0, 0, 1, 180, 14, 0, 0, 28, 0, 0, 0, 9, 0, 0, 1, 188, 14, 0, 0, 28, 0, 0, 0, 10, 0, 0, 1,
        205, 14, 0, 0, 28, 0, 0, 0, 11, 0, 0, 1, 216, 14, 0, 0, 28, 0, 0, 0, 12, 0, 0, 1, 223, 14,
        0, 0, 28, 0, 0, 0, 13, 0, 0, 1, 237, 14, 0, 0, 28, 0, 0, 0, 14, 0, 0, 1, 252, 14, 0, 0, 28,
        0, 0, 0, 15, 0, 0, 1, 7, 15, 0, 0, 160, 0, 0, 0, 16, 0, 0, 0, 33, 15, 0, 0, 28, 0, 0, 0,
        16, 0, 0, 1, 49, 15, 0, 0, 28, 0, 0, 0, 17, 0, 0, 1, 66, 15, 0, 0, 28, 0, 0, 0, 18, 0, 0,
        2, 77, 15, 0, 0, 28, 0, 0, 0, 20, 0, 0, 1, 97, 15, 0, 0, 28, 0, 0, 0, 21, 0, 0, 1, 116, 15,
        0, 0, 28, 0, 0, 0, 22, 0, 0, 1, 133, 15, 0, 0, 28, 0, 0, 0, 23, 0, 0, 1, 147, 15, 0, 0, 28,
        0, 0, 0, 24, 0, 0, 2, 162, 15, 0, 0, 28, 0, 0, 0, 26, 0, 0, 1, 176, 15, 0, 0, 28, 0, 0, 0,
        27, 0, 0, 1, 196, 15, 0, 0, 28, 0, 0, 0, 28, 0, 0, 1, 213, 15, 0, 0, 28, 0, 0, 0, 29, 0, 0,
        1, 233, 15, 0, 0, 28, 0, 0, 0, 30, 0, 0, 1, 244, 15, 0, 0, 28, 0, 0, 0, 31, 0, 0, 1, 1, 16,
        0, 0, 28, 0, 0, 0, 32, 0, 0, 1, 16, 16, 0, 0, 28, 0, 0, 0, 33, 0, 0, 1, 26, 16, 0, 0, 28,
        0, 0, 0, 34, 0, 0, 1, 35, 16, 0, 0, 28, 0, 0, 0, 35, 0, 0, 1, 49, 16, 0, 0, 28, 0, 0, 0,
        36, 0, 0, 1, 62, 16, 0, 0, 61, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 163, 0, 0, 0, 64, 0, 0, 0,
        71, 16, 0, 0, 21, 0, 0, 0, 96, 0, 0, 0, 80, 16, 0, 0, 2, 0, 0, 0, 128, 0, 0, 0, 88, 16, 0,
        0, 21, 0, 0, 0, 160, 0, 0, 0, 0, 0, 0, 0, 166, 0, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 169, 0,
        0, 0, 224, 0, 0, 0, 93, 16, 0, 0, 60, 0, 0, 0, 0, 1, 0, 0, 103, 16, 0, 0, 21, 0, 0, 0, 32,
        1, 0, 0, 0, 0, 0, 0, 170, 0, 0, 0, 64, 1, 0, 0, 0, 0, 0, 0, 171, 0, 0, 0, 96, 1, 0, 0, 111,
        16, 0, 0, 61, 0, 0, 0, 112, 1, 0, 0, 134, 16, 0, 0, 61, 0, 0, 0, 128, 1, 0, 0, 155, 16, 0,
        0, 61, 0, 0, 0, 144, 1, 0, 0, 172, 16, 0, 0, 168, 0, 0, 0, 160, 1, 0, 0, 181, 16, 0, 0, 61,
        0, 0, 0, 176, 1, 0, 0, 198, 16, 0, 0, 61, 0, 0, 0, 192, 1, 0, 0, 213, 16, 0, 0, 61, 0, 0,
        0, 208, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 224, 16, 0, 0, 164, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 165, 0, 0, 0, 0, 0, 0, 0, 229, 16, 0, 0, 0, 0, 0, 8, 21, 0, 0, 0, 0, 0, 0,
        0, 2, 0, 0, 4, 4, 0, 0, 0, 236, 16, 0, 0, 61, 0, 0, 0, 0, 0, 0, 0, 247, 16, 0, 0, 61, 0, 0,
        0, 16, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 3, 17, 0, 0, 20, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 4, 0, 0, 0, 12, 17, 0, 0,
        168, 0, 0, 0, 0, 0, 0, 0, 23, 17, 0, 0, 61, 0, 0, 0, 16, 0, 0, 0, 32, 17, 0, 0, 0, 0, 0, 8,
        61, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 39, 17, 0, 0, 22, 0, 0, 0, 0, 0, 0, 0, 47,
        17, 0, 0, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 58, 17, 0, 0, 21, 0,
        0, 0, 0, 0, 0, 0, 63, 17, 0, 0, 21, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 2, 0, 0,
        0, 81, 17, 0, 0, 168, 0, 0, 0, 0, 0, 0, 0, 96, 17, 0, 0, 28, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 52, 0, 0, 132, 60, 0, 0, 0, 116, 14, 0, 0, 160, 0, 0, 0, 0, 0, 0, 0, 134, 14, 0, 0, 28,
        0, 0, 0, 0, 0, 0, 3, 143, 14, 0, 0, 28, 0, 0, 0, 3, 0, 0, 1, 180, 10, 0, 0, 28, 0, 0, 0, 4,
        0, 0, 1, 153, 14, 0, 0, 28, 0, 0, 0, 5, 0, 0, 2, 163, 14, 0, 0, 28, 0, 0, 0, 7, 0, 0, 1,
        172, 14, 0, 0, 28, 0, 0, 0, 8, 0, 0, 1, 180, 14, 0, 0, 28, 0, 0, 0, 9, 0, 0, 1, 188, 14, 0,
        0, 28, 0, 0, 0, 10, 0, 0, 1, 205, 14, 0, 0, 28, 0, 0, 0, 11, 0, 0, 1, 216, 14, 0, 0, 28, 0,
        0, 0, 12, 0, 0, 1, 223, 14, 0, 0, 28, 0, 0, 0, 13, 0, 0, 1, 237, 14, 0, 0, 28, 0, 0, 0, 14,
        0, 0, 1, 252, 14, 0, 0, 28, 0, 0, 0, 15, 0, 0, 1, 7, 15, 0, 0, 160, 0, 0, 0, 16, 0, 0, 0,
        33, 15, 0, 0, 28, 0, 0, 0, 16, 0, 0, 1, 49, 15, 0, 0, 28, 0, 0, 0, 17, 0, 0, 1, 66, 15, 0,
        0, 28, 0, 0, 0, 18, 0, 0, 2, 77, 15, 0, 0, 28, 0, 0, 0, 20, 0, 0, 1, 97, 15, 0, 0, 28, 0,
        0, 0, 21, 0, 0, 1, 116, 15, 0, 0, 28, 0, 0, 0, 22, 0, 0, 1, 133, 15, 0, 0, 28, 0, 0, 0, 23,
        0, 0, 1, 147, 15, 0, 0, 28, 0, 0, 0, 24, 0, 0, 2, 162, 15, 0, 0, 28, 0, 0, 0, 26, 0, 0, 1,
        176, 15, 0, 0, 28, 0, 0, 0, 27, 0, 0, 1, 196, 15, 0, 0, 28, 0, 0, 0, 28, 0, 0, 1, 213, 15,
        0, 0, 28, 0, 0, 0, 29, 0, 0, 1, 233, 15, 0, 0, 28, 0, 0, 0, 30, 0, 0, 1, 244, 15, 0, 0, 28,
        0, 0, 0, 31, 0, 0, 1, 1, 16, 0, 0, 28, 0, 0, 0, 32, 0, 0, 1, 16, 16, 0, 0, 28, 0, 0, 0, 33,
        0, 0, 1, 26, 16, 0, 0, 28, 0, 0, 0, 34, 0, 0, 1, 35, 16, 0, 0, 28, 0, 0, 0, 35, 0, 0, 1,
        49, 16, 0, 0, 28, 0, 0, 0, 36, 0, 0, 1, 62, 16, 0, 0, 61, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0,
        173, 0, 0, 0, 64, 0, 0, 0, 71, 16, 0, 0, 21, 0, 0, 0, 96, 0, 0, 0, 80, 16, 0, 0, 2, 0, 0,
        0, 128, 0, 0, 0, 88, 16, 0, 0, 21, 0, 0, 0, 160, 0, 0, 0, 0, 0, 0, 0, 175, 0, 0, 0, 192, 0,
        0, 0, 0, 0, 0, 0, 177, 0, 0, 0, 224, 0, 0, 0, 93, 16, 0, 0, 60, 0, 0, 0, 0, 1, 0, 0, 103,
        16, 0, 0, 21, 0, 0, 0, 32, 1, 0, 0, 0, 0, 0, 0, 178, 0, 0, 0, 64, 1, 0, 0, 0, 0, 0, 0, 179,
        0, 0, 0, 96, 1, 0, 0, 111, 16, 0, 0, 61, 0, 0, 0, 112, 1, 0, 0, 134, 16, 0, 0, 61, 0, 0, 0,
        128, 1, 0, 0, 155, 16, 0, 0, 61, 0, 0, 0, 144, 1, 0, 0, 172, 16, 0, 0, 168, 0, 0, 0, 160,
        1, 0, 0, 181, 16, 0, 0, 61, 0, 0, 0, 176, 1, 0, 0, 198, 16, 0, 0, 61, 0, 0, 0, 192, 1, 0,
        0, 213, 16, 0, 0, 61, 0, 0, 0, 208, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 224, 16,
        0, 0, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 174, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0,
        4, 4, 0, 0, 0, 236, 16, 0, 0, 61, 0, 0, 0, 0, 0, 0, 0, 247, 16, 0, 0, 61, 0, 0, 0, 16, 0,
        0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 3, 17, 0, 0, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 4, 0, 0, 0, 12, 17, 0, 0, 168, 0, 0, 0,
        0, 0, 0, 0, 23, 17, 0, 0, 61, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 39,
        17, 0, 0, 22, 0, 0, 0, 0, 0, 0, 0, 47, 17, 0, 0, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0,
        0, 5, 4, 0, 0, 0, 58, 17, 0, 0, 21, 0, 0, 0, 0, 0, 0, 0, 63, 17, 0, 0, 21, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 2, 0, 0, 0, 81, 17, 0, 0, 168, 0, 0, 0, 0, 0, 0, 0, 96, 17,
        0, 0, 28, 0, 0, 0, 0, 0, 0, 0, 110, 17, 0, 0, 0, 0, 0, 8, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        2, 29, 0, 0, 0, 125, 17, 0, 0, 0, 0, 0, 8, 183, 0, 0, 0, 136, 17, 0, 0, 1, 0, 0, 4, 4, 0,
        0, 0, 152, 17, 0, 0, 184, 0, 0, 0, 0, 0, 0, 0, 157, 17, 0, 0, 0, 0, 0, 8, 185, 0, 0, 0, 0,
        0, 0, 0, 1, 0, 0, 4, 4, 0, 0, 0, 166, 17, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 2, 220, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 2, 0, 0, 0, 111, 3, 0, 0, 112, 0, 0, 0, 114,
        39, 0, 0, 1, 0, 0, 12, 187, 0, 0, 0, 201, 39, 0, 0, 1, 0, 0, 6, 4, 0, 0, 0, 217, 39, 0, 0,
        42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 191, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9, 27, 0, 0, 0,
        226, 41, 0, 0, 0, 0, 0, 14, 190, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 194, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 9, 20, 0, 0, 0, 236, 41, 0, 0, 0, 0, 0, 14, 193, 0, 0, 0, 1, 0, 0,
        0, 242, 41, 0, 0, 0, 0, 0, 14, 193, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0,
        0, 154, 0, 0, 0, 4, 0, 0, 0, 4, 0, 0, 0, 249, 41, 0, 0, 0, 0, 0, 14, 197, 0, 0, 0, 1, 0, 0,
        0, 3, 42, 0, 0, 0, 0, 0, 14, 118, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 154, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 200, 0, 0, 0, 4, 0, 0, 0, 36, 0, 0, 0, 17, 42, 0, 0,
        0, 0, 0, 14, 201, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 200, 0, 0, 0, 4,
        0, 0, 0, 48, 0, 0, 0, 41, 42, 0, 0, 0, 0, 0, 14, 203, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 3, 0, 0, 0, 0, 200, 0, 0, 0, 4, 0, 0, 0, 29, 0, 0, 0, 67, 42, 0, 0, 0, 0, 0, 14, 205,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 200, 0, 0, 0, 4, 0, 0, 0, 57, 0,
        0, 0, 87, 42, 0, 0, 0, 0, 0, 14, 207, 0, 0, 0, 0, 0, 0, 0, 105, 42, 0, 0, 0, 0, 0, 14, 205,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 200, 0, 0, 0, 4, 0, 0, 0, 43, 0,
        0, 0, 120, 42, 0, 0, 0, 0, 0, 14, 210, 0, 0, 0, 0, 0, 0, 0, 145, 42, 0, 0, 1, 0, 0, 15, 0,
        0, 0, 0, 199, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 150, 42, 0, 0, 10, 0, 0, 15, 0, 0, 0, 0, 25,
        0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 33, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 41, 0, 0, 0, 0, 0,
        0, 0, 32, 0, 0, 0, 47, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 51, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0,
        0, 66, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 70, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 76, 0, 0, 0,
        0, 0, 0, 0, 32, 0, 0, 0, 80, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 88, 0, 0, 0, 0, 0, 0, 0, 32,
        0, 0, 0, 156, 42, 0, 0, 9, 0, 0, 15, 0, 0, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 195,
        0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 196, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 202, 0, 0, 0, 12, 0,
        0, 0, 36, 0, 0, 0, 204, 0, 0, 0, 48, 0, 0, 0, 48, 0, 0, 0, 206, 0, 0, 0, 96, 0, 0, 0, 29,
        0, 0, 0, 208, 0, 0, 0, 125, 0, 0, 0, 57, 0, 0, 0, 209, 0, 0, 0, 182, 0, 0, 0, 29, 0, 0, 0,
        211, 0, 0, 0, 211, 0, 0, 0, 43, 0, 0, 0, 164, 42, 0, 0, 1, 0, 0, 15, 0, 0, 0, 0, 198, 0, 0,
        0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 172, 42, 0, 0, 0, 0, 0, 7,
        0, 0, 0, 0, 184, 42, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 189, 42, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0,
        203, 42, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 211, 42, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 226, 42, 0,
        0, 0, 0, 0, 7, 0, 0, 0, 0, 236, 42, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 248, 42, 0, 0, 0, 0, 0,
        7, 0, 0, 0, 0, 0, 105, 110, 116, 0, 95, 95, 65, 82, 82, 65, 89, 95, 83, 73, 90, 69, 95, 84,
        89, 80, 69, 95, 95, 0, 117, 54, 52, 0, 95, 95, 117, 54, 52, 0, 117, 110, 115, 105, 103,
        110, 101, 100, 32, 108, 111, 110, 103, 32, 108, 111, 110, 103, 0, 114, 101, 116, 105, 115,
        95, 99, 111, 110, 116, 101, 120, 116, 0, 112, 114, 111, 98, 101, 95, 116, 121, 112, 101, 0,
        116, 105, 109, 101, 115, 116, 97, 109, 112, 0, 107, 115, 121, 109, 0, 111, 102, 102, 115,
        101, 116, 115, 0, 114, 101, 103, 115, 0, 111, 114, 105, 103, 95, 99, 116, 120, 0, 102, 105,
        108, 116, 101, 114, 115, 95, 114, 101, 116, 0, 107, 101, 114, 110, 101, 108, 95, 112, 114,
        111, 98, 101, 95, 116, 121, 112, 101, 0, 75, 69, 82, 78, 69, 76, 95, 80, 82, 79, 66, 69,
        95, 75, 80, 82, 79, 66, 69, 0, 75, 69, 82, 78, 69, 76, 95, 80, 82, 79, 66, 69, 95, 75, 82,
        69, 84, 80, 82, 79, 66, 69, 0, 75, 69, 82, 78, 69, 76, 95, 80, 82, 79, 66, 69, 95, 84, 82,
        65, 67, 69, 80, 79, 73, 78, 84, 0, 114, 101, 116, 105, 115, 95, 112, 114, 111, 98, 101, 95,
        111, 102, 102, 115, 101, 116, 115, 0, 115, 107, 95, 98, 117, 102, 102, 0, 115, 107, 98, 95,
        100, 114, 111, 112, 95, 114, 101, 97, 115, 111, 110, 0, 110, 101, 116, 95, 100, 101, 118,
        105, 99, 101, 0, 110, 101, 116, 0, 110, 102, 116, 95, 112, 107, 116, 105, 110, 102, 111, 0,
        110, 102, 116, 95, 116, 114, 97, 99, 101, 105, 110, 102, 111, 0, 115, 56, 0, 95, 95, 115,
        56, 0, 115, 105, 103, 110, 101, 100, 32, 99, 104, 97, 114, 0, 114, 101, 116, 105, 115, 95,
        114, 101, 103, 115, 0, 114, 101, 103, 0, 114, 101, 116, 0, 110, 117, 109, 0, 117, 51, 50,
        0, 95, 95, 117, 51, 50, 0, 117, 110, 115, 105, 103, 110, 101, 100, 32, 105, 110, 116, 0,
        116, 121, 112, 101, 0, 109, 97, 120, 95, 101, 110, 116, 114, 105, 101, 115, 0, 107, 101,
        121, 0, 118, 97, 108, 117, 101, 0, 107, 114, 101, 116, 112, 114, 111, 98, 101, 95, 99, 111,
        110, 116, 101, 120, 116, 0, 117, 56, 0, 95, 95, 117, 56, 0, 117, 110, 115, 105, 103, 110,
        101, 100, 32, 99, 104, 97, 114, 0, 114, 101, 116, 105, 115, 95, 103, 108, 111, 98, 97, 108,
        95, 99, 111, 110, 102, 105, 103, 0, 101, 110, 97, 98, 108, 101, 100, 0, 103, 108, 111, 98,
        97, 108, 95, 99, 111, 110, 102, 105, 103, 95, 109, 97, 112, 0, 114, 101, 116, 105, 115, 95,
        99, 111, 117, 110, 116, 101, 114, 115, 95, 107, 101, 121, 0, 115, 121, 109, 95, 97, 100,
        100, 114, 0, 112, 105, 100, 0, 114, 101, 116, 105, 115, 95, 99, 111, 117, 110, 116, 101,
        114, 115, 0, 100, 114, 111, 112, 112, 101, 100, 95, 101, 118, 101, 110, 116, 115, 0, 99,
        111, 117, 110, 116, 101, 114, 115, 95, 109, 97, 112, 0, 101, 118, 101, 110, 116, 115, 95,
        109, 97, 112, 0, 108, 111, 103, 95, 109, 97, 112, 0, 114, 101, 116, 105, 115, 95, 109, 101,
        116, 97, 95, 111, 112, 0, 108, 0, 116, 0, 110, 109, 101, 109, 98, 0, 111, 102, 102, 116, 0,
        98, 102, 95, 115, 105, 122, 101, 0, 117, 49, 54, 0, 95, 95, 117, 49, 54, 0, 117, 110, 115,
        105, 103, 110, 101, 100, 32, 115, 104, 111, 114, 116, 0, 109, 100, 0, 115, 122, 0, 99, 109,
        112, 0, 102, 105, 108, 116, 101, 114, 95, 109, 101, 116, 97, 95, 109, 97, 112, 0, 116, 114,
        97, 99, 107, 105, 110, 103, 95, 99, 111, 110, 102, 105, 103, 0, 102, 114, 101, 101, 0, 112,
        97, 114, 116, 105, 97, 108, 95, 102, 114, 101, 101, 0, 105, 110, 118, 95, 104, 101, 97,
        100, 0, 110, 111, 95, 116, 114, 97, 99, 107, 105, 110, 103, 0, 116, 114, 97, 99, 107, 105,
        110, 103, 95, 99, 111, 110, 102, 105, 103, 95, 109, 97, 112, 0, 116, 114, 97, 99, 107, 105,
        110, 103, 95, 105, 110, 102, 111, 0, 108, 97, 115, 116, 95, 115, 101, 101, 110, 0, 111,
        114, 105, 103, 95, 104, 101, 97, 100, 0, 116, 114, 97, 99, 107, 105, 110, 103, 95, 109, 97,
        112, 0, 114, 101, 116, 105, 115, 95, 112, 114, 111, 98, 101, 95, 99, 111, 110, 102, 105,
        103, 0, 115, 116, 97, 99, 107, 95, 116, 114, 97, 99, 101, 0, 99, 111, 110, 102, 105, 103,
        95, 109, 97, 112, 0, 107, 101, 121, 95, 115, 105, 122, 101, 0, 118, 97, 108, 117, 101, 95,
        115, 105, 122, 101, 0, 115, 116, 97, 99, 107, 95, 109, 97, 112, 0, 114, 101, 116, 105, 115,
        95, 114, 97, 119, 95, 101, 118, 101, 110, 116, 0, 115, 105, 122, 101, 0, 100, 97, 116, 97,
        0, 99, 116, 120, 0, 101, 118, 101, 110, 116, 0, 104, 111, 111, 107, 48, 0, 46, 116, 101,
        120, 116, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66,
        85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 48, 45, 98, 117, 105, 108,
        100, 47, 114, 101, 116, 105, 115, 45, 55, 55, 55, 55, 98, 48, 55, 52, 97, 53, 99, 55, 55,
        56, 53, 52, 56, 52, 52, 54, 48, 50, 53, 48, 48, 52, 52, 102, 99, 99, 54, 102, 51, 56, 53,
        98, 57, 49, 98, 53, 47, 114, 101, 116, 105, 115, 47, 115, 114, 99, 47, 99, 111, 114, 101,
        47, 112, 114, 111, 98, 101, 47, 107, 101, 114, 110, 101, 108, 47, 98, 112, 102, 47, 105,
        110, 99, 108, 117, 100, 101, 47, 99, 111, 109, 109, 111, 110, 46, 104, 0, 72, 79, 79, 75,
        40, 48, 41, 0, 104, 111, 111, 107, 49, 0, 72, 79, 79, 75, 40, 49, 41, 0, 104, 111, 111,
        107, 50, 0, 72, 79, 79, 75, 40, 50, 41, 0, 104, 111, 111, 107, 51, 0, 72, 79, 79, 75, 40,
        51, 41, 0, 104, 111, 111, 107, 52, 0, 72, 79, 79, 75, 40, 52, 41, 0, 104, 111, 111, 107,
        53, 0, 72, 79, 79, 75, 40, 53, 41, 0, 104, 111, 111, 107, 54, 0, 72, 79, 79, 75, 40, 54,
        41, 0, 104, 111, 111, 107, 55, 0, 72, 79, 79, 75, 40, 55, 41, 0, 104, 111, 111, 107, 56, 0,
        72, 79, 79, 75, 40, 56, 41, 0, 104, 111, 111, 107, 57, 0, 72, 79, 79, 75, 40, 57, 41, 0,
        112, 116, 95, 114, 101, 103, 115, 0, 114, 49, 53, 0, 114, 49, 52, 0, 114, 49, 51, 0, 114,
        49, 50, 0, 98, 112, 0, 98, 120, 0, 114, 49, 49, 0, 114, 49, 48, 0, 114, 57, 0, 114, 56, 0,
        97, 120, 0, 99, 120, 0, 100, 120, 0, 115, 105, 0, 100, 105, 0, 111, 114, 105, 103, 95, 97,
        120, 0, 105, 112, 0, 99, 115, 0, 102, 108, 97, 103, 115, 0, 115, 112, 0, 115, 115, 0, 117,
        110, 115, 105, 103, 110, 101, 100, 32, 108, 111, 110, 103, 0, 112, 114, 111, 98, 101, 95,
        107, 114, 101, 116, 112, 114, 111, 98, 101, 95, 107, 114, 101, 116, 112, 114, 111, 98, 101,
        0, 107, 114, 101, 116, 112, 114, 111, 98, 101, 47, 112, 114, 111, 98, 101, 0, 47, 98, 117,
        105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 114,
        101, 116, 105, 115, 45, 49, 46, 53, 46, 48, 45, 98, 117, 105, 108, 100, 47, 114, 101, 116,
        105, 115, 45, 55, 55, 55, 55, 98, 48, 55, 52, 97, 53, 99, 55, 55, 56, 53, 52, 56, 52, 52,
        54, 48, 50, 53, 48, 48, 52, 52, 102, 99, 99, 54, 102, 51, 56, 53, 98, 57, 49, 98, 53, 47,
        114, 101, 116, 105, 115, 47, 115, 114, 99, 47, 99, 111, 114, 101, 47, 112, 114, 111, 98,
        101, 47, 107, 101, 114, 110, 101, 108, 47, 98, 112, 102, 47, 107, 114, 101, 116, 112, 114,
        111, 98, 101, 46, 98, 112, 102, 46, 99, 0, 105, 110, 116, 32, 112, 114, 111, 98, 101, 95,
        107, 114, 101, 116, 112, 114, 111, 98, 101, 95, 107, 114, 101, 116, 112, 114, 111, 98, 101,
        40, 115, 116, 114, 117, 99, 116, 32, 112, 116, 95, 114, 101, 103, 115, 32, 42, 99, 116,
        120, 41, 0, 9, 115, 116, 114, 117, 99, 116, 32, 114, 101, 116, 105, 115, 95, 99, 111, 110,
        116, 101, 120, 116, 32, 99, 111, 110, 116, 101, 120, 116, 32, 61, 32, 123, 125, 59, 0, 9,
        117, 54, 52, 32, 116, 105, 100, 32, 61, 32, 98, 112, 102, 95, 103, 101, 116, 95, 99, 117,
        114, 114, 101, 110, 116, 95, 112, 105, 100, 95, 116, 103, 105, 100, 40, 41, 59, 0, 9, 107,
        112, 114, 111, 98, 101, 95, 99, 116, 120, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95,
        108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 107, 114, 101, 116, 112, 114,
        111, 98, 101, 95, 99, 111, 110, 116, 101, 120, 116, 44, 32, 38, 116, 105, 100, 41, 59, 0,
        9, 105, 102, 32, 40, 33, 107, 112, 114, 111, 98, 101, 95, 99, 116, 120, 41, 32, 123, 0, 9,
        98, 112, 102, 95, 109, 97, 112, 95, 100, 101, 108, 101, 116, 101, 95, 101, 108, 101, 109,
        40, 38, 107, 114, 101, 116, 112, 114, 111, 98, 101, 95, 99, 111, 110, 116, 101, 120, 116,
        44, 32, 38, 116, 105, 100, 41, 59, 0, 9, 99, 111, 110, 116, 101, 120, 116, 46, 116, 105,
        109, 101, 115, 116, 97, 109, 112, 32, 61, 32, 98, 112, 102, 95, 107, 116, 105, 109, 101,
        95, 103, 101, 116, 95, 110, 115, 40, 41, 59, 0, 9, 99, 111, 110, 116, 101, 120, 116, 46,
        107, 115, 121, 109, 32, 61, 32, 107, 112, 114, 111, 98, 101, 95, 99, 116, 120, 45, 62, 107,
        115, 121, 109, 59, 0, 9, 99, 111, 110, 116, 101, 120, 116, 46, 112, 114, 111, 98, 101, 95,
        116, 121, 112, 101, 32, 61, 32, 75, 69, 82, 78, 69, 76, 95, 80, 82, 79, 66, 69, 95, 75, 82,
        69, 84, 80, 82, 79, 66, 69, 59, 0, 9, 99, 111, 110, 116, 101, 120, 116, 46, 111, 114, 105,
        103, 95, 99, 116, 120, 32, 61, 32, 99, 116, 120, 59, 0, 9, 114, 101, 103, 115, 45, 62, 114,
        101, 103, 91, 48, 93, 32, 61, 32, 107, 112, 114, 111, 98, 101, 95, 114, 101, 103, 115, 45,
        62, 114, 101, 103, 91, 48, 93, 59, 0, 9, 114, 101, 103, 115, 45, 62, 114, 101, 103, 91, 49,
        93, 32, 61, 32, 107, 112, 114, 111, 98, 101, 95, 114, 101, 103, 115, 45, 62, 114, 101, 103,
        91, 49, 93, 59, 0, 9, 114, 101, 103, 115, 45, 62, 114, 101, 103, 91, 50, 93, 32, 61, 32,
        107, 112, 114, 111, 98, 101, 95, 114, 101, 103, 115, 45, 62, 114, 101, 103, 91, 50, 93, 59,
        0, 9, 114, 101, 103, 115, 45, 62, 114, 101, 103, 91, 51, 93, 32, 61, 32, 107, 112, 114,
        111, 98, 101, 95, 114, 101, 103, 115, 45, 62, 114, 101, 103, 91, 51, 93, 59, 0, 9, 114,
        101, 103, 115, 45, 62, 114, 101, 103, 91, 52, 93, 32, 61, 32, 107, 112, 114, 111, 98, 101,
        95, 114, 101, 103, 115, 45, 62, 114, 101, 103, 91, 52, 93, 59, 0, 9, 114, 101, 103, 115,
        45, 62, 110, 117, 109, 32, 61, 32, 107, 112, 114, 111, 98, 101, 95, 114, 101, 103, 115, 45,
        62, 110, 117, 109, 59, 0, 48, 58, 49, 48, 0, 9, 114, 101, 103, 115, 45, 62, 114, 101, 116,
        32, 61, 32, 80, 84, 95, 82, 69, 71, 83, 95, 82, 67, 40, 99, 116, 120, 41, 59, 0, 9, 105,
        102, 32, 40, 117, 110, 108, 105, 107, 101, 108, 121, 40, 33, 101, 110, 97, 98, 108, 101,
        100, 41, 41, 32, 123, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108,
        100, 47, 66, 85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 48, 45, 98,
        117, 105, 108, 100, 47, 114, 101, 116, 105, 115, 45, 55, 55, 55, 55, 98, 48, 55, 52, 97,
        53, 99, 55, 55, 56, 53, 52, 56, 52, 52, 54, 48, 50, 53, 48, 48, 52, 52, 102, 99, 99, 54,
        102, 51, 56, 53, 98, 57, 49, 98, 53, 47, 114, 101, 116, 105, 115, 47, 115, 114, 99, 47, 99,
        111, 114, 101, 47, 112, 114, 111, 98, 101, 47, 98, 112, 102, 47, 105, 110, 99, 108, 117,
        100, 101, 47, 99, 111, 109, 109, 111, 110, 95, 100, 101, 102, 115, 46, 104, 0, 9, 117, 56,
        32, 107, 101, 121, 32, 61, 32, 48, 59, 0, 9, 99, 102, 103, 32, 61, 32, 98, 112, 102, 95,
        109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 103, 108,
        111, 98, 97, 108, 95, 99, 111, 110, 102, 105, 103, 95, 109, 97, 112, 44, 32, 38, 107, 101,
        121, 41, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 99, 102, 103, 32, 38, 38, 32, 33, 33,
        99, 102, 103, 45, 62, 101, 110, 97, 98, 108, 101, 100, 59, 0, 9, 9, 101, 110, 97, 98, 108,
        101, 100, 32, 61, 32, 99, 111, 108, 108, 101, 99, 116, 105, 111, 110, 95, 101, 110, 97, 98,
        108, 101, 100, 40, 41, 59, 0, 9, 9, 105, 102, 32, 40, 33, 101, 110, 97, 98, 108, 101, 100,
        41, 0, 9, 99, 102, 103, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107,
        117, 112, 95, 101, 108, 101, 109, 40, 38, 99, 111, 110, 102, 105, 103, 95, 109, 97, 112,
        44, 32, 38, 99, 116, 120, 45, 62, 107, 115, 121, 109, 41, 59, 0, 9, 105, 102, 32, 40, 33,
        99, 102, 103, 41, 0, 9, 99, 116, 120, 45, 62, 111, 102, 102, 115, 101, 116, 115, 32, 61,
        32, 99, 102, 103, 45, 62, 111, 102, 102, 115, 101, 116, 115, 59, 0, 9, 115, 116, 114, 117,
        99, 116, 32, 114, 101, 116, 105, 115, 95, 112, 97, 99, 107, 101, 116, 95, 102, 105, 108,
        116, 101, 114, 95, 99, 116, 120, 32, 102, 99, 116, 120, 32, 61, 32, 123, 125, 59, 0, 47,
        98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68,
        47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 48, 45, 98, 117, 105, 108, 100, 47, 114,
        101, 116, 105, 115, 45, 55, 55, 55, 55, 98, 48, 55, 52, 97, 53, 99, 55, 55, 56, 53, 52, 56,
        52, 52, 54, 48, 50, 53, 48, 48, 52, 52, 102, 99, 99, 54, 102, 51, 56, 53, 98, 57, 49, 98,
        53, 47, 114, 101, 116, 105, 115, 47, 115, 114, 99, 47, 99, 111, 114, 101, 47, 112, 114,
        111, 98, 101, 47, 107, 101, 114, 110, 101, 108, 47, 98, 112, 102, 47, 105, 110, 99, 108,
        117, 100, 101, 47, 114, 101, 116, 105, 115, 95, 99, 111, 110, 116, 101, 120, 116, 46, 104,
        0, 9, 115, 107, 98, 32, 61, 32, 95, 95, 114, 101, 116, 105, 115, 95, 103, 101, 116, 95,
        115, 107, 95, 98, 117, 102, 102, 40, 99, 116, 120, 41, 59, 0, 9, 105, 102, 32, 40, 33, 115,
        107, 98, 41, 32, 123, 0, 116, 114, 97, 99, 101, 0, 110, 102, 95, 116, 114, 97, 99, 101, 0,
        112, 97, 99, 107, 101, 116, 95, 100, 117, 109, 112, 101, 100, 0, 115, 107, 98, 105, 100, 0,
        112, 107, 116, 0, 98, 97, 115, 101, 99, 104, 97, 105, 110, 0, 99, 104, 97, 105, 110, 0,
        114, 117, 108, 101, 0, 118, 101, 114, 100, 105, 99, 116, 0, 98, 111, 111, 108, 0, 95, 66,
        111, 111, 108, 0, 110, 102, 116, 95, 116, 114, 97, 99, 101, 95, 116, 121, 112, 101, 115, 0,
        78, 70, 84, 95, 84, 82, 65, 67, 69, 84, 89, 80, 69, 95, 85, 78, 83, 80, 69, 67, 0, 78, 70,
        84, 95, 84, 82, 65, 67, 69, 84, 89, 80, 69, 95, 80, 79, 76, 73, 67, 89, 0, 78, 70, 84, 95,
        84, 82, 65, 67, 69, 84, 89, 80, 69, 95, 82, 69, 84, 85, 82, 78, 0, 78, 70, 84, 95, 84, 82,
        65, 67, 69, 84, 89, 80, 69, 95, 82, 85, 76, 69, 0, 95, 95, 78, 70, 84, 95, 84, 82, 65, 67,
        69, 84, 89, 80, 69, 95, 77, 65, 88, 0, 48, 0, 9, 9, 105, 102, 32, 40, 33, 98, 112, 102, 95,
        99, 111, 114, 101, 95, 116, 121, 112, 101, 95, 101, 120, 105, 115, 116, 115, 40, 115, 116,
        114, 117, 99, 116, 32, 110, 102, 116, 95, 116, 114, 97, 99, 101, 105, 110, 102, 111, 41,
        32, 124, 124, 0, 115, 107, 98, 0, 115, 116, 97, 116, 101, 0, 116, 112, 114, 111, 116, 0,
        102, 114, 97, 103, 111, 102, 102, 0, 116, 104, 111, 102, 102, 0, 105, 110, 110, 101, 114,
        111, 102, 102, 0, 9, 9, 105, 110, 102, 111, 32, 61, 32, 114, 101, 116, 105, 115, 95, 103,
        101, 116, 95, 110, 102, 116, 95, 116, 114, 97, 99, 101, 105, 110, 102, 111, 40, 99, 116,
        120, 41, 59, 0, 9, 9, 105, 102, 32, 40, 33, 105, 110, 102, 111, 41, 0, 48, 58, 53, 0, 9, 9,
        105, 102, 32, 40, 98, 112, 102, 95, 99, 111, 114, 101, 95, 102, 105, 101, 108, 100, 95,
        101, 120, 105, 115, 116, 115, 40, 105, 110, 102, 111, 45, 62, 112, 107, 116, 41, 41, 0, 9,
        9, 9, 112, 107, 116, 32, 61, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40,
        105, 110, 102, 111, 44, 32, 112, 107, 116, 41, 59, 0, 9, 9, 105, 102, 32, 40, 112, 107,
        116, 41, 0, 9, 9, 9, 112, 107, 116, 32, 61, 32, 114, 101, 116, 105, 115, 95, 103, 101, 116,
        95, 110, 102, 116, 95, 112, 107, 116, 105, 110, 102, 111, 40, 99, 116, 120, 41, 59, 0, 48,
        58, 48, 0, 9, 9, 9, 115, 107, 98, 32, 61, 32, 40, 115, 116, 114, 117, 99, 116, 32, 115,
        107, 95, 98, 117, 102, 102, 32, 42, 41, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68,
        40, 112, 107, 116, 44, 32, 115, 107, 98, 41, 59, 0, 9, 105, 102, 32, 40, 33, 115, 107, 98,
        41, 0, 99, 98, 0, 95, 110, 102, 99, 116, 0, 108, 101, 110, 0, 100, 97, 116, 97, 95, 108,
        101, 110, 0, 109, 97, 99, 95, 108, 101, 110, 0, 104, 100, 114, 95, 108, 101, 110, 0, 113,
        117, 101, 117, 101, 95, 109, 97, 112, 112, 105, 110, 103, 0, 95, 95, 99, 108, 111, 110,
        101, 100, 95, 111, 102, 102, 115, 101, 116, 0, 99, 108, 111, 110, 101, 100, 0, 110, 111,
        104, 100, 114, 0, 102, 99, 108, 111, 110, 101, 0, 112, 101, 101, 107, 101, 100, 0, 104,
        101, 97, 100, 95, 102, 114, 97, 103, 0, 112, 102, 109, 101, 109, 97, 108, 108, 111, 99, 0,
        112, 112, 95, 114, 101, 99, 121, 99, 108, 101, 0, 97, 99, 116, 105, 118, 101, 95, 101, 120,
        116, 101, 110, 115, 105, 111, 110, 115, 0, 116, 97, 105, 108, 0, 101, 110, 100, 0, 104,
        101, 97, 100, 0, 116, 114, 117, 101, 115, 105, 122, 101, 0, 117, 115, 101, 114, 115, 0,
        101, 120, 116, 101, 110, 115, 105, 111, 110, 115, 0, 114, 98, 110, 111, 100, 101, 0, 108,
        105, 115, 116, 0, 108, 108, 95, 110, 111, 100, 101, 0, 110, 101, 120, 116, 0, 112, 114,
        101, 118, 0, 100, 101, 118, 0, 100, 101, 118, 95, 115, 99, 114, 97, 116, 99, 104, 0, 114,
        98, 95, 110, 111, 100, 101, 0, 95, 95, 114, 98, 95, 112, 97, 114, 101, 110, 116, 95, 99,
        111, 108, 111, 114, 0, 114, 98, 95, 114, 105, 103, 104, 116, 0, 114, 98, 95, 108, 101, 102,
        116, 0, 108, 105, 115, 116, 95, 104, 101, 97, 100, 0, 108, 108, 105, 115, 116, 95, 110,
        111, 100, 101, 0, 115, 107, 0, 105, 112, 95, 100, 101, 102, 114, 97, 103, 95, 111, 102,
        102, 115, 101, 116, 0, 116, 115, 116, 97, 109, 112, 0, 115, 107, 98, 95, 109, 115, 116, 97,
        109, 112, 95, 110, 115, 0, 107, 116, 105, 109, 101, 95, 116, 0, 115, 54, 52, 0, 95, 95,
        115, 54, 52, 0, 108, 111, 110, 103, 32, 108, 111, 110, 103, 0, 99, 104, 97, 114, 0, 116,
        99, 112, 95, 116, 115, 111, 114, 116, 101, 100, 95, 97, 110, 99, 104, 111, 114, 0, 95, 115,
        107, 95, 114, 101, 100, 105, 114, 0, 95, 115, 107, 98, 95, 114, 101, 102, 100, 115, 116, 0,
        100, 101, 115, 116, 114, 117, 99, 116, 111, 114, 0, 104, 101, 97, 100, 101, 114, 115, 0,
        95, 95, 112, 107, 116, 95, 116, 121, 112, 101, 95, 111, 102, 102, 115, 101, 116, 0, 112,
        107, 116, 95, 116, 121, 112, 101, 0, 105, 103, 110, 111, 114, 101, 95, 100, 102, 0, 105,
        112, 95, 115, 117, 109, 109, 101, 100, 0, 111, 111, 111, 95, 111, 107, 97, 121, 0, 108, 52,
        95, 104, 97, 115, 104, 0, 115, 119, 95, 104, 97, 115, 104, 0, 119, 105, 102, 105, 95, 97,
        99, 107, 101, 100, 95, 118, 97, 108, 105, 100, 0, 119, 105, 102, 105, 95, 97, 99, 107, 101,
        100, 0, 110, 111, 95, 102, 99, 115, 0, 101, 110, 99, 97, 112, 115, 117, 108, 97, 116, 105,
        111, 110, 0, 101, 110, 99, 97, 112, 95, 104, 100, 114, 95, 99, 115, 117, 109, 0, 99, 115,
        117, 109, 95, 118, 97, 108, 105, 100, 0, 95, 95, 112, 107, 116, 95, 118, 108, 97, 110, 95,
        112, 114, 101, 115, 101, 110, 116, 95, 111, 102, 102, 115, 101, 116, 0, 114, 101, 109, 99,
        115, 117, 109, 95, 111, 102, 102, 108, 111, 97, 100, 0, 99, 115, 117, 109, 95, 99, 111,
        109, 112, 108, 101, 116, 101, 95, 115, 119, 0, 99, 115, 117, 109, 95, 108, 101, 118, 101,
        108, 0, 100, 115, 116, 95, 112, 101, 110, 100, 105, 110, 103, 95, 99, 111, 110, 102, 105,
        114, 109, 0, 109, 111, 110, 111, 95, 100, 101, 108, 105, 118, 101, 114, 121, 95, 116, 105,
        109, 101, 0, 116, 99, 95, 115, 107, 105, 112, 95, 99, 108, 97, 115, 115, 105, 102, 121, 0,
        116, 99, 95, 97, 116, 95, 105, 110, 103, 114, 101, 115, 115, 0, 110, 100, 105, 115, 99, 95,
        110, 111, 100, 101, 116, 121, 112, 101, 0, 105, 112, 118, 115, 95, 112, 114, 111, 112, 101,
        114, 116, 121, 0, 105, 110, 110, 101, 114, 95, 112, 114, 111, 116, 111, 99, 111, 108, 95,
        116, 121, 112, 101, 0, 111, 102, 102, 108, 111, 97, 100, 95, 102, 119, 100, 95, 109, 97,
        114, 107, 0, 111, 102, 102, 108, 111, 97, 100, 95, 108, 51, 95, 102, 119, 100, 95, 109, 97,
        114, 107, 0, 114, 101, 100, 105, 114, 101, 99, 116, 101, 100, 0, 102, 114, 111, 109, 95,
        105, 110, 103, 114, 101, 115, 115, 0, 110, 102, 95, 115, 107, 105, 112, 95, 101, 103, 114,
        101, 115, 115, 0, 100, 101, 99, 114, 121, 112, 116, 101, 100, 0, 115, 108, 111, 119, 95,
        103, 114, 111, 0, 99, 115, 117, 109, 95, 110, 111, 116, 95, 105, 110, 101, 116, 0, 115, 99,
        109, 95, 105, 111, 95, 117, 114, 105, 110, 103, 0, 116, 99, 95, 105, 110, 100, 101, 120, 0,
        112, 114, 105, 111, 114, 105, 116, 121, 0, 115, 107, 98, 95, 105, 105, 102, 0, 104, 97,
        115, 104, 0, 97, 108, 108, 111, 99, 95, 99, 112, 117, 0, 115, 101, 99, 109, 97, 114, 107,
        0, 105, 110, 110, 101, 114, 95, 116, 114, 97, 110, 115, 112, 111, 114, 116, 95, 104, 101,
        97, 100, 101, 114, 0, 105, 110, 110, 101, 114, 95, 110, 101, 116, 119, 111, 114, 107, 95,
        104, 101, 97, 100, 101, 114, 0, 105, 110, 110, 101, 114, 95, 109, 97, 99, 95, 104, 101, 97,
        100, 101, 114, 0, 112, 114, 111, 116, 111, 99, 111, 108, 0, 116, 114, 97, 110, 115, 112,
        111, 114, 116, 95, 104, 101, 97, 100, 101, 114, 0, 110, 101, 116, 119, 111, 114, 107, 95,
        104, 101, 97, 100, 101, 114, 0, 109, 97, 99, 95, 104, 101, 97, 100, 101, 114, 0, 99, 115,
        117, 109, 0, 95, 95, 119, 115, 117, 109, 0, 99, 115, 117, 109, 95, 115, 116, 97, 114, 116,
        0, 99, 115, 117, 109, 95, 111, 102, 102, 115, 101, 116, 0, 118, 108, 97, 110, 95, 97, 108,
        108, 0, 118, 108, 97, 110, 95, 112, 114, 111, 116, 111, 0, 118, 108, 97, 110, 95, 116, 99,
        105, 0, 95, 95, 98, 101, 49, 54, 0, 110, 97, 112, 105, 95, 105, 100, 0, 115, 101, 110, 100,
        101, 114, 95, 99, 112, 117, 0, 109, 97, 114, 107, 0, 114, 101, 115, 101, 114, 118, 101,
        100, 95, 116, 97, 105, 108, 114, 111, 111, 109, 0, 105, 110, 110, 101, 114, 95, 112, 114,
        111, 116, 111, 99, 111, 108, 0, 105, 110, 110, 101, 114, 95, 105, 112, 112, 114, 111, 116,
        111, 0, 115, 107, 95, 98, 117, 102, 102, 95, 100, 97, 116, 97, 95, 116, 0, 114, 101, 102,
        99, 111, 117, 110, 116, 95, 116, 0, 114, 101, 102, 99, 111, 117, 110, 116, 95, 115, 116,
        114, 117, 99, 116, 0, 114, 101, 102, 115, 0, 97, 116, 111, 109, 105, 99, 95, 116, 0, 99,
        111, 117, 110, 116, 101, 114, 0, 48, 58, 50, 51, 0, 47, 98, 117, 105, 108, 100, 100, 105,
        114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45,
        49, 46, 53, 46, 48, 45, 98, 117, 105, 108, 100, 47, 114, 101, 116, 105, 115, 45, 55, 55,
        55, 55, 98, 48, 55, 52, 97, 53, 99, 55, 55, 56, 53, 52, 56, 52, 52, 54, 48, 50, 53, 48, 48,
        52, 52, 102, 99, 99, 54, 102, 51, 56, 53, 98, 57, 49, 98, 53, 47, 114, 101, 116, 105, 115,
        47, 115, 114, 99, 47, 99, 111, 114, 101, 47, 116, 114, 97, 99, 107, 105, 110, 103, 47, 98,
        112, 102, 47, 105, 110, 99, 108, 117, 100, 101, 47, 115, 107, 98, 95, 116, 114, 97, 99,
        107, 105, 110, 103, 46, 104, 0, 9, 104, 101, 97, 100, 32, 61, 32, 40, 117, 54, 52, 41, 66,
        80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32, 104, 101, 97,
        100, 41, 59, 0, 9, 105, 102, 32, 40, 33, 104, 101, 97, 100, 41, 0, 9, 104, 101, 97, 100,
        32, 61, 32, 40, 99, 104, 97, 114, 32, 42, 41, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69,
        65, 68, 40, 115, 107, 98, 44, 32, 104, 101, 97, 100, 41, 59, 0, 48, 58, 54, 0, 9, 102, 99,
        116, 120, 46, 108, 101, 110, 32, 61, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65,
        68, 40, 115, 107, 98, 44, 32, 108, 101, 110, 41, 59, 0, 48, 58, 50, 48, 58, 48, 58, 53, 49,
        0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73,
        76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 48, 45, 98, 117, 105, 108, 100,
        47, 114, 101, 116, 105, 115, 45, 55, 55, 55, 55, 98, 48, 55, 52, 97, 53, 99, 55, 55, 56,
        53, 52, 56, 52, 52, 54, 48, 50, 53, 48, 48, 52, 52, 102, 99, 99, 54, 102, 51, 56, 53, 98,
        57, 49, 98, 53, 47, 114, 101, 116, 105, 115, 47, 115, 114, 99, 47, 99, 111, 114, 101, 47,
        112, 114, 111, 98, 101, 47, 107, 101, 114, 110, 101, 108, 47, 98, 112, 102, 47, 105, 110,
        99, 108, 117, 100, 101, 47, 104, 101, 108, 112, 101, 114, 115, 46, 104, 0, 9, 109, 97, 99,
        32, 61, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32,
        109, 97, 99, 95, 104, 101, 97, 100, 101, 114, 41, 59, 0, 48, 58, 50, 48, 58, 48, 58, 53,
        48, 0, 9, 110, 101, 116, 119, 111, 114, 107, 32, 61, 32, 66, 80, 70, 95, 67, 79, 82, 69,
        95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32, 110, 101, 116, 119, 111, 114, 107, 95, 104,
        101, 97, 100, 101, 114, 41, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 105, 115, 95, 109,
        97, 99, 95, 118, 97, 108, 105, 100, 40, 109, 97, 99, 41, 32, 38, 38, 0, 9, 114, 101, 116,
        117, 114, 110, 32, 110, 101, 116, 119, 111, 114, 107, 32, 38, 38, 32, 33, 73, 83, 95, 85,
        78, 83, 69, 84, 40, 110, 101, 116, 119, 111, 114, 107, 41, 59, 0, 9, 32, 32, 32, 32, 32,
        32, 32, 33, 40, 105, 115, 95, 110, 101, 116, 119, 111, 114, 107, 95, 118, 97, 108, 105,
        100, 40, 110, 101, 116, 119, 111, 114, 107, 41, 32, 38, 38, 32, 110, 101, 116, 119, 111,
        114, 107, 32, 61, 61, 32, 109, 97, 99, 32, 38, 38, 0, 48, 58, 56, 0, 9, 9, 32, 66, 80, 70,
        95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32, 109, 97, 99, 95, 108,
        101, 110, 41, 32, 61, 61, 32, 48, 41, 59, 0, 9, 105, 102, 32, 40, 105, 115, 95, 109, 97,
        99, 95, 100, 97, 116, 97, 95, 118, 97, 108, 105, 100, 40, 115, 107, 98, 41, 41, 32, 123, 0,
        9, 9, 102, 99, 116, 120, 46, 100, 97, 116, 97, 32, 61, 32, 104, 101, 97, 100, 32, 43, 32,
        66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32, 109, 97, 99,
        95, 104, 101, 97, 100, 101, 114, 41, 59, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47,
        98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46,
        53, 46, 48, 45, 98, 117, 105, 108, 100, 47, 114, 101, 116, 105, 115, 45, 55, 55, 55, 55,
        98, 48, 55, 52, 97, 53, 99, 55, 55, 56, 53, 52, 56, 52, 52, 54, 48, 50, 53, 48, 48, 52, 52,
        102, 99, 99, 54, 102, 51, 56, 53, 98, 57, 49, 98, 53, 47, 114, 101, 116, 105, 115, 47, 115,
        114, 99, 47, 99, 111, 114, 101, 47, 102, 105, 108, 116, 101, 114, 115, 47, 112, 97, 99,
        107, 101, 116, 115, 47, 98, 112, 102, 47, 105, 110, 99, 108, 117, 100, 101, 47, 112, 97,
        99, 107, 101, 116, 95, 102, 105, 108, 116, 101, 114, 46, 104, 0, 9, 102, 112, 32, 61, 32,
        40, 117, 54, 52, 32, 42, 41, 40, 40, 118, 111, 105, 100, 32, 42, 41, 115, 116, 97, 99, 107,
        32, 43, 32, 115, 105, 122, 101, 111, 102, 40, 115, 116, 97, 99, 107, 41, 41, 59, 0, 9, 97,
        115, 109, 32, 118, 111, 108, 97, 116, 105, 108, 101, 32, 40, 0, 9, 9, 103, 111, 116, 111,
        32, 102, 105, 108, 116, 101, 114, 95, 111, 117, 116, 99, 111, 109, 101, 59, 0, 9, 114, 101,
        116, 117, 114, 110, 32, 105, 115, 95, 110, 101, 116, 119, 111, 114, 107, 95, 118, 97, 108,
        105, 100, 40, 110, 101, 116, 119, 111, 114, 107, 41, 32, 38, 38, 0, 9, 32, 32, 32, 32, 32,
        32, 32, 33, 40, 105, 115, 95, 109, 97, 99, 95, 118, 97, 108, 105, 100, 40, 109, 97, 99, 41,
        32, 38, 38, 32, 109, 97, 99, 32, 61, 61, 32, 110, 101, 116, 119, 111, 114, 107, 32, 38, 38,
        0, 9, 9, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 115, 107, 98, 44, 32,
        109, 97, 99, 95, 108, 101, 110, 41, 32, 33, 61, 32, 48, 41, 59, 0, 9, 105, 102, 32, 40, 33,
        105, 115, 95, 110, 101, 116, 119, 111, 114, 107, 95, 100, 97, 116, 97, 95, 118, 97, 108,
        105, 100, 40, 115, 107, 98, 41, 41, 0, 9, 102, 99, 116, 120, 46, 100, 97, 116, 97, 32, 61,
        32, 104, 101, 97, 100, 32, 43, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40,
        115, 107, 98, 44, 32, 110, 101, 116, 119, 111, 114, 107, 95, 104, 101, 97, 100, 101, 114,
        41, 59, 0, 9, 99, 116, 120, 45, 62, 102, 105, 108, 116, 101, 114, 115, 95, 114, 101, 116,
        32, 124, 61, 32, 40, 33, 33, 102, 99, 116, 120, 46, 114, 101, 116, 41, 32, 60, 60, 32, 82,
        69, 84, 73, 83, 95, 70, 95, 80, 65, 67, 75, 69, 84, 95, 80, 65, 83, 83, 95, 83, 72, 59, 0,
        47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76,
        68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53, 46, 48, 45, 98, 117, 105, 108, 100, 47,
        114, 101, 116, 105, 115, 45, 55, 55, 55, 55, 98, 48, 55, 52, 97, 53, 99, 55, 55, 56, 53,
        52, 56, 52, 52, 54, 48, 50, 53, 48, 48, 52, 52, 102, 99, 99, 54, 102, 51, 56, 53, 98, 57,
        49, 98, 53, 47, 114, 101, 116, 105, 115, 47, 115, 114, 99, 47, 99, 111, 114, 101, 47, 102,
        105, 108, 116, 101, 114, 115, 47, 109, 101, 116, 97, 47, 98, 112, 102, 47, 105, 110, 99,
        108, 117, 100, 101, 47, 109, 101, 116, 97, 95, 102, 105, 108, 116, 101, 114, 46, 104, 0, 9,
        105, 102, 32, 40, 33, 110, 109, 101, 116, 97, 32, 124, 124, 32, 110, 109, 101, 116, 97, 32,
        62, 32, 77, 69, 84, 65, 95, 79, 80, 83, 95, 77, 65, 88, 41, 0, 9, 117, 51, 50, 32, 107, 32,
        61, 32, 48, 59, 0, 9, 118, 97, 108, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108,
        111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 102, 105, 108, 116, 101, 114, 95,
        109, 101, 116, 97, 95, 109, 97, 112, 44, 32, 38, 107, 41, 59, 0, 9, 105, 102, 32, 40, 33,
        118, 97, 108, 41, 32, 123, 0, 9, 9, 108, 111, 103, 95, 101, 114, 114, 111, 114, 40, 34, 70,
        97, 105, 108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 109, 101, 116,
        97, 45, 102, 105, 108, 116, 101, 114, 32, 116, 97, 114, 103, 101, 116, 34, 41, 59, 0, 9,
        99, 116, 120, 45, 62, 115, 122, 32, 61, 32, 118, 97, 108, 45, 62, 116, 46, 115, 122, 59, 0,
        9, 99, 116, 120, 45, 62, 99, 109, 112, 32, 61, 32, 118, 97, 108, 45, 62, 116, 46, 99, 109,
        112, 59, 0, 9, 102, 111, 114, 32, 40, 105, 32, 61, 32, 49, 44, 32, 107, 32, 61, 32, 49, 59,
        32, 105, 32, 60, 32, 110, 109, 101, 116, 97, 59, 32, 107, 43, 43, 44, 32, 105, 43, 43, 41,
        32, 123, 0, 9, 9, 99, 116, 120, 45, 62, 98, 102, 115, 32, 61, 32, 118, 97, 108, 45, 62,
        108, 46, 98, 102, 95, 115, 105, 122, 101, 59, 0, 9, 9, 99, 116, 120, 45, 62, 110, 109, 101,
        109, 98, 32, 61, 32, 118, 97, 108, 45, 62, 108, 46, 110, 109, 101, 109, 98, 59, 0, 9, 105,
        102, 32, 40, 99, 116, 120, 46, 116, 121, 112, 101, 32, 38, 32, 80, 84, 82, 95, 66, 73, 84,
        32, 124, 124, 32, 99, 116, 120, 46, 110, 109, 101, 109, 98, 32, 62, 32, 48, 41, 0, 9, 115,
        122, 32, 61, 32, 99, 116, 120, 45, 62, 110, 109, 101, 109, 98, 32, 63, 32, 58, 32, 99, 116,
        120, 45, 62, 115, 122, 59, 0, 9, 9, 118, 97, 108, 32, 61, 32, 98, 112, 102, 95, 109, 97,
        112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 102, 105, 108, 116,
        101, 114, 95, 109, 101, 116, 97, 95, 109, 97, 112, 44, 32, 38, 107, 41, 59, 0, 9, 9, 105,
        102, 32, 40, 33, 118, 97, 108, 41, 32, 123, 0, 9, 9, 105, 102, 32, 40, 118, 97, 108, 45,
        62, 108, 46, 116, 121, 112, 101, 32, 61, 61, 32, 80, 84, 82, 95, 66, 73, 84, 41, 32, 123,
        0, 9, 9, 9, 9, 9, 9, 32, 32, 40, 99, 104, 97, 114, 32, 42, 41, 99, 116, 120, 45, 62, 98,
        97, 115, 101, 32, 43, 32, 40, 118, 97, 108, 45, 62, 108, 46, 111, 102, 102, 116, 41, 41,
        41, 0, 9, 9, 9, 105, 102, 32, 40, 98, 112, 102, 95, 112, 114, 111, 98, 101, 95, 114, 101,
        97, 100, 95, 107, 101, 114, 110, 101, 108, 40, 38, 112, 116, 114, 44, 32, 115, 105, 122,
        101, 111, 102, 40, 118, 111, 105, 100, 32, 42, 41, 44, 0, 9, 9, 9, 99, 116, 120, 45, 62,
        98, 97, 115, 101, 32, 61, 32, 40, 118, 111, 105, 100, 32, 42, 41, 112, 116, 114, 59, 0, 9,
        9, 9, 99, 111, 110, 116, 105, 110, 117, 101, 59, 0, 9, 117, 54, 52, 32, 116, 118, 97, 108,
        44, 32, 109, 118, 97, 108, 32, 61, 32, 48, 59, 0, 9, 105, 102, 32, 40, 99, 116, 120, 45,
        62, 98, 102, 115, 41, 32, 123, 0, 9, 9, 111, 102, 102, 115, 101, 116, 32, 61, 32, 99, 116,
        120, 45, 62, 111, 102, 102, 115, 101, 116, 32, 47, 32, 56, 59, 0, 9, 9, 115, 122, 32, 61,
        32, 68, 73, 86, 95, 67, 69, 73, 76, 40, 40, 99, 116, 120, 45, 62, 111, 102, 102, 115, 101,
        116, 32, 45, 32, 111, 102, 102, 115, 101, 116, 32, 42, 32, 56, 85, 41, 32, 43, 32, 99, 116,
        120, 45, 62, 98, 102, 115, 44, 32, 56, 41, 59, 0, 9, 115, 122, 32, 61, 32, 77, 73, 78, 40,
        115, 122, 44, 32, 115, 105, 122, 101, 111, 102, 40, 109, 118, 97, 108, 41, 41, 59, 0, 9,
        105, 102, 32, 40, 98, 112, 102, 95, 112, 114, 111, 98, 101, 95, 114, 101, 97, 100, 95, 107,
        101, 114, 110, 101, 108, 40, 38, 109, 118, 97, 108, 44, 32, 115, 122, 44, 32, 40, 99, 104,
        97, 114, 32, 42, 41, 99, 116, 120, 45, 62, 98, 97, 115, 101, 32, 43, 32, 111, 102, 102,
        115, 101, 116, 41, 41, 0, 9, 105, 102, 32, 40, 99, 116, 120, 45, 62, 98, 102, 115, 41, 0,
        9, 118, 97, 108, 32, 60, 60, 61, 32, 40, 54, 52, 32, 45, 32, 98, 105, 116, 95, 115, 122,
        41, 32, 45, 32, 40, 98, 105, 116, 95, 111, 102, 102, 32, 32, 37, 32, 56, 41, 59, 0, 9, 114,
        101, 116, 117, 114, 110, 32, 104, 97, 115, 95, 115, 105, 103, 110, 32, 63, 32, 40, 115, 54,
        52, 41, 118, 97, 108, 32, 62, 62, 32, 40, 54, 52, 32, 45, 32, 98, 105, 116, 95, 115, 122,
        41, 32, 58, 32, 118, 97, 108, 32, 62, 62, 32, 40, 54, 52, 32, 45, 32, 98, 105, 116, 95,
        115, 122, 41, 59, 0, 9, 98, 111, 111, 108, 32, 115, 105, 103, 110, 95, 98, 105, 116, 32,
        61, 32, 99, 116, 120, 45, 62, 116, 121, 112, 101, 32, 38, 32, 83, 73, 71, 78, 95, 66, 73,
        84, 59, 0, 9, 116, 118, 97, 108, 32, 61, 32, 42, 40, 40, 117, 54, 52, 32, 42, 41, 99, 116,
        120, 45, 62, 100, 97, 116, 97, 41, 59, 0, 9, 115, 119, 105, 116, 99, 104, 32, 40, 99, 109,
        112, 95, 116, 121, 112, 101, 41, 32, 123, 0, 9, 9, 114, 101, 116, 117, 114, 110, 32, 115,
        105, 103, 110, 95, 98, 105, 116, 0, 9, 105, 102, 32, 40, 98, 112, 102, 95, 112, 114, 111,
        98, 101, 95, 114, 101, 97, 100, 95, 107, 101, 114, 110, 101, 108, 95, 115, 116, 114, 40,
        118, 97, 108, 44, 32, 115, 122, 44, 32, 40, 99, 104, 97, 114, 32, 42, 41, 99, 116, 120, 45,
        62, 98, 97, 115, 101, 32, 43, 32, 99, 116, 120, 45, 62, 111, 102, 102, 115, 101, 116, 41,
        32, 60, 32, 48, 41, 0, 9, 115, 122, 32, 61, 32, 77, 73, 78, 40, 115, 122, 44, 32, 115, 105,
        122, 101, 111, 102, 40, 118, 97, 108, 41, 41, 59, 0, 9, 119, 104, 105, 108, 101, 32, 40,
        115, 122, 45, 45, 32, 62, 32, 48, 32, 38, 38, 32, 42, 115, 112, 49, 32, 38, 38, 32, 42,
        115, 112, 50, 32, 38, 38, 32, 33, 40, 42, 115, 112, 49, 32, 45, 32, 42, 115, 112, 50, 41,
        41, 0, 9, 9, 115, 112, 49, 43, 43, 44, 32, 115, 112, 50, 43, 43, 59, 0, 9, 114, 101, 116,
        117, 114, 110, 32, 33, 40, 42, 115, 112, 49, 32, 45, 32, 42, 115, 112, 50, 41, 59, 0, 9,
        115, 119, 105, 116, 99, 104, 32, 40, 99, 116, 120, 45, 62, 99, 109, 112, 41, 32, 123, 0, 9,
        9, 114, 101, 116, 117, 114, 110, 32, 33, 114, 101, 116, 59, 0, 9, 9, 114, 101, 116, 117,
        114, 110, 32, 102, 105, 108, 116, 101, 114, 95, 98, 121, 116, 101, 115, 40, 38, 99, 116,
        120, 41, 59, 0, 9, 9, 9, 108, 111, 103, 95, 101, 114, 114, 111, 114, 40, 34, 70, 97, 105,
        108, 101, 100, 32, 116, 111, 32, 108, 111, 111, 107, 117, 112, 32, 109, 101, 116, 97, 45,
        102, 105, 108, 116, 101, 114, 32, 109, 101, 109, 98, 101, 114, 32, 97, 116, 32, 105, 110,
        100, 101, 120, 32, 37, 117, 34, 44, 32, 105, 41, 59, 0, 9, 99, 116, 120, 45, 62, 102, 105,
        108, 116, 101, 114, 115, 95, 114, 101, 116, 32, 124, 61, 32, 40, 33, 33, 109, 101, 116, 97,
        95, 102, 105, 108, 116, 101, 114, 40, 115, 107, 98, 41, 41, 32, 60, 60, 32, 82, 69, 84, 73,
        83, 95, 70, 95, 77, 69, 84, 65, 95, 80, 65, 83, 83, 95, 83, 72, 59, 0, 9, 105, 102, 32, 40,
        33, 115, 122, 41, 32, 123, 0, 9, 9, 108, 111, 103, 95, 101, 114, 114, 111, 114, 40, 34,
        101, 114, 114, 111, 114, 32, 119, 104, 105, 108, 101, 32, 99, 97, 108, 99, 117, 108, 97,
        116, 105, 110, 103, 32, 98, 121, 116, 101, 115, 32, 116, 111, 32, 114, 101, 97, 100, 32,
        40, 122, 101, 114, 111, 32, 110, 111, 116, 32, 97, 108, 108, 111, 119, 101, 100, 41, 34,
        41, 59, 0, 9, 9, 108, 111, 103, 95, 101, 114, 114, 111, 114, 40, 34, 87, 114, 111, 110,
        103, 32, 99, 111, 109, 112, 97, 114, 105, 115, 111, 110, 32, 111, 112, 101, 114, 97, 116,
        111, 114, 32, 37, 100, 34, 44, 32, 99, 116, 120, 45, 62, 99, 109, 112, 41, 59, 0, 9, 9,
        114, 101, 116, 117, 114, 110, 32, 40, 111, 112, 101, 114, 97, 110, 100, 49, 32, 33, 61, 32,
        111, 112, 101, 114, 97, 110, 100, 50, 41, 59, 0, 9, 101, 108, 115, 101, 32, 105, 102, 32,
        40, 115, 105, 103, 110, 95, 98, 105, 116, 41, 0, 9, 115, 119, 105, 116, 99, 104, 32, 40,
        115, 122, 41, 32, 123, 0, 9, 9, 114, 101, 116, 32, 61, 32, 40, 117, 54, 52, 41, 40, 115,
        51, 50, 41, 118, 97, 108, 59, 0, 9, 9, 114, 101, 116, 117, 114, 110, 32, 40, 111, 112, 101,
        114, 97, 110, 100, 49, 32, 61, 61, 32, 111, 112, 101, 114, 97, 110, 100, 50, 41, 59, 0, 9,
        9, 108, 111, 103, 95, 101, 114, 114, 111, 114, 40, 34, 87, 114, 111, 110, 103, 32, 99, 111,
        109, 112, 97, 114, 105, 115, 111, 110, 32, 111, 112, 101, 114, 97, 116, 111, 114, 32, 37,
        100, 34, 44, 32, 99, 109, 112, 95, 116, 121, 112, 101, 41, 59, 0, 9, 114, 101, 116, 117,
        114, 110, 32, 99, 109, 112, 95, 110, 117, 109, 40, 109, 118, 97, 108, 44, 32, 116, 118, 97,
        108, 44, 32, 115, 105, 103, 110, 95, 98, 105, 116, 44, 32, 99, 116, 120, 45, 62, 99, 109,
        112, 41, 59, 0, 9, 9, 114, 101, 116, 32, 61, 32, 40, 117, 54, 52, 41, 40, 115, 49, 54, 41,
        118, 97, 108, 59, 0, 9, 9, 114, 101, 116, 32, 61, 32, 40, 117, 54, 52, 41, 40, 115, 56, 41,
        118, 97, 108, 59, 0, 9, 116, 105, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111,
        111, 107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 116, 114, 97, 99, 107, 105, 110, 103,
        95, 109, 97, 112, 44, 32, 38, 104, 101, 97, 100, 41, 59, 0, 9, 105, 102, 32, 40, 33, 116,
        105, 41, 0, 9, 105, 102, 32, 40, 82, 69, 84, 73, 83, 95, 84, 82, 65, 67, 75, 65, 66, 76,
        69, 40, 99, 116, 120, 45, 62, 102, 105, 108, 116, 101, 114, 115, 95, 114, 101, 116, 41, 41,
        0, 9, 117, 54, 52, 32, 104, 101, 97, 100, 44, 32, 107, 115, 121, 109, 32, 61, 32, 99, 116,
        120, 45, 62, 107, 115, 121, 109, 59, 0, 9, 115, 107, 98, 32, 61, 32, 114, 101, 116, 105,
        115, 95, 103, 101, 116, 95, 115, 107, 95, 98, 117, 102, 102, 40, 99, 116, 120, 41, 59, 0,
        9, 9, 116, 105, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117,
        112, 95, 101, 108, 101, 109, 40, 38, 116, 114, 97, 99, 107, 105, 110, 103, 95, 109, 97,
        112, 44, 32, 40, 117, 54, 52, 32, 42, 41, 38, 115, 107, 98, 41, 59, 0, 9, 105, 102, 32, 40,
        115, 107, 98, 95, 105, 115, 95, 116, 114, 97, 99, 107, 101, 100, 40, 115, 107, 98, 41, 41,
        32, 123, 0, 9, 99, 102, 103, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111,
        107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 116, 114, 97, 99, 107, 105, 110, 103, 95,
        99, 111, 110, 102, 105, 103, 95, 109, 97, 112, 44, 32, 38, 107, 115, 121, 109, 41, 59, 0,
        9, 105, 102, 32, 40, 99, 102, 103, 41, 32, 123, 0, 9, 9, 110, 111, 95, 116, 114, 97, 99,
        107, 105, 110, 103, 32, 61, 32, 99, 102, 103, 45, 62, 110, 111, 95, 116, 114, 97, 99, 107,
        105, 110, 103, 59, 0, 9, 9, 105, 110, 118, 95, 104, 101, 97, 100, 32, 61, 32, 99, 102, 103,
        45, 62, 105, 110, 118, 95, 104, 101, 97, 100, 59, 0, 9, 105, 102, 32, 40, 33, 116, 105, 41,
        32, 123, 0, 9, 9, 105, 102, 32, 40, 116, 105, 41, 32, 123, 0, 9, 9, 9, 98, 112, 102, 95,
        109, 97, 112, 95, 100, 101, 108, 101, 116, 101, 95, 101, 108, 101, 109, 40, 38, 116, 114,
        97, 99, 107, 105, 110, 103, 95, 109, 97, 112, 44, 32, 40, 117, 54, 52, 32, 42, 41, 38, 115,
        107, 98, 41, 59, 0, 9, 9, 125, 0, 9, 9, 105, 102, 32, 40, 110, 111, 95, 116, 114, 97, 99,
        107, 105, 110, 103, 41, 0, 9, 9, 116, 105, 45, 62, 116, 105, 109, 101, 115, 116, 97, 109,
        112, 32, 61, 32, 99, 116, 120, 45, 62, 116, 105, 109, 101, 115, 116, 97, 109, 112, 59, 0,
        9, 9, 116, 105, 45, 62, 108, 97, 115, 116, 95, 115, 101, 101, 110, 32, 61, 32, 99, 116,
        120, 45, 62, 116, 105, 109, 101, 115, 116, 97, 109, 112, 59, 0, 9, 9, 116, 105, 45, 62,
        111, 114, 105, 103, 95, 104, 101, 97, 100, 32, 61, 32, 104, 101, 97, 100, 59, 0, 9, 116,
        105, 45, 62, 108, 97, 115, 116, 95, 115, 101, 101, 110, 32, 61, 32, 99, 116, 120, 45, 62,
        116, 105, 109, 101, 115, 116, 97, 109, 112, 59, 0, 9, 105, 102, 32, 40, 105, 110, 118, 95,
        104, 101, 97, 100, 41, 0, 9, 9, 98, 112, 102, 95, 109, 97, 112, 95, 117, 112, 100, 97, 116,
        101, 95, 101, 108, 101, 109, 40, 38, 116, 114, 97, 99, 107, 105, 110, 103, 95, 109, 97,
        112, 44, 32, 40, 117, 54, 52, 32, 42, 41, 38, 115, 107, 98, 44, 32, 116, 105, 44, 32, 66,
        80, 70, 95, 78, 79, 69, 88, 73, 83, 84, 41, 59, 0, 9, 105, 102, 32, 40, 110, 104, 111, 111,
        107, 115, 32, 61, 61, 32, 48, 41, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98,
        117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 114, 101, 116, 105, 115, 45, 49, 46, 53,
        46, 48, 45, 98, 117, 105, 108, 100, 47, 114, 101, 116, 105, 115, 45, 55, 55, 55, 55, 98,
        48, 55, 52, 97, 53, 99, 55, 55, 56, 53, 52, 56, 52, 52, 54, 48, 50, 53, 48, 48, 52, 52,
        102, 99, 99, 54, 102, 51, 56, 53, 98, 57, 49, 98, 53, 47, 114, 101, 116, 105, 115, 47, 115,
        114, 99, 47, 99, 111, 114, 101, 47, 101, 118, 101, 110, 116, 115, 47, 98, 112, 102, 47,
        105, 110, 99, 108, 117, 100, 101, 47, 101, 118, 101, 110, 116, 115, 46, 104, 0, 9, 101,
        118, 101, 110, 116, 32, 61, 32, 98, 112, 102, 95, 114, 105, 110, 103, 98, 117, 102, 95,
        114, 101, 115, 101, 114, 118, 101, 40, 38, 101, 118, 101, 110, 116, 115, 95, 109, 97, 112,
        44, 32, 115, 105, 122, 101, 111, 102, 40, 42, 101, 118, 101, 110, 116, 41, 44, 32, 48, 41,
        59, 0, 9, 105, 102, 32, 40, 33, 101, 118, 101, 110, 116, 41, 0, 9, 9, 101, 114, 114, 95,
        114, 101, 112, 111, 114, 116, 40, 99, 116, 120, 45, 62, 107, 115, 121, 109, 44, 32, 48, 41,
        59, 0, 9, 107, 101, 121, 46, 115, 121, 109, 95, 97, 100, 100, 114, 32, 61, 32, 115, 121,
        109, 95, 97, 100, 100, 114, 59, 0, 9, 107, 101, 121, 46, 112, 105, 100, 32, 61, 32, 112,
        105, 100, 59, 0, 9, 101, 114, 114, 95, 99, 111, 117, 110, 116, 101, 114, 115, 32, 61, 32,
        98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101, 109,
        40, 38, 99, 111, 117, 110, 116, 101, 114, 115, 95, 109, 97, 112, 44, 32, 38, 107, 101, 121,
        41, 59, 0, 9, 105, 102, 32, 40, 101, 114, 114, 95, 99, 111, 117, 110, 116, 101, 114, 115,
        41, 0, 9, 9, 95, 95, 115, 121, 110, 99, 95, 102, 101, 116, 99, 104, 95, 97, 110, 100, 95,
        97, 100, 100, 40, 38, 101, 114, 114, 95, 99, 111, 117, 110, 116, 101, 114, 115, 45, 62,
        100, 114, 111, 112, 112, 101, 100, 95, 101, 118, 101, 110, 116, 115, 44, 32, 49, 41, 59, 0,
        9, 104, 101, 97, 100, 101, 114, 45, 62, 115, 105, 122, 101, 32, 61, 32, 115, 105, 122, 101,
        59, 0, 9, 104, 101, 97, 100, 101, 114, 45, 62, 111, 119, 110, 101, 114, 32, 61, 32, 111,
        119, 110, 101, 114, 59, 0, 9, 104, 101, 97, 100, 101, 114, 45, 62, 100, 97, 116, 97, 95,
        116, 121, 112, 101, 32, 61, 32, 100, 97, 116, 97, 95, 116, 121, 112, 101, 59, 0, 9, 101,
        118, 101, 110, 116, 45, 62, 115, 105, 122, 101, 32, 43, 61, 32, 115, 105, 122, 101, 111,
        102, 40, 42, 104, 101, 97, 100, 101, 114, 41, 32, 43, 32, 115, 105, 122, 101, 59, 0, 9,
        101, 45, 62, 116, 105, 109, 101, 115, 116, 97, 109, 112, 32, 61, 32, 99, 116, 120, 45, 62,
        116, 105, 109, 101, 115, 116, 97, 109, 112, 59, 0, 9, 101, 45, 62, 115, 109, 112, 95, 105,
        100, 32, 61, 32, 98, 112, 102, 95, 103, 101, 116, 95, 115, 109, 112, 95, 112, 114, 111, 99,
        101, 115, 115, 111, 114, 95, 105, 100, 40, 41, 59, 0, 9, 117, 49, 54, 32, 108, 101, 102,
        116, 32, 61, 32, 82, 65, 87, 95, 69, 86, 69, 78, 84, 95, 68, 65, 84, 65, 95, 83, 73, 90,
        69, 32, 45, 32, 101, 118, 101, 110, 116, 45, 62, 115, 105, 122, 101, 59, 0, 9, 105, 102,
        32, 40, 115, 105, 122, 101, 111, 102, 40, 42, 104, 101, 97, 100, 101, 114, 41, 32, 43, 32,
        115, 105, 122, 101, 32, 62, 32, 108, 101, 102, 116, 32, 124, 124, 32, 101, 118, 101, 110,
        116, 45, 62, 115, 105, 122, 101, 32, 62, 32, 115, 105, 122, 101, 111, 102, 40, 101, 118,
        101, 110, 116, 45, 62, 100, 97, 116, 97, 41, 41, 32, 123, 0, 9, 9, 108, 111, 103, 95, 101,
        114, 114, 111, 114, 40, 34, 70, 97, 105, 108, 101, 100, 32, 116, 111, 32, 103, 101, 116,
        32, 101, 118, 101, 110, 116, 32, 115, 101, 99, 116, 105, 111, 110, 58, 32, 110, 111, 32,
        115, 112, 97, 99, 101, 32, 108, 101, 102, 116, 34, 41, 59, 0, 9, 98, 112, 102, 95, 114,
        105, 110, 103, 98, 117, 102, 95, 100, 105, 115, 99, 97, 114, 100, 40, 101, 118, 101, 110,
        116, 44, 32, 48, 41, 59, 0, 9, 105, 102, 32, 40, 33, 99, 102, 103, 45, 62, 102, 114, 101,
        101, 41, 0, 9, 9, 9, 40, 101, 118, 101, 110, 116, 45, 62, 100, 97, 116, 97, 32, 43, 32,
        101, 118, 101, 110, 116, 45, 62, 115, 105, 122, 101, 41, 59, 0, 9, 95, 95, 98, 117, 105,
        108, 116, 105, 110, 95, 109, 101, 109, 115, 101, 116, 40, 115, 101, 99, 116, 105, 111, 110,
        44, 32, 48, 44, 32, 115, 105, 122, 101, 41, 59, 0, 9, 116, 105, 45, 62, 112, 105, 100, 32,
        61, 32, 98, 112, 102, 95, 103, 101, 116, 95, 99, 117, 114, 114, 101, 110, 116, 95, 112,
        105, 100, 95, 116, 103, 105, 100, 40, 41, 59, 0, 9, 98, 112, 102, 95, 103, 101, 116, 95,
        99, 117, 114, 114, 101, 110, 116, 95, 99, 111, 109, 109, 40, 116, 105, 45, 62, 99, 111,
        109, 109, 44, 32, 115, 105, 122, 101, 111, 102, 40, 116, 105, 45, 62, 99, 111, 109, 109,
        41, 41, 59, 0, 9, 107, 45, 62, 115, 121, 109, 98, 111, 108, 32, 61, 32, 99, 116, 120, 45,
        62, 107, 115, 121, 109, 59, 0, 9, 107, 45, 62, 116, 121, 112, 101, 32, 61, 32, 99, 116,
        120, 45, 62, 112, 114, 111, 98, 101, 95, 116, 121, 112, 101, 59, 0, 9, 105, 102, 32, 40,
        99, 102, 103, 45, 62, 115, 116, 97, 99, 107, 95, 116, 114, 97, 99, 101, 41, 0, 9, 9, 107,
        45, 62, 115, 116, 97, 99, 107, 95, 105, 100, 32, 61, 32, 98, 112, 102, 95, 103, 101, 116,
        95, 115, 116, 97, 99, 107, 105, 100, 40, 99, 116, 120, 45, 62, 111, 114, 105, 103, 95, 99,
        116, 120, 44, 32, 38, 115, 116, 97, 99, 107, 95, 109, 97, 112, 44, 32, 66, 80, 70, 95, 70,
        95, 70, 65, 83, 84, 95, 83, 84, 65, 67, 75, 95, 67, 77, 80, 41, 59, 0, 9, 114, 101, 116,
        117, 114, 110, 32, 101, 118, 101, 110, 116, 45, 62, 115, 105, 122, 101, 59, 0, 9, 112, 97,
        115, 115, 95, 116, 104, 114, 101, 115, 104, 111, 108, 100, 32, 61, 32, 103, 101, 116, 95,
        101, 118, 101, 110, 116, 95, 115, 105, 122, 101, 40, 101, 118, 101, 110, 116, 41, 59, 0, 9,
        98, 97, 114, 114, 105, 101, 114, 95, 118, 97, 114, 40, 112, 97, 115, 115, 95, 116, 104,
        114, 101, 115, 104, 111, 108, 100, 41, 59, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40,
        48, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 49, 41, 0, 9, 67, 65, 76, 76, 95, 72,
        79, 79, 75, 40, 50, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 51, 41, 0, 9, 67, 65,
        76, 76, 95, 72, 79, 79, 75, 40, 52, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 53,
        41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 54, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79,
        79, 75, 40, 55, 41, 0, 9, 67, 65, 76, 76, 95, 72, 79, 79, 75, 40, 56, 41, 0, 9, 67, 65, 76,
        76, 95, 72, 79, 79, 75, 40, 57, 41, 0, 9, 105, 102, 32, 40, 103, 101, 116, 95, 101, 118,
        101, 110, 116, 95, 115, 105, 122, 101, 40, 101, 118, 101, 110, 116, 41, 32, 62, 32, 112,
        97, 115, 115, 95, 116, 104, 114, 101, 115, 104, 111, 108, 100, 41, 0, 9, 98, 112, 102, 95,
        114, 105, 110, 103, 98, 117, 102, 95, 115, 117, 98, 109, 105, 116, 40, 101, 118, 101, 110,
        116, 44, 32, 48, 41, 59, 0, 9, 105, 102, 32, 40, 99, 102, 103, 45, 62, 112, 97, 114, 116,
        105, 97, 108, 95, 102, 114, 101, 101, 41, 32, 123, 0, 9, 9, 98, 111, 111, 108, 32, 115,
        116, 111, 108, 101, 110, 32, 61, 32, 114, 101, 116, 105, 115, 95, 103, 101, 116, 95, 112,
        97, 114, 97, 109, 40, 99, 116, 120, 44, 32, 49, 44, 32, 98, 111, 111, 108, 41, 59, 0, 9,
        98, 112, 102, 95, 109, 97, 112, 95, 100, 101, 108, 101, 116, 101, 95, 101, 108, 101, 109,
        40, 38, 116, 114, 97, 99, 107, 105, 110, 103, 95, 109, 97, 112, 44, 32, 38, 104, 101, 97,
        100, 41, 59, 0, 125, 0, 112, 114, 111, 98, 101, 95, 107, 114, 101, 116, 112, 114, 111, 98,
        101, 95, 107, 112, 114, 111, 98, 101, 0, 107, 112, 114, 111, 98, 101, 47, 114, 101, 116,
        112, 114, 111, 98, 101, 0, 105, 110, 116, 32, 112, 114, 111, 98, 101, 95, 107, 114, 101,
        116, 112, 114, 111, 98, 101, 95, 107, 112, 114, 111, 98, 101, 40, 115, 116, 114, 117, 99,
        116, 32, 112, 116, 95, 114, 101, 103, 115, 32, 42, 99, 116, 120, 41, 0, 98, 112, 102, 95,
        102, 117, 110, 99, 95, 105, 100, 95, 95, 95, 120, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95,
        103, 101, 116, 95, 102, 117, 110, 99, 95, 105, 112, 95, 95, 95, 53, 95, 49, 53, 95, 48, 0,
        9, 105, 102, 32, 40, 98, 112, 102, 95, 99, 111, 114, 101, 95, 101, 110, 117, 109, 95, 118,
        97, 108, 117, 101, 95, 101, 120, 105, 115, 116, 115, 40, 101, 110, 117, 109, 32, 98, 112,
        102, 95, 102, 117, 110, 99, 95, 105, 100, 95, 95, 95, 120, 44, 32, 66, 80, 70, 95, 70, 85,
        78, 67, 95, 103, 101, 116, 95, 102, 117, 110, 99, 95, 105, 112, 95, 95, 95, 53, 95, 49, 53,
        95, 48, 41, 41, 0, 9, 9, 114, 101, 116, 117, 114, 110, 32, 98, 112, 102, 95, 103, 101, 116,
        95, 102, 117, 110, 99, 95, 105, 112, 40, 99, 116, 120, 41, 59, 0, 48, 58, 49, 54, 0, 9, 9,
        114, 101, 116, 117, 114, 110, 32, 80, 84, 95, 82, 69, 71, 83, 95, 73, 80, 40, 99, 116, 120,
        41, 32, 45, 32, 49, 59, 0, 9, 99, 111, 110, 116, 101, 120, 116, 46, 107, 115, 121, 109, 32,
        61, 32, 107, 112, 114, 111, 98, 101, 95, 103, 101, 116, 95, 102, 117, 110, 99, 95, 105,
        112, 40, 99, 116, 120, 41, 59, 0, 48, 58, 49, 52, 0, 9, 114, 101, 103, 115, 45, 62, 114,
        101, 103, 91, 48, 93, 32, 61, 32, 80, 84, 95, 82, 69, 71, 83, 95, 80, 65, 82, 77, 49, 40,
        99, 116, 120, 41, 59, 0, 48, 58, 49, 51, 0, 9, 114, 101, 103, 115, 45, 62, 114, 101, 103,
        91, 49, 93, 32, 61, 32, 80, 84, 95, 82, 69, 71, 83, 95, 80, 65, 82, 77, 50, 40, 99, 116,
        120, 41, 59, 0, 48, 58, 49, 50, 0, 9, 114, 101, 103, 115, 45, 62, 114, 101, 103, 91, 50,
        93, 32, 61, 32, 80, 84, 95, 82, 69, 71, 83, 95, 80, 65, 82, 77, 51, 40, 99, 116, 120, 41,
        59, 0, 48, 58, 49, 49, 0, 9, 114, 101, 103, 115, 45, 62, 114, 101, 103, 91, 51, 93, 32, 61,
        32, 80, 84, 95, 82, 69, 71, 83, 95, 80, 65, 82, 77, 52, 40, 99, 116, 120, 41, 59, 0, 48,
        58, 57, 0, 9, 114, 101, 103, 115, 45, 62, 114, 101, 103, 91, 52, 93, 32, 61, 32, 80, 84,
        95, 82, 69, 71, 83, 95, 80, 65, 82, 77, 53, 40, 99, 116, 120, 41, 59, 0, 9, 114, 101, 103,
        115, 45, 62, 110, 117, 109, 32, 61, 32, 53, 59, 0, 9, 105, 102, 32, 40, 33, 98, 112, 102,
        95, 109, 97, 112, 95, 117, 112, 100, 97, 116, 101, 95, 101, 108, 101, 109, 40, 38, 107,
        114, 101, 116, 112, 114, 111, 98, 101, 95, 99, 111, 110, 116, 101, 120, 116, 44, 32, 38,
        116, 105, 100, 44, 32, 38, 99, 111, 110, 116, 101, 120, 116, 44, 32, 66, 80, 70, 95, 78,
        79, 69, 88, 73, 83, 84, 41, 41, 32, 123, 0, 108, 111, 103, 95, 108, 101, 118, 101, 108, 0,
        110, 109, 101, 116, 97, 0, 110, 104, 111, 111, 107, 115, 0, 95, 95, 108, 105, 99, 101, 110,
        115, 101, 0, 99, 104, 97, 105, 110, 46, 101, 110, 97, 98, 108, 101, 100, 0, 109, 101, 116,
        97, 95, 112, 114, 111, 99, 101, 115, 115, 95, 111, 112, 115, 46, 95, 95, 95, 102, 109, 116,
        0, 109, 101, 116, 97, 95, 112, 114, 111, 99, 101, 115, 115, 95, 111, 112, 115, 46, 95, 95,
        95, 102, 109, 116, 46, 49, 0, 102, 105, 108, 116, 101, 114, 95, 98, 121, 116, 101, 115, 46,
        95, 95, 95, 102, 109, 116, 0, 102, 105, 108, 116, 101, 114, 95, 110, 117, 109, 46, 95, 95,
        95, 102, 109, 116, 0, 99, 109, 112, 95, 110, 117, 109, 46, 95, 95, 95, 102, 109, 116, 0,
        103, 101, 116, 95, 101, 118, 101, 110, 116, 95, 115, 101, 99, 116, 105, 111, 110, 46, 95,
        95, 95, 102, 109, 116, 0, 46, 98, 115, 115, 0, 46, 109, 97, 112, 115, 0, 46, 114, 111, 100,
        97, 116, 97, 0, 108, 105, 99, 101, 110, 115, 101, 0, 115, 107, 95, 98, 117, 102, 102, 95,
        95, 95, 50, 0, 115, 111, 99, 107, 0, 110, 102, 95, 104, 111, 111, 107, 95, 115, 116, 97,
        116, 101, 0, 115, 107, 98, 95, 101, 120, 116, 0, 110, 102, 116, 95, 98, 97, 115, 101, 95,
        99, 104, 97, 105, 110, 0, 110, 102, 116, 95, 99, 104, 97, 105, 110, 0, 110, 102, 116, 95,
        114, 117, 108, 101, 95, 100, 112, 0, 110, 102, 116, 95, 118, 101, 114, 100, 105, 99, 116,
        0, 159, 235, 1, 0, 32, 0, 0, 0, 0, 0, 0, 0, 124, 0, 0, 0, 124, 0, 0, 0, 172, 29, 0, 0, 40,
        30, 0, 0, 52, 2, 0, 0, 8, 0, 0, 0, 127, 3, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 93, 0, 0, 0, 48,
        0, 0, 0, 95, 0, 0, 0, 96, 0, 0, 0, 97, 0, 0, 0, 144, 0, 0, 0, 99, 0, 0, 0, 192, 0, 0, 0,
        101, 0, 0, 0, 240, 0, 0, 0, 103, 0, 0, 0, 32, 1, 0, 0, 105, 0, 0, 0, 80, 1, 0, 0, 107, 0,
        0, 0, 128, 1, 0, 0, 109, 0, 0, 0, 176, 1, 0, 0, 111, 0, 0, 0, 16, 5, 0, 0, 1, 0, 0, 0, 0,
        0, 0, 0, 116, 0, 0, 0, 137, 39, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 188, 0, 0, 0, 16, 0, 0, 0,
        127, 3, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 133, 3, 0, 0, 13, 4, 0, 0, 0, 32, 2, 0, 8, 0, 0, 0,
        133, 3, 0, 0, 13, 4, 0, 0, 1, 32, 2, 0, 16, 0, 0, 0, 133, 3, 0, 0, 13, 4, 0, 0, 1, 32, 2,
        0, 32, 0, 0, 0, 133, 3, 0, 0, 13, 4, 0, 0, 1, 32, 2, 0, 48, 0, 0, 0, 133, 3, 0, 0, 27, 4,
        0, 0, 0, 36, 2, 0, 56, 0, 0, 0, 133, 3, 0, 0, 27, 4, 0, 0, 1, 36, 2, 0, 64, 0, 0, 0, 133,
        3, 0, 0, 27, 4, 0, 0, 1, 36, 2, 0, 80, 0, 0, 0, 133, 3, 0, 0, 27, 4, 0, 0, 1, 36, 2, 0, 96,
        0, 0, 0, 133, 3, 0, 0, 41, 4, 0, 0, 0, 40, 2, 0, 104, 0, 0, 0, 133, 3, 0, 0, 41, 4, 0, 0,
        1, 40, 2, 0, 112, 0, 0, 0, 133, 3, 0, 0, 41, 4, 0, 0, 1, 40, 2, 0, 128, 0, 0, 0, 133, 3, 0,
        0, 41, 4, 0, 0, 1, 40, 2, 0, 144, 0, 0, 0, 133, 3, 0, 0, 55, 4, 0, 0, 0, 44, 2, 0, 152, 0,
        0, 0, 133, 3, 0, 0, 55, 4, 0, 0, 1, 44, 2, 0, 160, 0, 0, 0, 133, 3, 0, 0, 55, 4, 0, 0, 1,
        44, 2, 0, 176, 0, 0, 0, 133, 3, 0, 0, 55, 4, 0, 0, 1, 44, 2, 0, 192, 0, 0, 0, 133, 3, 0, 0,
        69, 4, 0, 0, 0, 48, 2, 0, 200, 0, 0, 0, 133, 3, 0, 0, 69, 4, 0, 0, 1, 48, 2, 0, 208, 0, 0,
        0, 133, 3, 0, 0, 69, 4, 0, 0, 1, 48, 2, 0, 224, 0, 0, 0, 133, 3, 0, 0, 69, 4, 0, 0, 1, 48,
        2, 0, 240, 0, 0, 0, 133, 3, 0, 0, 83, 4, 0, 0, 0, 52, 2, 0, 248, 0, 0, 0, 133, 3, 0, 0, 83,
        4, 0, 0, 1, 52, 2, 0, 0, 1, 0, 0, 133, 3, 0, 0, 83, 4, 0, 0, 1, 52, 2, 0, 16, 1, 0, 0, 133,
        3, 0, 0, 83, 4, 0, 0, 1, 52, 2, 0, 32, 1, 0, 0, 133, 3, 0, 0, 97, 4, 0, 0, 0, 56, 2, 0, 40,
        1, 0, 0, 133, 3, 0, 0, 97, 4, 0, 0, 1, 56, 2, 0, 48, 1, 0, 0, 133, 3, 0, 0, 97, 4, 0, 0, 1,
        56, 2, 0, 64, 1, 0, 0, 133, 3, 0, 0, 97, 4, 0, 0, 1, 56, 2, 0, 80, 1, 0, 0, 133, 3, 0, 0,
        111, 4, 0, 0, 0, 60, 2, 0, 88, 1, 0, 0, 133, 3, 0, 0, 111, 4, 0, 0, 1, 60, 2, 0, 96, 1, 0,
        0, 133, 3, 0, 0, 111, 4, 0, 0, 1, 60, 2, 0, 112, 1, 0, 0, 133, 3, 0, 0, 111, 4, 0, 0, 1,
        60, 2, 0, 128, 1, 0, 0, 133, 3, 0, 0, 125, 4, 0, 0, 0, 64, 2, 0, 136, 1, 0, 0, 133, 3, 0,
        0, 125, 4, 0, 0, 1, 64, 2, 0, 144, 1, 0, 0, 133, 3, 0, 0, 125, 4, 0, 0, 1, 64, 2, 0, 160,
        1, 0, 0, 133, 3, 0, 0, 125, 4, 0, 0, 1, 64, 2, 0, 176, 1, 0, 0, 133, 3, 0, 0, 139, 4, 0, 0,
        0, 68, 2, 0, 184, 1, 0, 0, 133, 3, 0, 0, 139, 4, 0, 0, 1, 68, 2, 0, 192, 1, 0, 0, 133, 3,
        0, 0, 139, 4, 0, 0, 1, 68, 2, 0, 208, 1, 0, 0, 133, 3, 0, 0, 139, 4, 0, 0, 1, 68, 2, 0, 16,
        5, 0, 0, 152, 1, 0, 0, 0, 0, 0, 0, 32, 5, 0, 0, 167, 5, 0, 0, 0, 168, 0, 0, 16, 0, 0, 0,
        32, 5, 0, 0, 218, 5, 0, 0, 23, 176, 0, 0, 176, 0, 0, 0, 32, 5, 0, 0, 254, 5, 0, 0, 12, 184,
        0, 0, 184, 0, 0, 0, 32, 5, 0, 0, 254, 5, 0, 0, 6, 184, 0, 0, 208, 0, 0, 0, 32, 5, 0, 0, 37,
        6, 0, 0, 15, 196, 0, 0, 240, 0, 0, 0, 32, 5, 0, 0, 98, 6, 0, 0, 6, 200, 0, 0, 8, 1, 0, 0,
        32, 5, 0, 0, 118, 6, 0, 0, 2, 212, 0, 0, 32, 1, 0, 0, 32, 5, 0, 0, 166, 6, 0, 0, 22, 220,
        0, 0, 40, 1, 0, 0, 32, 5, 0, 0, 166, 6, 0, 0, 20, 220, 0, 0, 48, 1, 0, 0, 32, 5, 0, 0, 207,
        6, 0, 0, 29, 224, 0, 0, 56, 1, 0, 0, 32, 5, 0, 0, 207, 6, 0, 0, 15, 224, 0, 0, 72, 1, 0, 0,
        32, 5, 0, 0, 241, 6, 0, 0, 21, 228, 0, 0, 80, 1, 0, 0, 32, 5, 0, 0, 31, 7, 0, 0, 19, 232,
        0, 0, 88, 1, 0, 0, 32, 5, 0, 0, 56, 7, 0, 0, 17, 80, 0, 0, 96, 1, 0, 0, 32, 5, 0, 0, 56, 7,
        0, 0, 15, 80, 0, 0, 104, 1, 0, 0, 32, 5, 0, 0, 93, 7, 0, 0, 17, 84, 0, 0, 112, 1, 0, 0, 32,
        5, 0, 0, 93, 7, 0, 0, 15, 84, 0, 0, 120, 1, 0, 0, 32, 5, 0, 0, 130, 7, 0, 0, 17, 88, 0, 0,
        128, 1, 0, 0, 32, 5, 0, 0, 130, 7, 0, 0, 15, 88, 0, 0, 136, 1, 0, 0, 32, 5, 0, 0, 167, 7,
        0, 0, 17, 92, 0, 0, 144, 1, 0, 0, 32, 5, 0, 0, 167, 7, 0, 0, 15, 92, 0, 0, 152, 1, 0, 0,
        32, 5, 0, 0, 204, 7, 0, 0, 17, 96, 0, 0, 160, 1, 0, 0, 32, 5, 0, 0, 204, 7, 0, 0, 15, 96,
        0, 0, 168, 1, 0, 0, 32, 5, 0, 0, 241, 7, 0, 0, 27, 100, 0, 0, 176, 1, 0, 0, 32, 5, 0, 0,
        241, 7, 0, 0, 12, 100, 0, 0, 184, 1, 0, 0, 32, 5, 0, 0, 21, 8, 0, 0, 14, 108, 0, 0, 192, 1,
        0, 0, 32, 5, 0, 0, 21, 8, 0, 0, 12, 108, 0, 0, 200, 1, 0, 0, 133, 3, 0, 0, 51, 8, 0, 0, 6,
        116, 3, 0, 224, 1, 0, 0, 133, 3, 0, 0, 51, 8, 0, 0, 6, 116, 3, 0, 240, 1, 0, 0, 78, 8, 0,
        0, 212, 8, 0, 0, 5, 100, 0, 0, 8, 2, 0, 0, 78, 8, 0, 0, 225, 8, 0, 0, 8, 108, 0, 0, 32, 2,
        0, 0, 78, 8, 0, 0, 23, 9, 0, 0, 13, 112, 0, 0, 40, 2, 0, 0, 133, 3, 0, 0, 54, 9, 0, 0, 11,
        120, 3, 0, 72, 2, 0, 0, 133, 3, 0, 0, 88, 9, 0, 0, 7, 124, 3, 0, 80, 2, 0, 0, 78, 8, 0, 0,
        23, 9, 0, 0, 23, 112, 0, 0, 96, 2, 0, 0, 78, 8, 0, 0, 23, 9, 0, 0, 17, 112, 0, 0, 112, 2,
        0, 0, 133, 3, 0, 0, 54, 9, 0, 0, 11, 120, 3, 0, 136, 2, 0, 0, 133, 3, 0, 0, 88, 9, 0, 0, 7,
        124, 3, 0, 160, 2, 0, 0, 133, 3, 0, 0, 104, 9, 0, 0, 8, 140, 3, 0, 184, 2, 0, 0, 133, 3, 0,
        0, 157, 9, 0, 0, 6, 144, 3, 0, 208, 2, 0, 0, 133, 3, 0, 0, 168, 9, 0, 0, 22, 156, 3, 0, 96,
        3, 0, 0, 133, 3, 0, 0, 198, 9, 0, 0, 33, 92, 2, 0, 112, 3, 0, 0, 241, 9, 0, 0, 128, 10, 0,
        0, 8, 200, 1, 0, 216, 3, 0, 0, 241, 9, 0, 0, 161, 10, 0, 0, 6, 204, 1, 0, 232, 3, 0, 0,
        241, 9, 0, 0, 117, 11, 0, 0, 51, 208, 1, 0, 248, 3, 0, 0, 241, 9, 0, 0, 117, 11, 0, 0, 7,
        208, 1, 0, 0, 4, 0, 0, 241, 9, 0, 0, 209, 11, 0, 0, 10, 228, 1, 0, 96, 4, 0, 0, 241, 9, 0,
        0, 248, 11, 0, 0, 7, 232, 1, 0, 112, 4, 0, 0, 241, 9, 0, 0, 9, 12, 0, 0, 7, 244, 1, 0, 152,
        4, 0, 0, 241, 9, 0, 0, 49, 12, 0, 0, 10, 248, 1, 0, 168, 4, 0, 0, 241, 9, 0, 0, 49, 12, 0,
        0, 10, 248, 1, 0, 176, 4, 0, 0, 241, 9, 0, 0, 84, 12, 0, 0, 7, 8, 2, 0, 192, 4, 0, 0, 241,
        9, 0, 0, 95, 12, 0, 0, 10, 0, 2, 0, 32, 5, 0, 0, 241, 9, 0, 0, 84, 12, 0, 0, 7, 8, 2, 0,
        72, 5, 0, 0, 241, 9, 0, 0, 136, 12, 0, 0, 28, 12, 2, 0, 88, 5, 0, 0, 241, 9, 0, 0, 136, 12,
        0, 0, 28, 12, 2, 0, 96, 5, 0, 0, 133, 3, 0, 0, 188, 12, 0, 0, 6, 112, 2, 0, 152, 5, 0, 0,
        179, 17, 0, 0, 61, 18, 0, 0, 14, 8, 1, 0, 168, 5, 0, 0, 179, 17, 0, 0, 61, 18, 0, 0, 14, 8,
        1, 0, 176, 5, 0, 0, 179, 17, 0, 0, 61, 18, 0, 0, 7, 8, 1, 0, 184, 5, 0, 0, 179, 17, 0, 0,
        100, 18, 0, 0, 6, 12, 1, 0, 240, 5, 0, 0, 133, 3, 0, 0, 112, 18, 0, 0, 17, 164, 2, 0, 24,
        6, 0, 0, 133, 3, 0, 0, 112, 18, 0, 0, 17, 164, 2, 0, 48, 6, 0, 0, 133, 3, 0, 0, 158, 18, 0,
        0, 13, 168, 2, 0, 64, 6, 0, 0, 133, 3, 0, 0, 158, 18, 0, 0, 13, 168, 2, 0, 72, 6, 0, 0,
        133, 3, 0, 0, 158, 18, 0, 0, 11, 168, 2, 0, 120, 6, 0, 0, 205, 18, 0, 0, 86, 19, 0, 0, 8,
        28, 1, 0, 168, 6, 0, 0, 205, 18, 0, 0, 86, 19, 0, 0, 8, 28, 1, 0, 192, 6, 0, 0, 205, 18, 0,
        0, 135, 19, 0, 0, 12, 32, 1, 0, 216, 6, 0, 0, 205, 18, 0, 0, 182, 19, 0, 0, 27, 40, 1, 0,
        232, 6, 0, 0, 205, 18, 0, 0, 211, 19, 0, 0, 17, 252, 0, 0, 0, 7, 0, 0, 205, 18, 0, 0, 250,
        19, 0, 0, 37, 44, 1, 0, 56, 7, 0, 0, 205, 18, 0, 0, 55, 20, 0, 0, 4, 48, 1, 0, 72, 7, 0, 0,
        205, 18, 0, 0, 55, 20, 0, 0, 4, 48, 1, 0, 80, 7, 0, 0, 133, 3, 0, 0, 93, 20, 0, 0, 6, 200,
        2, 0, 128, 7, 0, 0, 133, 3, 0, 0, 124, 20, 0, 0, 22, 204, 2, 0, 144, 7, 0, 0, 133, 3, 0, 0,
        124, 20, 0, 0, 22, 204, 2, 0, 152, 7, 0, 0, 133, 3, 0, 0, 124, 20, 0, 0, 20, 204, 2, 0,
        160, 7, 0, 0, 133, 3, 0, 0, 124, 20, 0, 0, 13, 204, 2, 0, 184, 7, 0, 0, 177, 20, 0, 0, 67,
        21, 0, 0, 29, 16, 1, 0, 200, 7, 0, 0, 177, 20, 0, 0, 113, 21, 0, 0, 2, 24, 1, 0, 208, 135,
        0, 0, 133, 3, 0, 0, 129, 21, 0, 0, 3, 212, 2, 0, 232, 135, 0, 0, 205, 18, 0, 0, 86, 19, 0,
        0, 8, 76, 1, 0, 0, 136, 0, 0, 205, 18, 0, 0, 86, 19, 0, 0, 8, 76, 1, 0, 24, 136, 0, 0, 205,
        18, 0, 0, 135, 19, 0, 0, 12, 80, 1, 0, 48, 136, 0, 0, 205, 18, 0, 0, 135, 19, 0, 0, 12, 80,
        1, 0, 56, 136, 0, 0, 205, 18, 0, 0, 211, 19, 0, 0, 17, 252, 0, 0, 96, 136, 0, 0, 205, 18,
        0, 0, 152, 21, 0, 0, 35, 88, 1, 0, 104, 136, 0, 0, 205, 18, 0, 0, 189, 21, 0, 0, 29, 92, 1,
        0, 160, 136, 0, 0, 205, 18, 0, 0, 238, 21, 0, 0, 4, 96, 1, 0, 176, 136, 0, 0, 205, 18, 0,
        0, 238, 21, 0, 0, 4, 96, 1, 0, 184, 136, 0, 0, 133, 3, 0, 0, 20, 22, 0, 0, 6, 224, 2, 0,
        232, 136, 0, 0, 133, 3, 0, 0, 54, 22, 0, 0, 21, 236, 2, 0, 248, 136, 0, 0, 133, 3, 0, 0,
        54, 22, 0, 0, 21, 236, 2, 0, 0, 137, 0, 0, 133, 3, 0, 0, 54, 22, 0, 0, 19, 236, 2, 0, 8,
        137, 0, 0, 133, 3, 0, 0, 54, 22, 0, 0, 12, 236, 2, 0, 32, 137, 0, 0, 177, 20, 0, 0, 67, 21,
        0, 0, 29, 16, 1, 0, 48, 137, 0, 0, 177, 20, 0, 0, 113, 21, 0, 0, 2, 24, 1, 0, 64, 9, 1, 0,
        133, 3, 0, 0, 110, 22, 0, 0, 30, 20, 3, 0, 80, 9, 1, 0, 133, 3, 0, 0, 110, 22, 0, 0, 24,
        20, 3, 0, 96, 9, 1, 0, 133, 3, 0, 0, 110, 22, 0, 0, 19, 20, 3, 0, 120, 9, 1, 0, 171, 22, 0,
        0, 56, 23, 0, 0, 7, 144, 4, 0, 152, 9, 1, 0, 171, 22, 0, 0, 56, 23, 0, 0, 13, 144, 4, 0,
        160, 9, 1, 0, 171, 22, 0, 0, 56, 23, 0, 0, 16, 144, 4, 0, 168, 9, 1, 0, 171, 22, 0, 0, 56,
        23, 0, 0, 6, 144, 4, 0, 184, 9, 1, 0, 171, 22, 0, 0, 93, 23, 0, 0, 6, 60, 1, 0, 208, 9, 1,
        0, 171, 22, 0, 0, 105, 23, 0, 0, 8, 76, 1, 0, 240, 9, 1, 0, 171, 22, 0, 0, 155, 23, 0, 0,
        6, 80, 1, 0, 248, 9, 1, 0, 171, 22, 0, 0, 168, 23, 0, 0, 3, 84, 1, 0, 16, 10, 1, 0, 171,
        22, 0, 0, 168, 23, 0, 0, 3, 84, 1, 0, 24, 10, 1, 0, 171, 22, 0, 0, 168, 23, 0, 0, 3, 84, 1,
        0, 88, 10, 1, 0, 171, 22, 0, 0, 168, 23, 0, 0, 3, 84, 1, 0, 96, 10, 1, 0, 171, 22, 0, 0,
        168, 23, 0, 0, 3, 84, 1, 0, 168, 10, 1, 0, 171, 22, 0, 0, 220, 23, 0, 0, 19, 112, 1, 0,
        176, 10, 1, 0, 171, 22, 0, 0, 242, 23, 0, 0, 20, 108, 1, 0, 208, 10, 1, 0, 171, 22, 0, 0,
        10, 24, 0, 0, 16, 120, 1, 0, 216, 10, 1, 0, 171, 22, 0, 0, 10, 24, 0, 0, 25, 120, 1, 0, 16,
        11, 1, 0, 171, 22, 0, 0, 10, 24, 0, 0, 2, 120, 1, 0, 64, 11, 1, 0, 171, 22, 0, 0, 53, 24,
        0, 0, 21, 204, 1, 0, 72, 11, 1, 0, 171, 22, 0, 0, 82, 24, 0, 0, 23, 200, 1, 0, 104, 11, 1,
        0, 171, 22, 0, 0, 10, 24, 0, 0, 33, 120, 1, 0, 128, 11, 1, 0, 171, 22, 0, 0, 10, 24, 0, 0,
        25, 120, 1, 0, 152, 11, 1, 0, 171, 22, 0, 0, 10, 24, 0, 0, 23, 120, 1, 0, 184, 11, 1, 0,
        171, 22, 0, 0, 10, 24, 0, 0, 2, 120, 1, 0, 192, 11, 1, 0, 171, 22, 0, 0, 111, 24, 0, 0, 15,
        176, 4, 0, 224, 11, 1, 0, 171, 22, 0, 0, 111, 24, 0, 0, 25, 176, 4, 0, 232, 11, 1, 0, 171,
        22, 0, 0, 153, 24, 0, 0, 7, 148, 2, 0, 48, 12, 1, 0, 171, 22, 0, 0, 183, 24, 0, 0, 9, 124,
        1, 0, 72, 12, 1, 0, 171, 22, 0, 0, 234, 24, 0, 0, 7, 128, 1, 0, 96, 12, 1, 0, 171, 22, 0,
        0, 248, 24, 0, 0, 14, 152, 1, 0, 104, 12, 1, 0, 171, 22, 0, 0, 248, 24, 0, 0, 7, 152, 1, 0,
        120, 12, 1, 0, 171, 22, 0, 0, 24, 25, 0, 0, 27, 160, 1, 0, 144, 12, 1, 0, 171, 22, 0, 0,
        68, 25, 0, 0, 8, 156, 1, 0, 160, 12, 1, 0, 171, 22, 0, 0, 68, 25, 0, 0, 8, 156, 1, 0, 168,
        12, 1, 0, 171, 22, 0, 0, 119, 25, 0, 0, 24, 172, 1, 0, 176, 12, 1, 0, 171, 22, 0, 0, 147,
        25, 0, 0, 4, 176, 1, 0, 200, 12, 1, 0, 171, 22, 0, 0, 160, 25, 0, 0, 12, 196, 3, 0, 208,
        12, 1, 0, 171, 22, 0, 0, 181, 25, 0, 0, 6, 212, 3, 0, 224, 12, 1, 0, 171, 22, 0, 0, 181,
        25, 0, 0, 6, 212, 3, 0, 232, 12, 1, 0, 171, 22, 0, 0, 198, 25, 0, 0, 12, 216, 3, 0, 8, 13,
        1, 0, 171, 22, 0, 0, 226, 25, 0, 0, 8, 240, 3, 0, 16, 13, 1, 0, 171, 22, 0, 0, 198, 25, 0,
        0, 12, 216, 3, 0, 32, 13, 1, 0, 171, 22, 0, 0, 226, 25, 0, 0, 8, 240, 3, 0, 88, 13, 1, 0,
        171, 22, 0, 0, 30, 26, 0, 0, 7, 16, 4, 0, 104, 13, 1, 0, 171, 22, 0, 0, 198, 25, 0, 0, 24,
        216, 3, 0, 112, 13, 1, 0, 171, 22, 0, 0, 30, 26, 0, 0, 7, 16, 4, 0, 120, 13, 1, 0, 171, 22,
        0, 0, 59, 26, 0, 0, 57, 40, 4, 0, 160, 13, 1, 0, 171, 22, 0, 0, 59, 26, 0, 0, 6, 40, 4, 0,
        184, 13, 1, 0, 171, 22, 0, 0, 59, 26, 0, 0, 6, 40, 4, 0, 208, 13, 1, 0, 171, 22, 0, 0, 181,
        25, 0, 0, 6, 212, 3, 0, 216, 13, 1, 0, 171, 22, 0, 0, 126, 26, 0, 0, 6, 72, 4, 0, 232, 13,
        1, 0, 171, 22, 0, 0, 141, 26, 0, 0, 14, 68, 3, 0, 240, 13, 1, 0, 171, 22, 0, 0, 141, 26, 0,
        0, 36, 68, 3, 0, 248, 13, 1, 0, 171, 22, 0, 0, 141, 26, 0, 0, 24, 68, 3, 0, 8, 14, 1, 0,
        171, 22, 0, 0, 141, 26, 0, 0, 6, 68, 3, 0, 32, 14, 1, 0, 171, 22, 0, 0, 182, 26, 0, 0, 0,
        76, 3, 0, 48, 14, 1, 0, 171, 22, 0, 0, 182, 26, 0, 0, 9, 76, 3, 0, 64, 14, 1, 0, 171, 22,
        0, 0, 251, 26, 0, 0, 18, 192, 3, 0, 96, 14, 1, 0, 171, 22, 0, 0, 182, 26, 0, 0, 9, 76, 3,
        0, 128, 14, 1, 0, 171, 22, 0, 0, 34, 27, 0, 0, 9, 92, 4, 0, 144, 14, 1, 0, 171, 22, 0, 0,
        63, 27, 0, 0, 2, 240, 1, 0, 208, 14, 1, 0, 171, 22, 0, 0, 84, 27, 0, 0, 10, 24, 2, 0, 248,
        14, 1, 0, 171, 22, 0, 0, 251, 26, 0, 0, 18, 192, 3, 0, 8, 15, 1, 0, 171, 22, 0, 0, 84, 27,
        0, 0, 10, 24, 2, 0, 24, 15, 1, 0, 171, 22, 0, 0, 102, 27, 0, 0, 59, 160, 2, 0, 40, 15, 1,
        0, 171, 22, 0, 0, 153, 24, 0, 0, 7, 148, 2, 0, 72, 15, 1, 0, 171, 22, 0, 0, 180, 27, 0, 0,
        7, 152, 2, 0, 104, 15, 1, 0, 171, 22, 0, 0, 102, 27, 0, 0, 6, 160, 2, 0, 136, 15, 1, 0,
        171, 22, 0, 0, 102, 27, 0, 0, 6, 160, 2, 0, 184, 15, 1, 0, 171, 22, 0, 0, 180, 27, 0, 0, 7,
        152, 2, 0, 192, 15, 1, 0, 171, 22, 0, 0, 208, 27, 0, 0, 2, 188, 2, 0, 200, 15, 1, 0, 171,
        22, 0, 0, 208, 27, 0, 0, 21, 188, 2, 0, 208, 15, 1, 0, 171, 22, 0, 0, 208, 27, 0, 0, 26,
        188, 2, 0, 216, 15, 1, 0, 171, 22, 0, 0, 208, 27, 0, 0, 29, 188, 2, 0, 224, 15, 1, 0, 171,
        22, 0, 0, 208, 27, 0, 0, 34, 188, 2, 0, 232, 15, 1, 0, 171, 22, 0, 0, 4, 28, 0, 0, 13, 192,
        2, 0, 240, 15, 1, 0, 171, 22, 0, 0, 4, 28, 0, 0, 6, 192, 2, 0, 248, 15, 1, 0, 171, 22, 0,
        0, 208, 27, 0, 0, 14, 188, 2, 0, 0, 16, 1, 0, 171, 22, 0, 0, 208, 27, 0, 0, 18, 188, 2, 0,
        8, 16, 1, 0, 171, 22, 0, 0, 20, 28, 0, 0, 18, 200, 2, 0, 16, 16, 1, 0, 171, 22, 0, 0, 20,
        28, 0, 0, 11, 200, 2, 0, 32, 16, 1, 0, 171, 22, 0, 0, 20, 28, 0, 0, 9, 200, 2, 0, 56, 16,
        1, 0, 171, 22, 0, 0, 44, 28, 0, 0, 2, 232, 2, 0, 72, 16, 1, 0, 171, 22, 0, 0, 65, 28, 0, 0,
        10, 248, 2, 0, 80, 16, 1, 0, 171, 22, 0, 0, 80, 28, 0, 0, 10, 180, 4, 0, 88, 16, 1, 0, 171,
        22, 0, 0, 80, 28, 0, 0, 3, 180, 4, 0, 96, 16, 1, 0, 171, 22, 0, 0, 109, 28, 0, 0, 4, 132,
        1, 0, 120, 16, 1, 0, 171, 22, 0, 0, 109, 28, 0, 0, 4, 132, 1, 0, 128, 16, 1, 0, 171, 22, 0,
        0, 109, 28, 0, 0, 4, 132, 1, 0, 192, 16, 1, 0, 171, 22, 0, 0, 109, 28, 0, 0, 4, 132, 1, 0,
        200, 16, 1, 0, 171, 22, 0, 0, 109, 28, 0, 0, 4, 132, 1, 0, 64, 17, 1, 0, 133, 3, 0, 0, 177,
        28, 0, 0, 43, 24, 3, 0, 104, 17, 1, 0, 171, 22, 0, 0, 30, 26, 0, 0, 7, 16, 4, 0, 128, 17,
        1, 0, 171, 22, 0, 0, 244, 28, 0, 0, 6, 20, 4, 0, 144, 17, 1, 0, 171, 22, 0, 0, 0, 29, 0, 0,
        3, 24, 4, 0, 168, 17, 1, 0, 171, 22, 0, 0, 0, 29, 0, 0, 3, 24, 4, 0, 176, 17, 1, 0, 171,
        22, 0, 0, 0, 29, 0, 0, 3, 24, 4, 0, 232, 17, 1, 0, 171, 22, 0, 0, 0, 29, 0, 0, 3, 24, 4, 0,
        240, 17, 1, 0, 171, 22, 0, 0, 0, 29, 0, 0, 3, 24, 4, 0, 64, 18, 1, 0, 171, 22, 0, 0, 0, 29,
        0, 0, 3, 24, 4, 0, 104, 18, 1, 0, 171, 22, 0, 0, 73, 29, 0, 0, 3, 0, 3, 0, 128, 18, 1, 0,
        171, 22, 0, 0, 73, 29, 0, 0, 3, 0, 3, 0, 136, 18, 1, 0, 171, 22, 0, 0, 73, 29, 0, 0, 3, 0,
        3, 0, 192, 18, 1, 0, 171, 22, 0, 0, 73, 29, 0, 0, 3, 0, 3, 0, 200, 18, 1, 0, 171, 22, 0, 0,
        73, 29, 0, 0, 3, 0, 3, 0, 32, 19, 1, 0, 171, 22, 0, 0, 73, 29, 0, 0, 3, 0, 3, 0, 56, 19, 1,
        0, 171, 22, 0, 0, 80, 28, 0, 0, 10, 180, 4, 0, 64, 19, 1, 0, 171, 22, 0, 0, 80, 28, 0, 0,
        3, 180, 4, 0, 72, 19, 1, 0, 171, 22, 0, 0, 63, 27, 0, 0, 2, 240, 1, 0, 112, 19, 1, 0, 171,
        22, 0, 0, 128, 29, 0, 0, 20, 0, 2, 0, 128, 19, 1, 0, 171, 22, 0, 0, 251, 26, 0, 0, 18, 192,
        3, 0, 160, 19, 1, 0, 171, 22, 0, 0, 161, 29, 0, 0, 11, 80, 4, 0, 168, 19, 1, 0, 171, 22, 0,
        0, 181, 29, 0, 0, 2, 108, 3, 0, 216, 19, 1, 0, 171, 22, 0, 0, 196, 29, 0, 0, 9, 116, 3, 0,
        8, 20, 1, 0, 171, 22, 0, 0, 84, 27, 0, 0, 10, 40, 2, 0, 48, 20, 1, 0, 171, 22, 0, 0, 251,
        26, 0, 0, 18, 192, 3, 0, 64, 20, 1, 0, 171, 22, 0, 0, 84, 27, 0, 0, 10, 40, 2, 0, 88, 20,
        1, 0, 171, 22, 0, 0, 219, 29, 0, 0, 20, 248, 1, 0, 112, 20, 1, 0, 171, 22, 0, 0, 252, 29,
        0, 0, 3, 72, 2, 0, 136, 20, 1, 0, 171, 22, 0, 0, 252, 29, 0, 0, 3, 72, 2, 0, 144, 20, 1, 0,
        171, 22, 0, 0, 252, 29, 0, 0, 3, 72, 2, 0, 200, 20, 1, 0, 171, 22, 0, 0, 252, 29, 0, 0, 3,
        72, 2, 0, 208, 20, 1, 0, 171, 22, 0, 0, 252, 29, 0, 0, 3, 72, 2, 0, 40, 21, 1, 0, 171, 22,
        0, 0, 252, 29, 0, 0, 3, 72, 2, 0, 96, 21, 1, 0, 171, 22, 0, 0, 84, 27, 0, 0, 10, 8, 2, 0,
        136, 21, 1, 0, 171, 22, 0, 0, 251, 26, 0, 0, 18, 192, 3, 0, 152, 21, 1, 0, 171, 22, 0, 0,
        84, 27, 0, 0, 10, 8, 2, 0, 192, 21, 1, 0, 171, 22, 0, 0, 84, 27, 0, 0, 10, 56, 2, 0, 232,
        21, 1, 0, 171, 22, 0, 0, 251, 26, 0, 0, 18, 192, 3, 0, 248, 21, 1, 0, 171, 22, 0, 0, 84,
        27, 0, 0, 10, 56, 2, 0, 8, 22, 1, 0, 171, 22, 0, 0, 51, 30, 0, 0, 9, 100, 4, 0, 24, 22, 1,
        0, 171, 22, 0, 0, 100, 30, 0, 0, 9, 128, 3, 0, 48, 22, 1, 0, 171, 22, 0, 0, 123, 30, 0, 0,
        9, 140, 3, 0, 88, 22, 1, 0, 179, 17, 0, 0, 145, 30, 0, 0, 7, 24, 1, 0, 112, 22, 1, 0, 179,
        17, 0, 0, 194, 30, 0, 0, 6, 28, 1, 0, 152, 22, 1, 0, 133, 3, 0, 0, 204, 30, 0, 0, 6, 200,
        3, 0, 160, 22, 1, 0, 133, 3, 0, 0, 204, 30, 0, 0, 6, 200, 3, 0, 168, 22, 1, 0, 179, 17, 0,
        0, 244, 30, 0, 0, 24, 76, 1, 0, 176, 22, 1, 0, 179, 17, 0, 0, 244, 30, 0, 0, 12, 76, 1, 0,
        184, 22, 1, 0, 241, 9, 0, 0, 128, 10, 0, 0, 8, 200, 1, 0, 32, 23, 1, 0, 241, 9, 0, 0, 161,
        10, 0, 0, 6, 204, 1, 0, 40, 23, 1, 0, 179, 17, 0, 0, 17, 31, 0, 0, 6, 88, 1, 0, 48, 23, 1,
        0, 179, 17, 0, 0, 188, 12, 0, 0, 6, 92, 1, 0, 64, 23, 1, 0, 241, 9, 0, 0, 117, 11, 0, 0,
        51, 208, 1, 0, 80, 23, 1, 0, 241, 9, 0, 0, 117, 11, 0, 0, 7, 208, 1, 0, 88, 23, 1, 0, 241,
        9, 0, 0, 209, 11, 0, 0, 10, 228, 1, 0, 184, 23, 1, 0, 241, 9, 0, 0, 248, 11, 0, 0, 7, 232,
        1, 0, 200, 23, 1, 0, 241, 9, 0, 0, 9, 12, 0, 0, 7, 244, 1, 0, 240, 23, 1, 0, 241, 9, 0, 0,
        49, 12, 0, 0, 10, 248, 1, 0, 0, 24, 1, 0, 241, 9, 0, 0, 49, 12, 0, 0, 10, 248, 1, 0, 8, 24,
        1, 0, 241, 9, 0, 0, 84, 12, 0, 0, 7, 8, 2, 0, 40, 24, 1, 0, 179, 17, 0, 0, 48, 31, 0, 0, 8,
        36, 1, 0, 64, 24, 1, 0, 133, 3, 0, 0, 104, 31, 0, 0, 6, 144, 2, 0, 80, 24, 1, 0, 241, 9, 0,
        0, 95, 12, 0, 0, 10, 0, 2, 0, 176, 24, 1, 0, 241, 9, 0, 0, 84, 12, 0, 0, 7, 8, 2, 0, 216,
        24, 1, 0, 241, 9, 0, 0, 136, 12, 0, 0, 28, 12, 2, 0, 232, 24, 1, 0, 241, 9, 0, 0, 136, 12,
        0, 0, 28, 12, 2, 0, 240, 24, 1, 0, 179, 17, 0, 0, 17, 31, 0, 0, 6, 88, 1, 0, 248, 24, 1, 0,
        179, 17, 0, 0, 188, 12, 0, 0, 6, 92, 1, 0, 16, 25, 1, 0, 179, 17, 0, 0, 132, 31, 0, 0, 8,
        128, 1, 0, 56, 25, 1, 0, 179, 17, 0, 0, 189, 31, 0, 0, 6, 132, 1, 0, 64, 25, 1, 0, 179, 17,
        0, 0, 201, 31, 0, 0, 22, 140, 1, 0, 88, 25, 1, 0, 179, 17, 0, 0, 201, 31, 0, 0, 17, 140, 1,
        0, 104, 25, 1, 0, 179, 17, 0, 0, 235, 31, 0, 0, 19, 136, 1, 0, 112, 25, 1, 0, 179, 17, 0,
        0, 235, 31, 0, 0, 14, 136, 1, 0, 136, 25, 1, 0, 179, 17, 0, 0, 61, 18, 0, 0, 14, 152, 1, 0,
        184, 25, 1, 0, 179, 17, 0, 0, 61, 18, 0, 0, 14, 152, 1, 0, 192, 25, 1, 0, 179, 17, 0, 0,
        61, 18, 0, 0, 7, 152, 1, 0, 200, 25, 1, 0, 179, 17, 0, 0, 100, 18, 0, 0, 6, 156, 1, 0, 224,
        25, 1, 0, 179, 17, 0, 0, 145, 30, 0, 0, 7, 168, 1, 0, 0, 26, 1, 0, 179, 17, 0, 0, 7, 32, 0,
        0, 6, 180, 1, 0, 24, 26, 1, 0, 179, 17, 0, 0, 48, 31, 0, 0, 8, 188, 1, 0, 56, 26, 1, 0,
        179, 17, 0, 0, 19, 32, 0, 0, 7, 192, 1, 0, 80, 26, 1, 0, 179, 17, 0, 0, 31, 32, 0, 0, 4,
        208, 1, 0, 104, 26, 1, 0, 179, 17, 0, 0, 83, 32, 0, 0, 3, 220, 1, 0, 112, 26, 1, 0, 179,
        17, 0, 0, 87, 32, 0, 0, 7, 4, 2, 0, 128, 26, 1, 0, 179, 17, 0, 0, 106, 32, 0, 0, 24, 20, 2,
        0, 136, 26, 1, 0, 179, 17, 0, 0, 140, 32, 0, 0, 17, 24, 2, 0, 144, 26, 1, 0, 179, 17, 0, 0,
        106, 32, 0, 0, 17, 20, 2, 0, 152, 26, 1, 0, 179, 17, 0, 0, 174, 32, 0, 0, 19, 28, 2, 0,
        160, 26, 1, 0, 179, 17, 0, 0, 174, 32, 0, 0, 17, 28, 2, 0, 240, 26, 1, 0, 179, 17, 0, 0,
        198, 32, 0, 0, 23, 72, 2, 0, 248, 26, 1, 0, 179, 17, 0, 0, 198, 32, 0, 0, 16, 72, 2, 0, 0,
        27, 1, 0, 179, 17, 0, 0, 231, 32, 0, 0, 6, 92, 2, 0, 32, 27, 1, 0, 179, 17, 0, 0, 246, 32,
        0, 0, 3, 96, 2, 0, 72, 27, 1, 0, 133, 3, 0, 0, 58, 33, 0, 0, 6, 224, 3, 0, 96, 27, 1, 0,
        133, 3, 0, 0, 58, 33, 0, 0, 6, 224, 3, 0, 112, 27, 1, 0, 76, 33, 0, 0, 206, 33, 0, 0, 10,
        4, 1, 0, 160, 27, 1, 0, 76, 33, 0, 0, 12, 34, 0, 0, 6, 8, 1, 0, 168, 27, 1, 0, 133, 3, 0,
        0, 25, 34, 0, 0, 19, 244, 3, 0, 176, 27, 1, 0, 78, 8, 0, 0, 53, 34, 0, 0, 15, 132, 1, 0,
        184, 27, 1, 0, 78, 8, 0, 0, 79, 34, 0, 0, 10, 128, 1, 0, 208, 27, 1, 0, 78, 8, 0, 0, 95,
        34, 0, 0, 17, 136, 1, 0, 232, 27, 1, 0, 78, 8, 0, 0, 153, 34, 0, 0, 6, 148, 1, 0, 248, 27,
        1, 0, 78, 8, 0, 0, 172, 34, 0, 0, 3, 152, 1, 0, 24, 28, 1, 0, 76, 33, 0, 0, 230, 34, 0, 0,
        15, 140, 1, 0, 40, 28, 1, 0, 76, 33, 0, 0, 252, 34, 0, 0, 16, 132, 1, 0, 48, 28, 1, 0, 76,
        33, 0, 0, 230, 34, 0, 0, 15, 140, 1, 0, 56, 28, 1, 0, 76, 33, 0, 0, 20, 35, 0, 0, 20, 136,
        1, 0, 64, 28, 1, 0, 76, 33, 0, 0, 52, 35, 0, 0, 14, 152, 1, 0, 88, 28, 1, 0, 133, 3, 0, 0,
        92, 35, 0, 0, 22, 20, 4, 0, 96, 28, 1, 0, 133, 3, 0, 0, 92, 35, 0, 0, 15, 20, 4, 0, 8, 29,
        1, 0, 133, 3, 0, 0, 124, 35, 0, 0, 14, 24, 4, 0, 16, 29, 1, 0, 133, 3, 0, 0, 124, 35, 0, 0,
        12, 24, 4, 0, 88, 29, 1, 0, 76, 33, 0, 0, 165, 35, 0, 0, 42, 92, 1, 0, 128, 29, 1, 0, 76,
        33, 0, 0, 212, 35, 0, 0, 36, 104, 1, 0, 136, 29, 1, 0, 76, 33, 0, 0, 31, 36, 0, 0, 3, 108,
        1, 0, 168, 29, 1, 0, 76, 33, 0, 0, 31, 36, 0, 0, 3, 108, 1, 0, 176, 29, 1, 0, 76, 33, 0, 0,
        31, 36, 0, 0, 3, 108, 1, 0, 88, 30, 1, 0, 76, 33, 0, 0, 90, 36, 0, 0, 2, 44, 1, 0, 112, 30,
        1, 0, 133, 3, 0, 0, 204, 30, 0, 0, 6, 4, 5, 0, 120, 30, 1, 0, 133, 3, 0, 0, 204, 30, 0, 0,
        6, 4, 5, 0, 128, 30, 1, 0, 179, 17, 0, 0, 244, 30, 0, 0, 24, 128, 2, 0, 136, 30, 1, 0, 179,
        17, 0, 0, 244, 30, 0, 0, 12, 128, 2, 0, 160, 30, 1, 0, 179, 17, 0, 0, 132, 31, 0, 0, 8,
        140, 2, 0, 184, 30, 1, 0, 179, 17, 0, 0, 157, 9, 0, 0, 6, 144, 2, 0, 192, 30, 1, 0, 179,
        17, 0, 0, 122, 36, 0, 0, 12, 160, 2, 0, 200, 30, 1, 0, 179, 17, 0, 0, 122, 36, 0, 0, 6,
        160, 2, 0, 208, 30, 1, 0, 241, 9, 0, 0, 128, 10, 0, 0, 8, 200, 1, 0, 56, 31, 1, 0, 241, 9,
        0, 0, 161, 10, 0, 0, 6, 204, 1, 0, 72, 31, 1, 0, 241, 9, 0, 0, 117, 11, 0, 0, 51, 208, 1,
        0, 88, 31, 1, 0, 241, 9, 0, 0, 117, 11, 0, 0, 7, 208, 1, 0, 96, 31, 1, 0, 241, 9, 0, 0,
        209, 11, 0, 0, 10, 228, 1, 0, 192, 31, 1, 0, 241, 9, 0, 0, 248, 11, 0, 0, 7, 232, 1, 0,
        208, 31, 1, 0, 241, 9, 0, 0, 9, 12, 0, 0, 7, 244, 1, 0, 248, 31, 1, 0, 241, 9, 0, 0, 49,
        12, 0, 0, 10, 248, 1, 0, 24, 32, 1, 0, 241, 9, 0, 0, 49, 12, 0, 0, 10, 248, 1, 0, 32, 32,
        1, 0, 241, 9, 0, 0, 84, 12, 0, 0, 7, 8, 2, 0, 64, 32, 1, 0, 76, 33, 0, 0, 139, 36, 0, 0,
        17, 128, 1, 0, 88, 32, 1, 0, 76, 33, 0, 0, 230, 34, 0, 0, 15, 140, 1, 0, 96, 32, 1, 0, 76,
        33, 0, 0, 20, 35, 0, 0, 20, 136, 1, 0, 104, 32, 1, 0, 76, 33, 0, 0, 252, 34, 0, 0, 16, 132,
        1, 0, 120, 32, 1, 0, 76, 33, 0, 0, 230, 34, 0, 0, 15, 140, 1, 0, 128, 32, 1, 0, 76, 33, 0,
        0, 52, 35, 0, 0, 14, 152, 1, 0, 168, 32, 1, 0, 76, 33, 0, 0, 171, 36, 0, 0, 2, 208, 1, 0,
        232, 34, 1, 0, 133, 3, 0, 0, 208, 36, 0, 0, 12, 48, 4, 0, 240, 34, 1, 0, 133, 3, 0, 0, 208,
        36, 0, 0, 10, 48, 4, 0, 248, 34, 1, 0, 76, 33, 0, 0, 171, 36, 0, 0, 2, 208, 1, 0, 0, 35, 1,
        0, 133, 3, 0, 0, 247, 36, 0, 0, 2, 52, 4, 0, 24, 35, 1, 0, 76, 33, 0, 0, 165, 35, 0, 0, 42,
        92, 1, 0, 64, 35, 1, 0, 76, 33, 0, 0, 212, 35, 0, 0, 36, 104, 1, 0, 72, 35, 1, 0, 76, 33,
        0, 0, 31, 36, 0, 0, 3, 108, 1, 0, 104, 35, 1, 0, 76, 33, 0, 0, 31, 36, 0, 0, 3, 108, 1, 0,
        112, 35, 1, 0, 76, 33, 0, 0, 31, 36, 0, 0, 3, 108, 1, 0, 176, 35, 1, 0, 76, 33, 0, 0, 139,
        36, 0, 0, 17, 128, 1, 0, 184, 35, 1, 0, 76, 33, 0, 0, 230, 34, 0, 0, 15, 140, 1, 0, 216,
        35, 1, 0, 76, 33, 0, 0, 20, 35, 0, 0, 20, 136, 1, 0, 232, 35, 1, 0, 76, 33, 0, 0, 252, 34,
        0, 0, 16, 132, 1, 0, 240, 35, 1, 0, 76, 33, 0, 0, 52, 35, 0, 0, 14, 152, 1, 0, 24, 36, 1,
        0, 133, 3, 0, 0, 42, 37, 0, 0, 19, 76, 4, 0, 32, 36, 1, 0, 133, 3, 0, 0, 42, 37, 0, 0, 12,
        76, 4, 0, 200, 36, 1, 0, 133, 3, 0, 0, 66, 37, 0, 0, 17, 80, 4, 0, 208, 36, 1, 0, 133, 3,
        0, 0, 66, 37, 0, 0, 10, 80, 4, 0, 224, 36, 1, 0, 133, 3, 0, 0, 94, 37, 0, 0, 11, 84, 4, 0,
        240, 36, 1, 0, 133, 3, 0, 0, 94, 37, 0, 0, 6, 84, 4, 0, 248, 36, 1, 0, 133, 3, 0, 0, 117,
        37, 0, 0, 38, 88, 4, 0, 0, 37, 1, 0, 133, 3, 0, 0, 117, 37, 0, 0, 17, 88, 4, 0, 32, 37, 1,
        0, 76, 33, 0, 0, 199, 37, 0, 0, 16, 232, 1, 0, 232, 37, 1, 0, 133, 3, 0, 0, 220, 37, 0, 0,
        17, 104, 4, 0, 240, 37, 1, 0, 133, 3, 0, 0, 5, 38, 0, 0, 2, 108, 4, 0, 0, 38, 1, 0, 133, 3,
        0, 0, 35, 38, 0, 0, 2, 176, 4, 0, 32, 38, 1, 0, 133, 3, 0, 0, 35, 38, 0, 0, 2, 176, 4, 0,
        56, 38, 1, 0, 133, 3, 0, 0, 35, 38, 0, 0, 2, 176, 4, 0, 112, 38, 1, 0, 133, 3, 0, 0, 49,
        38, 0, 0, 2, 180, 4, 0, 128, 38, 1, 0, 133, 3, 0, 0, 49, 38, 0, 0, 2, 180, 4, 0, 152, 38,
        1, 0, 133, 3, 0, 0, 49, 38, 0, 0, 2, 180, 4, 0, 208, 38, 1, 0, 133, 3, 0, 0, 63, 38, 0, 0,
        2, 184, 4, 0, 224, 38, 1, 0, 133, 3, 0, 0, 63, 38, 0, 0, 2, 184, 4, 0, 248, 38, 1, 0, 133,
        3, 0, 0, 63, 38, 0, 0, 2, 184, 4, 0, 48, 39, 1, 0, 133, 3, 0, 0, 77, 38, 0, 0, 2, 188, 4,
        0, 64, 39, 1, 0, 133, 3, 0, 0, 77, 38, 0, 0, 2, 188, 4, 0, 88, 39, 1, 0, 133, 3, 0, 0, 77,
        38, 0, 0, 2, 188, 4, 0, 144, 39, 1, 0, 133, 3, 0, 0, 91, 38, 0, 0, 2, 192, 4, 0, 160, 39,
        1, 0, 133, 3, 0, 0, 91, 38, 0, 0, 2, 192, 4, 0, 184, 39, 1, 0, 133, 3, 0, 0, 91, 38, 0, 0,
        2, 192, 4, 0, 240, 39, 1, 0, 133, 3, 0, 0, 105, 38, 0, 0, 2, 196, 4, 0, 0, 40, 1, 0, 133,
        3, 0, 0, 105, 38, 0, 0, 2, 196, 4, 0, 24, 40, 1, 0, 133, 3, 0, 0, 105, 38, 0, 0, 2, 196, 4,
        0, 80, 40, 1, 0, 133, 3, 0, 0, 119, 38, 0, 0, 2, 200, 4, 0, 96, 40, 1, 0, 133, 3, 0, 0,
        119, 38, 0, 0, 2, 200, 4, 0, 120, 40, 1, 0, 133, 3, 0, 0, 119, 38, 0, 0, 2, 200, 4, 0, 176,
        40, 1, 0, 133, 3, 0, 0, 133, 38, 0, 0, 2, 204, 4, 0, 192, 40, 1, 0, 133, 3, 0, 0, 133, 38,
        0, 0, 2, 204, 4, 0, 216, 40, 1, 0, 133, 3, 0, 0, 133, 38, 0, 0, 2, 204, 4, 0, 16, 41, 1, 0,
        133, 3, 0, 0, 147, 38, 0, 0, 2, 208, 4, 0, 32, 41, 1, 0, 133, 3, 0, 0, 147, 38, 0, 0, 2,
        208, 4, 0, 56, 41, 1, 0, 133, 3, 0, 0, 147, 38, 0, 0, 2, 208, 4, 0, 112, 41, 1, 0, 133, 3,
        0, 0, 161, 38, 0, 0, 2, 212, 4, 0, 128, 41, 1, 0, 133, 3, 0, 0, 161, 38, 0, 0, 2, 212, 4,
        0, 152, 41, 1, 0, 133, 3, 0, 0, 161, 38, 0, 0, 2, 212, 4, 0, 208, 41, 1, 0, 76, 33, 0, 0,
        199, 37, 0, 0, 16, 232, 1, 0, 240, 41, 1, 0, 133, 3, 0, 0, 175, 38, 0, 0, 30, 220, 4, 0,
        248, 41, 1, 0, 133, 3, 0, 0, 175, 38, 0, 0, 6, 220, 4, 0, 0, 42, 1, 0, 76, 33, 0, 0, 220,
        38, 0, 0, 2, 64, 1, 0, 32, 42, 1, 0, 241, 9, 0, 0, 95, 12, 0, 0, 10, 0, 2, 0, 120, 42, 1,
        0, 241, 9, 0, 0, 84, 12, 0, 0, 7, 8, 2, 0, 160, 42, 1, 0, 241, 9, 0, 0, 136, 12, 0, 0, 28,
        12, 2, 0, 192, 42, 1, 0, 241, 9, 0, 0, 136, 12, 0, 0, 28, 12, 2, 0, 200, 42, 1, 0, 179, 17,
        0, 0, 188, 12, 0, 0, 6, 176, 2, 0, 240, 42, 1, 0, 179, 17, 0, 0, 61, 18, 0, 0, 14, 188, 2,
        0, 16, 43, 1, 0, 179, 17, 0, 0, 61, 18, 0, 0, 14, 188, 2, 0, 24, 43, 1, 0, 179, 17, 0, 0,
        61, 18, 0, 0, 7, 188, 2, 0, 32, 43, 1, 0, 179, 17, 0, 0, 100, 18, 0, 0, 6, 192, 2, 0, 40,
        43, 1, 0, 179, 17, 0, 0, 251, 38, 0, 0, 11, 204, 2, 0, 48, 43, 1, 0, 179, 17, 0, 0, 251,
        38, 0, 0, 6, 204, 2, 0, 56, 43, 1, 0, 179, 17, 0, 0, 21, 39, 0, 0, 17, 212, 2, 0, 112, 43,
        1, 0, 179, 17, 0, 0, 68, 39, 0, 0, 2, 252, 2, 0, 136, 43, 1, 0, 32, 5, 0, 0, 112, 39, 0, 0,
        1, 252, 0, 0, 137, 39, 0, 0, 25, 0, 0, 0, 0, 0, 0, 0, 32, 5, 0, 0, 153, 39, 0, 0, 0, 8, 1,
        0, 16, 0, 0, 0, 32, 5, 0, 0, 218, 5, 0, 0, 23, 16, 1, 0, 176, 0, 0, 0, 32, 5, 0, 0, 254, 5,
        0, 0, 12, 20, 1, 0, 184, 0, 0, 0, 32, 5, 0, 0, 254, 5, 0, 0, 6, 20, 1, 0, 192, 0, 0, 0, 32,
        5, 0, 0, 166, 6, 0, 0, 22, 28, 1, 0, 200, 0, 0, 0, 32, 5, 0, 0, 166, 6, 0, 0, 20, 28, 1, 0,
        224, 0, 0, 0, 205, 18, 0, 0, 247, 39, 0, 0, 6, 124, 0, 0, 232, 0, 0, 0, 205, 18, 0, 0, 77,
        40, 0, 0, 10, 128, 0, 0, 248, 0, 0, 0, 205, 18, 0, 0, 77, 40, 0, 0, 3, 128, 0, 0, 0, 1, 0,
        0, 205, 18, 0, 0, 113, 40, 0, 0, 10, 136, 0, 0, 8, 1, 0, 0, 205, 18, 0, 0, 113, 40, 0, 0,
        26, 136, 0, 0, 16, 1, 0, 0, 32, 5, 0, 0, 143, 40, 0, 0, 15, 32, 1, 0, 24, 1, 0, 0, 32, 5,
        0, 0, 189, 40, 0, 0, 17, 132, 0, 0, 32, 1, 0, 0, 32, 5, 0, 0, 189, 40, 0, 0, 15, 132, 0, 0,
        40, 1, 0, 0, 32, 5, 0, 0, 230, 40, 0, 0, 17, 136, 0, 0, 48, 1, 0, 0, 32, 5, 0, 0, 230, 40,
        0, 0, 15, 136, 0, 0, 56, 1, 0, 0, 32, 5, 0, 0, 15, 41, 0, 0, 17, 140, 0, 0, 64, 1, 0, 0,
        32, 5, 0, 0, 15, 41, 0, 0, 15, 140, 0, 0, 72, 1, 0, 0, 32, 5, 0, 0, 56, 41, 0, 0, 17, 144,
        0, 0, 80, 1, 0, 0, 32, 5, 0, 0, 56, 41, 0, 0, 15, 144, 0, 0, 88, 1, 0, 0, 32, 5, 0, 0, 96,
        41, 0, 0, 17, 148, 0, 0, 96, 1, 0, 0, 32, 5, 0, 0, 96, 41, 0, 0, 15, 148, 0, 0, 112, 1, 0,
        0, 32, 5, 0, 0, 132, 41, 0, 0, 12, 152, 0, 0, 152, 1, 0, 0, 32, 5, 0, 0, 148, 41, 0, 0, 7,
        48, 1, 0, 200, 1, 0, 0, 32, 5, 0, 0, 112, 39, 0, 0, 1, 64, 1, 0, 16, 0, 0, 0, 16, 5, 0, 0,
        27, 0, 0, 0, 184, 1, 0, 0, 113, 0, 0, 0, 16, 8, 0, 0, 0, 0, 0, 0, 224, 3, 0, 0, 117, 0, 0,
        0, 115, 11, 0, 0, 8, 0, 0, 0, 240, 3, 0, 0, 131, 0, 0, 0, 115, 11, 0, 0, 8, 0, 0, 0, 104,
        4, 0, 0, 117, 0, 0, 0, 5, 12, 0, 0, 2, 0, 0, 0, 120, 4, 0, 0, 117, 0, 0, 0, 5, 12, 0, 0, 0,
        0, 0, 0, 40, 5, 0, 0, 131, 0, 0, 0, 132, 12, 0, 0, 0, 0, 0, 0, 112, 5, 0, 0, 135, 0, 0, 0,
        174, 17, 0, 0, 0, 0, 0, 0, 200, 5, 0, 0, 135, 0, 0, 0, 174, 17, 0, 0, 0, 0, 0, 0, 0, 6, 0,
        0, 135, 0, 0, 0, 154, 18, 0, 0, 0, 0, 0, 0, 80, 6, 0, 0, 135, 0, 0, 0, 195, 18, 0, 0, 0, 0,
        0, 0, 144, 6, 0, 0, 135, 0, 0, 0, 125, 19, 0, 0, 0, 0, 0, 0, 16, 7, 0, 0, 135, 0, 0, 0, 51,
        20, 0, 0, 0, 0, 0, 0, 88, 7, 0, 0, 135, 0, 0, 0, 195, 18, 0, 0, 0, 0, 0, 0, 120, 136, 0, 0,
        135, 0, 0, 0, 51, 20, 0, 0, 0, 0, 0, 0, 192, 136, 0, 0, 135, 0, 0, 0, 125, 19, 0, 0, 0, 0,
        0, 0, 56, 23, 1, 0, 117, 0, 0, 0, 115, 11, 0, 0, 8, 0, 0, 0, 72, 23, 1, 0, 131, 0, 0, 0,
        115, 11, 0, 0, 8, 0, 0, 0, 192, 23, 1, 0, 117, 0, 0, 0, 5, 12, 0, 0, 2, 0, 0, 0, 208, 23,
        1, 0, 117, 0, 0, 0, 5, 12, 0, 0, 0, 0, 0, 0, 184, 24, 1, 0, 131, 0, 0, 0, 132, 12, 0, 0, 0,
        0, 0, 0, 128, 25, 1, 0, 135, 0, 0, 0, 174, 17, 0, 0, 0, 0, 0, 0, 64, 31, 1, 0, 117, 0, 0,
        0, 115, 11, 0, 0, 8, 0, 0, 0, 80, 31, 1, 0, 131, 0, 0, 0, 115, 11, 0, 0, 8, 0, 0, 0, 200,
        31, 1, 0, 117, 0, 0, 0, 5, 12, 0, 0, 2, 0, 0, 0, 216, 31, 1, 0, 117, 0, 0, 0, 5, 12, 0, 0,
        0, 0, 0, 0, 128, 42, 1, 0, 131, 0, 0, 0, 132, 12, 0, 0, 0, 0, 0, 0, 208, 42, 1, 0, 135, 0,
        0, 0, 174, 17, 0, 0, 0, 0, 0, 0, 137, 39, 0, 0, 7, 0, 0, 0, 208, 0, 0, 0, 189, 0, 0, 0,
        115, 11, 0, 0, 10, 0, 0, 0, 0, 1, 0, 0, 113, 0, 0, 0, 108, 40, 0, 0, 0, 0, 0, 0, 24, 1, 0,
        0, 113, 0, 0, 0, 184, 40, 0, 0, 0, 0, 0, 0, 40, 1, 0, 0, 113, 0, 0, 0, 225, 40, 0, 0, 0, 0,
        0, 0, 56, 1, 0, 0, 113, 0, 0, 0, 10, 41, 0, 0, 0, 0, 0, 0, 72, 1, 0, 0, 113, 0, 0, 0, 51,
        41, 0, 0, 0, 0, 0, 0, 88, 1, 0, 0, 113, 0, 0, 0, 92, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 2,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 134, 1, 0, 0, 1, 0, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0,
        0, 0, 0, 0, 0, 0, 38, 0, 0, 0, 1, 0, 7, 0, 12, 0, 0, 0, 0, 0, 0, 0, 36, 0, 0, 0, 0, 0, 0,
        0, 241, 1, 0, 0, 1, 0, 7, 0, 48, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 107, 0, 0,
        0, 1, 0, 7, 0, 125, 0, 0, 0, 0, 0, 0, 0, 57, 0, 0, 0, 0, 0, 0, 0, 62, 0, 0, 0, 1, 0, 7, 0,
        96, 0, 0, 0, 0, 0, 0, 0, 29, 0, 0, 0, 0, 0, 0, 0, 125, 0, 0, 0, 1, 0, 7, 0, 182, 0, 0, 0,
        0, 0, 0, 0, 29, 0, 0, 0, 0, 0, 0, 0, 82, 0, 0, 0, 1, 0, 7, 0, 211, 0, 0, 0, 0, 0, 0, 0, 43,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 3, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3,
        0, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 11, 2, 0, 0, 18, 0, 2, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 235, 1, 0, 0, 18, 0, 2, 0, 48, 0, 0, 0, 0, 0, 0,
        0, 48, 0, 0, 0, 0, 0, 0, 0, 229, 1, 0, 0, 18, 0, 2, 0, 96, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0,
        0, 0, 0, 0, 0, 223, 1, 0, 0, 18, 0, 2, 0, 144, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0,
        0, 217, 1, 0, 0, 18, 0, 2, 0, 192, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 211, 1, 0,
        0, 18, 0, 2, 0, 240, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 205, 1, 0, 0, 18, 0, 2,
        0, 32, 1, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 199, 1, 0, 0, 18, 0, 2, 0, 80, 1, 0,
        0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 193, 1, 0, 0, 18, 0, 2, 0, 128, 1, 0, 0, 0, 0, 0,
        0, 48, 0, 0, 0, 0, 0, 0, 0, 187, 1, 0, 0, 18, 0, 2, 0, 176, 1, 0, 0, 0, 0, 0, 0, 48, 0, 0,
        0, 0, 0, 0, 0, 45, 1, 0, 0, 18, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 152, 43, 1, 0, 0, 0, 0, 0,
        1, 0, 0, 0, 17, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 213, 0, 0, 0, 17,
        0, 8, 0, 32, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 240, 0, 0, 0, 17, 0, 8, 0, 224,
        0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 164, 1, 0, 0, 17, 0, 7, 0, 4, 0, 0, 0, 0, 0,
        0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 251, 0, 0, 0, 17, 0, 8, 0, 128, 0, 0, 0, 0, 0, 0, 0, 32, 0,
        0, 0, 0, 0, 0, 0, 11, 1, 0, 0, 17, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0,
        192, 0, 0, 0, 17, 0, 8, 0, 112, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 200, 0, 0, 0,
        17, 0, 8, 0, 192, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 231, 0, 0, 0, 17, 0, 8, 0,
        160, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 151, 0, 0, 0, 17, 0, 7, 0, 8, 0, 0, 0,
        0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 158, 0, 0, 0, 17, 0, 8, 0, 96, 0, 0, 0, 0, 0, 0, 0, 16,
        0, 0, 0, 0, 0, 0, 0, 169, 0, 0, 0, 17, 0, 8, 0, 64, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0,
        0, 0, 182, 0, 0, 0, 17, 0, 8, 0, 0, 1, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 91, 1, 0,
        0, 18, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 224, 1, 0, 0, 0, 0, 0, 0, 35, 1, 0, 0, 17, 0, 9, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 208, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 24,
        0, 0, 0, 8, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 24, 0, 0, 0, 200, 1, 0, 0, 0, 0, 0, 0, 1, 0,
        0, 0, 12, 0, 0, 0, 8, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 25, 0, 0, 0, 40, 2, 0, 0, 0, 0, 0,
        0, 1, 0, 0, 0, 12, 0, 0, 0, 112, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 12, 0, 0, 0, 160, 2, 0,
        0, 0, 0, 0, 0, 1, 0, 0, 0, 26, 0, 0, 0, 120, 9, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 27, 0, 0, 0,
        208, 9, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 28, 0, 0, 0, 248, 9, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0,
        29, 0, 0, 0, 24, 10, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 30, 0, 0, 0, 136, 10, 1, 0, 0, 0, 0, 0,
        1, 0, 0, 0, 11, 0, 0, 0, 216, 10, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 27, 0, 0, 0, 128, 11, 1, 0,
        0, 0, 0, 0, 1, 0, 0, 0, 27, 0, 0, 0, 48, 12, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 28, 0, 0, 0, 96,
        16, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 29, 0, 0, 0, 128, 16, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 30,
        0, 0, 0, 248, 16, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 11, 0, 0, 0, 144, 17, 1, 0, 0, 0, 0, 0, 1,
        0, 0, 0, 29, 0, 0, 0, 176, 17, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 30, 0, 0, 0, 24, 18, 1, 0, 0,
        0, 0, 0, 1, 0, 0, 0, 11, 0, 0, 0, 104, 18, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 29, 0, 0, 0, 136,
        18, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 30, 0, 0, 0, 248, 18, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 11,
        0, 0, 0, 112, 20, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 29, 0, 0, 0, 144, 20, 1, 0, 0, 0, 0, 0, 1,
        0, 0, 0, 30, 0, 0, 0, 0, 21, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 11, 0, 0, 0, 88, 22, 1, 0, 0, 0,
        0, 0, 1, 0, 0, 0, 31, 0, 0, 0, 40, 24, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 31, 0, 0, 0, 16, 25,
        1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 32, 0, 0, 0, 224, 25, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 31, 0, 0,
        0, 24, 26, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 31, 0, 0, 0, 80, 26, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0,
        31, 0, 0, 0, 200, 26, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 31, 0, 0, 0, 32, 27, 1, 0, 0, 0, 0, 0,
        1, 0, 0, 0, 31, 0, 0, 0, 72, 27, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 33, 0, 0, 0, 112, 27, 1, 0,
        0, 0, 0, 0, 1, 0, 0, 0, 34, 0, 0, 0, 208, 27, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 35, 0, 0, 0,
        136, 29, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 29, 0, 0, 0, 176, 29, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0,
        30, 0, 0, 0, 32, 30, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 11, 0, 0, 0, 160, 30, 1, 0, 0, 0, 0, 0,
        1, 0, 0, 0, 32, 0, 0, 0, 72, 35, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 29, 0, 0, 0, 112, 35, 1, 0,
        0, 0, 0, 0, 1, 0, 0, 0, 30, 0, 0, 0, 0, 37, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 36, 0, 0, 0, 0,
        38, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 33, 0, 0, 0, 64, 38, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13,
        0, 0, 0, 160, 38, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 0, 0, 0, 0, 39, 1, 0, 0, 0, 0, 0, 10,
        0, 0, 0, 15, 0, 0, 0, 96, 39, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 0, 0, 0, 192, 39, 1, 0, 0,
        0, 0, 0, 10, 0, 0, 0, 17, 0, 0, 0, 32, 40, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 0, 0, 0, 128,
        40, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 0, 0, 0, 224, 40, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20,
        0, 0, 0, 64, 41, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 0, 0, 0, 160, 41, 1, 0, 0, 0, 0, 0, 10,
        0, 0, 0, 22, 0, 0, 0, 112, 43, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 31, 0, 0, 0, 152, 1, 0, 0, 0,
        0, 0, 0, 1, 0, 0, 0, 24, 0, 0, 0, 200, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 224,
        26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 24, 0, 0, 0, 236, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 25,
        0, 0, 0, 248, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 35, 0, 0, 0, 4, 27, 0, 0, 0, 0, 0, 0, 4, 0,
        0, 0, 34, 0, 0, 0, 16, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 30, 0, 0, 0, 28, 27, 0, 0, 0, 0,
        0, 0, 4, 0, 0, 0, 28, 0, 0, 0, 40, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 32, 0, 0, 0, 52, 27,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 31, 0, 0, 0, 64, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 26, 0, 0,
        0, 76, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 36, 0, 0, 0, 100, 27, 0, 0, 0, 0, 0, 0, 3, 0, 0,
        0, 29, 0, 0, 0, 112, 27, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 27, 0, 0, 0, 124, 27, 0, 0, 0, 0, 0,
        0, 3, 0, 0, 0, 33, 0, 0, 0, 136, 27, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 11, 0, 0, 0, 148, 27, 0,
        0, 0, 0, 0, 0, 3, 0, 0, 0, 11, 0, 0, 0, 160, 27, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 11, 0, 0, 0,
        172, 27, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 11, 0, 0, 0, 184, 27, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0,
        11, 0, 0, 0, 196, 27, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 11, 0, 0, 0, 220, 27, 0, 0, 0, 0, 0, 0,
        4, 0, 0, 0, 38, 0, 0, 0, 44, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 52, 0, 0, 0, 0,
        0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 60, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 68, 0, 0,
        0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 76, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 84,
        0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 92, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0,
        0, 100, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 108, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0,
        1, 0, 0, 0, 116, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 132, 0, 0, 0, 0, 0, 0, 0, 4,
        0, 0, 0, 2, 0, 0, 0, 148, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 168, 0, 0, 0, 0, 0,
        0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 184, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 200, 0, 0,
        0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 216, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0,
        232, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 248, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1,
        0, 0, 0, 8, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0,
        0, 1, 0, 0, 0, 40, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 56, 1, 0, 0, 0, 0, 0, 0, 4,
        0, 0, 0, 1, 0, 0, 0, 72, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 88, 1, 0, 0, 0, 0, 0,
        0, 4, 0, 0, 0, 1, 0, 0, 0, 104, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 120, 1, 0, 0,
        0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 136, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 152,
        1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 168, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0,
        0, 184, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 200, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0,
        1, 0, 0, 0, 216, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 232, 1, 0, 0, 0, 0, 0, 0, 4,
        0, 0, 0, 1, 0, 0, 0, 248, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 8, 2, 0, 0, 0, 0, 0,
        0, 4, 0, 0, 0, 1, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 40, 2, 0, 0, 0,
        0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 56, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 72, 2, 0,
        0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 88, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0,
        104, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 120, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1,
        0, 0, 0, 136, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 152, 2, 0, 0, 0, 0, 0, 0, 4, 0,
        0, 0, 1, 0, 0, 0, 168, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 184, 2, 0, 0, 0, 0, 0,
        0, 4, 0, 0, 0, 1, 0, 0, 0, 200, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 216, 2, 0, 0,
        0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 232, 2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 248,
        2, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 8, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0,
        0, 24, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 48, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2,
        0, 0, 0, 64, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0,
        0, 2, 0, 0, 0, 96, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 3, 0, 0, 0, 0, 0, 0,
        4, 0, 0, 0, 2, 0, 0, 0, 128, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 3, 0, 0, 0,
        0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 3,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0,
        208, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2,
        0, 0, 0, 240, 3, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0,
        0, 2, 0, 0, 0, 16, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 4, 0, 0, 0, 0, 0, 0, 4,
        0, 0, 0, 2, 0, 0, 0, 48, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 4, 0, 0, 0, 0, 0,
        0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 4, 0, 0, 0,
        0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 4,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0,
        160, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2,
        0, 0, 0, 192, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 4, 0, 0, 0, 0, 0, 0, 4, 0,
        0, 0, 2, 0, 0, 0, 224, 4, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 4, 0, 0, 0, 0, 0,
        0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 5, 0, 0, 0,
        0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 5, 0,
        0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80,
        5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0,
        0, 112, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0,
        2, 0, 0, 0, 144, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 5, 0, 0, 0, 0, 0, 0, 4,
        0, 0, 0, 2, 0, 0, 0, 176, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 5, 0, 0, 0, 0,
        0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 5, 0,
        0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 5, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0,
        6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0,
        0, 32, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2,
        0, 0, 0, 64, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0,
        0, 2, 0, 0, 0, 96, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 6, 0, 0, 0, 0, 0, 0,
        4, 0, 0, 0, 2, 0, 0, 0, 128, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 6, 0, 0, 0,
        0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 6,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0,
        208, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2,
        0, 0, 0, 240, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0,
        0, 2, 0, 0, 0, 16, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 7, 0, 0, 0, 0, 0, 0, 4,
        0, 0, 0, 2, 0, 0, 0, 48, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 7, 0, 0, 0, 0, 0,
        0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 7, 0, 0, 0,
        0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 7,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0,
        160, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2,
        0, 0, 0, 192, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 7, 0, 0, 0, 0, 0, 0, 4, 0,
        0, 0, 2, 0, 0, 0, 224, 7, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 7, 0, 0, 0, 0, 0,
        0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 8, 0, 0, 0,
        0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 8, 0,
        0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80,
        8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0,
        0, 112, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0,
        2, 0, 0, 0, 144, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 8, 0, 0, 0, 0, 0, 0, 4,
        0, 0, 0, 2, 0, 0, 0, 176, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 8, 0, 0, 0, 0,
        0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 8, 0,
        0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 8, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0,
        9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0,
        0, 32, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2,
        0, 0, 0, 64, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0,
        0, 2, 0, 0, 0, 96, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 9, 0, 0, 0, 0, 0, 0,
        4, 0, 0, 0, 2, 0, 0, 0, 128, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 9, 0, 0, 0,
        0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 9,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0,
        208, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2,
        0, 0, 0, 240, 9, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 4, 0,
        0, 0, 2, 0, 0, 0, 16, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 10, 0, 0, 0, 0, 0,
        0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 10, 0, 0,
        0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96,
        10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0,
        0, 0, 128, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 10, 0, 0, 0, 0, 0, 0, 4, 0,
        0, 0, 2, 0, 0, 0, 160, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 10, 0, 0, 0, 0,
        0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 10,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0,
        0, 240, 10, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0,
        2, 0, 0, 0, 16, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 11, 0, 0, 0, 0, 0, 0, 4,
        0, 0, 0, 2, 0, 0, 0, 48, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 11, 0, 0, 0, 0,
        0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 11, 0,
        0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0,
        128, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0,
        2, 0, 0, 0, 160, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 11, 0, 0, 0, 0, 0, 0,
        4, 0, 0, 0, 2, 0, 0, 0, 192, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 11, 0, 0,
        0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240,
        11, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0,
        0, 16, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0,
        2, 0, 0, 0, 48, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 12, 0, 0, 0, 0, 0, 0, 4,
        0, 0, 0, 2, 0, 0, 0, 80, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 12, 0, 0, 0, 0,
        0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 12,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0,
        0, 160, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0,
        0, 2, 0, 0, 0, 192, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 12, 0, 0, 0, 0, 0,
        0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 12, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 12, 0,
        0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16,
        13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0,
        0, 0, 48, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0,
        0, 2, 0, 0, 0, 80, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 13, 0, 0, 0, 0, 0, 0,
        4, 0, 0, 0, 2, 0, 0, 0, 112, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 13, 0, 0,
        0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160,
        13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0,
        0, 0, 192, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 13, 0, 0, 0, 0, 0, 0, 4, 0,
        0, 0, 2, 0, 0, 0, 224, 13, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 13, 0, 0, 0, 0,
        0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 14, 0,
        0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0,
        48, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2,
        0, 0, 0, 80, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 14, 0, 0, 0, 0, 0, 0, 4, 0,
        0, 0, 2, 0, 0, 0, 112, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 14, 0, 0, 0, 0,
        0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 14,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0,
        0, 192, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0,
        0, 2, 0, 0, 0, 224, 14, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 14, 0, 0, 0, 0, 0,
        0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 15, 0, 0,
        0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48,
        15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0,
        0, 0, 80, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0,
        0, 2, 0, 0, 0, 112, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 15, 0, 0, 0, 0, 0,
        0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 15, 0,
        0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0,
        192, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0,
        2, 0, 0, 0, 224, 15, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 15, 0, 0, 0, 0, 0, 0,
        4, 0, 0, 0, 2, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 16, 0, 0, 0,
        0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 16,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0,
        80, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2,
        0, 0, 0, 112, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 16, 0, 0, 0, 0, 0, 0, 4,
        0, 0, 0, 2, 0, 0, 0, 144, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 16, 0, 0, 0,
        0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192,
        16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0,
        0, 0, 224, 16, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 16, 0, 0, 0, 0, 0, 0, 4, 0,
        0, 0, 2, 0, 0, 0, 0, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 17, 0, 0, 0, 0, 0,
        0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 17, 0, 0,
        0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80,
        17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0,
        0, 0, 112, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 17, 0, 0, 0, 0, 0, 0, 4, 0,
        0, 0, 2, 0, 0, 0, 144, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 17, 0, 0, 0, 0,
        0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 17,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0,
        0, 224, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 17, 0, 0, 0, 0, 0, 0, 4, 0, 0,
        0, 2, 0, 0, 0, 0, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 18, 0, 0, 0, 0, 0, 0,
        4, 0, 0, 0, 2, 0, 0, 0, 32, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 18, 0, 0, 0,
        0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 18,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0,
        112, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0,
        2, 0, 0, 0, 144, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 18, 0, 0, 0, 0, 0, 0,
        4, 0, 0, 0, 2, 0, 0, 0, 176, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 18, 0, 0,
        0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224,
        18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 18, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0,
        0, 0, 0, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0,
        0, 2, 0, 0, 0, 32, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 19, 0, 0, 0, 0, 0, 0,
        4, 0, 0, 0, 2, 0, 0, 0, 64, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 19, 0, 0, 0,
        0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 19,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0,
        0, 144, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0,
        0, 2, 0, 0, 0, 176, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 19, 0, 0, 0, 0, 0,
        0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 19, 0,
        0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 19, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0,
        0, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2,
        0, 0, 0, 32, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 20, 0, 0, 0, 0, 0, 0, 4, 0,
        0, 0, 2, 0, 0, 0, 64, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 20, 0, 0, 0, 0, 0,
        0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 20, 0, 0,
        0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144,
        20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0,
        0, 0, 176, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 20, 0, 0, 0, 0, 0, 0, 4, 0,
        0, 0, 2, 0, 0, 0, 208, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 20, 0, 0, 0, 0,
        0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 20, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 21, 0,
        0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0,
        32, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2,
        0, 0, 0, 64, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 21, 0, 0, 0, 0, 0, 0, 4, 0,
        0, 0, 2, 0, 0, 0, 96, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 21, 0, 0, 0, 0, 0,
        0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 21, 0,
        0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0,
        176, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0,
        2, 0, 0, 0, 208, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 21, 0, 0, 0, 0, 0, 0,
        4, 0, 0, 0, 2, 0, 0, 0, 240, 21, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 22, 0, 0, 0,
        0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 22,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0,
        64, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2,
        0, 0, 0, 96, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 22, 0, 0, 0, 0, 0, 0, 4, 0,
        0, 0, 2, 0, 0, 0, 128, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 22, 0, 0, 0, 0,
        0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 22,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0,
        0, 208, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0,
        0, 2, 0, 0, 0, 240, 22, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 23, 0, 0, 0, 0, 0, 0,
        4, 0, 0, 0, 2, 0, 0, 0, 16, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 23, 0, 0, 0,
        0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 48, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 23,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0,
        96, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2,
        0, 0, 0, 128, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 23, 0, 0, 0, 0, 0, 0, 4,
        0, 0, 0, 2, 0, 0, 0, 160, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 23, 0, 0, 0,
        0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208,
        23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0,
        0, 0, 240, 23, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0,
        0, 2, 0, 0, 0, 16, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 24, 0, 0, 0, 0, 0, 0,
        4, 0, 0, 0, 2, 0, 0, 0, 48, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 24, 0, 0, 0,
        0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 24,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0,
        0, 128, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0,
        0, 2, 0, 0, 0, 160, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 24, 0, 0, 0, 0, 0,
        0, 4, 0, 0, 0, 2, 0, 0, 0, 192, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 24, 0,
        0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0,
        240, 24, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2,
        0, 0, 0, 16, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 25, 0, 0, 0, 0, 0, 0, 4, 0,
        0, 0, 2, 0, 0, 0, 48, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 25, 0, 0, 0, 0, 0,
        0, 4, 0, 0, 0, 2, 0, 0, 0, 80, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 25, 0, 0,
        0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128,
        25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0,
        0, 0, 160, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 25, 0, 0, 0, 0, 0, 0, 4, 0,
        0, 0, 2, 0, 0, 0, 192, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 25, 0, 0, 0, 0,
        0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 224, 25, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 25,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0,
        16, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2,
        0, 0, 0, 48, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 26, 0, 0, 0, 0, 0, 0, 4, 0,
        0, 0, 2, 0, 0, 0, 80, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 26, 0, 0, 0, 0, 0,
        0, 4, 0, 0, 0, 2, 0, 0, 0, 112, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 26, 0,
        0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0,
        160, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0,
        2, 0, 0, 0, 192, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 26, 0, 0, 0, 0, 0, 0,
        4, 0, 0, 0, 2, 0, 0, 0, 224, 26, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 26, 0, 0,
        0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16,
        27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0,
        0, 0, 48, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0,
        0, 2, 0, 0, 0, 80, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 27, 0, 0, 0, 0, 0, 0,
        4, 0, 0, 0, 2, 0, 0, 0, 112, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 27, 0, 0,
        0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160,
        27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 176, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0,
        0, 0, 192, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 208, 27, 0, 0, 0, 0, 0, 0, 4, 0,
        0, 0, 2, 0, 0, 0, 224, 27, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 240, 27, 0, 0, 0, 0,
        0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 0, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 16, 28, 0,
        0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 32, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0,
        48, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 64, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2,
        0, 0, 0, 80, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 96, 28, 0, 0, 0, 0, 0, 0, 4, 0,
        0, 0, 2, 0, 0, 0, 112, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 128, 28, 0, 0, 0, 0,
        0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 144, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 160, 28,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 184, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0,
        0, 200, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 216, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0,
        0, 10, 0, 0, 0, 232, 28, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 248, 28, 0, 0, 0, 0, 0,
        0, 4, 0, 0, 0, 10, 0, 0, 0, 8, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 24, 29, 0, 0,
        0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 40, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 56,
        29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 72, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0,
        0, 0, 88, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 104, 29, 0, 0, 0, 0, 0, 0, 4, 0,
        0, 0, 10, 0, 0, 0, 120, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 136, 29, 0, 0, 0, 0,
        0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 152, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 168, 29,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 184, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0,
        0, 200, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 216, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0,
        0, 10, 0, 0, 0, 232, 29, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 248, 29, 0, 0, 0, 0, 0,
        0, 4, 0, 0, 0, 10, 0, 0, 0, 8, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 24, 30, 0, 0,
        0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 40, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 56,
        30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 84, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0,
        0, 0, 100, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 116, 30, 0, 0, 0, 0, 0, 0, 4, 0,
        0, 0, 2, 0, 0, 0, 132, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 148, 30, 0, 0, 0, 0,
        0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 164, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 180, 30,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 196, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0,
        0, 212, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 228, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0,
        0, 2, 0, 0, 0, 244, 30, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 4, 31, 0, 0, 0, 0, 0, 0,
        4, 0, 0, 0, 2, 0, 0, 0, 20, 31, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 36, 31, 0, 0, 0,
        0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 52, 31, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 68, 31,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 84, 31, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0,
        100, 31, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 116, 31, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0,
        2, 0, 0, 0, 132, 31, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 148, 31, 0, 0, 0, 0, 0, 0,
        4, 0, 0, 0, 2, 0, 0, 0, 164, 31, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 180, 31, 0, 0,
        0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 196, 31, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 212,
        31, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 228, 31, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0,
        0, 0, 244, 31, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 12, 32, 0, 0, 0, 0, 0, 0, 4, 0, 0,
        0, 10, 0, 0, 0, 28, 32, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 44, 32, 0, 0, 0, 0, 0,
        0, 4, 0, 0, 0, 10, 0, 0, 0, 60, 32, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 76, 32, 0,
        0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 92, 32, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0,
        108, 32, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 10, 0, 0, 0, 33, 47, 39, 37, 43, 34, 48, 35, 45, 44,
        40, 38, 42, 41, 36, 46, 5, 6, 8, 7, 9, 10, 0, 107, 114, 101, 116, 112, 114, 111, 98, 101,
        95, 99, 111, 110, 116, 101, 120, 116, 0, 46, 116, 101, 120, 116, 0, 46, 114, 101, 108, 46,
        66, 84, 70, 46, 101, 120, 116, 0, 109, 101, 116, 97, 95, 112, 114, 111, 99, 101, 115, 115,
        95, 111, 112, 115, 46, 95, 95, 95, 102, 109, 116, 0, 102, 105, 108, 116, 101, 114, 95, 98,
        121, 116, 101, 115, 46, 95, 95, 95, 102, 109, 116, 0, 103, 101, 116, 95, 101, 118, 101,
        110, 116, 95, 115, 101, 99, 116, 105, 111, 110, 46, 95, 95, 95, 102, 109, 116, 0, 102, 105,
        108, 116, 101, 114, 95, 110, 117, 109, 46, 95, 95, 95, 102, 109, 116, 0, 99, 109, 112, 95,
        110, 117, 109, 46, 95, 95, 95, 102, 109, 116, 0, 46, 98, 115, 115, 0, 46, 109, 97, 112,
        115, 0, 110, 104, 111, 111, 107, 115, 0, 101, 118, 101, 110, 116, 115, 95, 109, 97, 112, 0,
        99, 111, 117, 110, 116, 101, 114, 115, 95, 109, 97, 112, 0, 115, 116, 97, 99, 107, 95, 109,
        97, 112, 0, 108, 111, 103, 95, 109, 97, 112, 0, 116, 114, 97, 99, 107, 105, 110, 103, 95,
        109, 97, 112, 0, 103, 108, 111, 98, 97, 108, 95, 99, 111, 110, 102, 105, 103, 95, 109, 97,
        112, 0, 116, 114, 97, 99, 107, 105, 110, 103, 95, 99, 111, 110, 102, 105, 103, 95, 109, 97,
        112, 0, 102, 105, 108, 116, 101, 114, 95, 109, 101, 116, 97, 95, 109, 97, 112, 0, 108, 111,
        103, 95, 108, 101, 118, 101, 108, 0, 46, 108, 108, 118, 109, 95, 97, 100, 100, 114, 115,
        105, 103, 0, 95, 95, 108, 105, 99, 101, 110, 115, 101, 0, 112, 114, 111, 98, 101, 95, 107,
        114, 101, 116, 112, 114, 111, 98, 101, 95, 107, 114, 101, 116, 112, 114, 111, 98, 101, 0,
        46, 114, 101, 108, 107, 112, 114, 111, 98, 101, 47, 114, 101, 116, 112, 114, 111, 98, 101,
        0, 112, 114, 111, 98, 101, 95, 107, 114, 101, 116, 112, 114, 111, 98, 101, 95, 107, 112,
        114, 111, 98, 101, 0, 46, 114, 101, 108, 107, 114, 101, 116, 112, 114, 111, 98, 101, 47,
        112, 114, 111, 98, 101, 0, 99, 104, 97, 105, 110, 46, 101, 110, 97, 98, 108, 101, 100, 0,
        46, 115, 116, 114, 116, 97, 98, 0, 46, 115, 121, 109, 116, 97, 98, 0, 110, 109, 101, 116,
        97, 0, 46, 114, 111, 100, 97, 116, 97, 0, 46, 114, 101, 108, 46, 66, 84, 70, 0, 104, 111,
        111, 107, 57, 0, 104, 111, 111, 107, 56, 0, 104, 111, 111, 107, 55, 0, 104, 111, 111, 107,
        54, 0, 104, 111, 111, 107, 53, 0, 104, 111, 111, 107, 52, 0, 104, 111, 111, 107, 51, 0,
        104, 111, 111, 107, 50, 0, 104, 111, 111, 107, 49, 0, 109, 101, 116, 97, 95, 112, 114, 111,
        99, 101, 115, 115, 95, 111, 112, 115, 46, 95, 95, 95, 102, 109, 116, 46, 49, 0, 104, 111,
        111, 107, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 148, 1, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 174, 194, 1, 0, 0, 0, 0, 0, 17, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 19, 0, 0, 0, 1, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 224, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 118, 1, 0, 0, 1, 0, 0, 0, 6, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 2, 0, 0, 0, 0, 0, 0, 152, 43, 1, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 114, 1, 0, 0, 9,
        0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 56, 157, 1, 0, 0, 0, 0, 0, 144,
        3, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 3, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0,
        0, 75, 1, 0, 0, 1, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 184, 45, 1, 0,
        0, 0, 0, 0, 224, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 71, 1, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        200, 160, 1, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 5, 0, 0, 0, 8, 0, 0, 0,
        0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 170, 1, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 152, 47, 1, 0, 0, 0, 0, 0, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 145, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 152, 48, 1, 0, 0, 0, 0, 0, 32, 1, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 37, 1, 0, 0, 1, 0, 0,
        0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 184, 49, 1, 0, 0, 0, 0, 0, 4, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 140, 0,
        0, 0, 8, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 188, 49, 1, 0, 0, 0, 0,
        0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 182, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 188, 49,
        1, 0, 0, 0, 0, 0, 84, 71, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 178, 1, 0, 0, 9, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 216, 160, 1, 0, 0, 0, 0, 0, 80, 1, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 11, 0, 0, 0, 8,
        0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 29, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 121, 1, 0, 0, 0, 0, 0, 124, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 25, 0, 0, 0, 9, 0, 0, 0, 64,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 162, 1, 0, 0, 0, 0, 0, 112, 32, 0, 0, 0,
        0, 0, 0, 16, 0, 0, 0, 13, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 21, 1,
        0, 0, 3, 76, 255, 111, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 152, 194, 1, 0, 0,
        0, 0, 0, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 156, 1, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        144, 153, 1, 0, 0, 0, 0, 0, 168, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 13, 0, 0, 0, 8, 0, 0, 0,
        0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0,
    ];
}
